--
-- CentovaCast Database Schema
-- Copyright 2006-2009, Centova Technologies Inc
--

/*!40101 SET CHARACTER SET utf8 */;
/*!40101 SET NAMES utf8 */;


/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO,MYSQL40' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
DROP TABLE IF EXISTS `account_templates`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `account_templates` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `templatedata` mediumtext NOT NULL,
  `name` varchar(32) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `parentresellerid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `accounts`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `accounts` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `username` varchar(255) NOT NULL default '',
  `password` varchar(128) NOT NULL default '',
  `maxclients` int(10) unsigned NOT NULL default '0',
  `hostname` varchar(64) NOT NULL default '',
  `port` int(10) unsigned NOT NULL default '0',
  `ipaddress` varchar(16) NOT NULL default '',
  `status` enum('disabled','suspended','enabled') default NULL,
  `expectedstate` enum('up','down') NOT NULL default 'down',
  `maxbitrate` int(10) unsigned NOT NULL default '0',
  `transferlimit` int(10) unsigned NOT NULL default '0',
  `lastlogentry` datetime default NULL,
  `title` varchar(255) NOT NULL default '',
  `organization` varchar(255) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `resetcode` varchar(32) default NULL,
  `cachedtransfer` int(10) unsigned NOT NULL default '0',
  `warnedmonthxfer` int(10) unsigned NOT NULL default '0',
  `suspendedmonthxfer` int(10) unsigned NOT NULL default '0',
  `usesource` tinyint(3) unsigned NOT NULL default '0',
  `autorebuildlist` tinyint(3) unsigned NOT NULL default '1',
  `diskquota` int(10) unsigned NOT NULL default '0',
  `cacheddiskusage` int(10) unsigned NOT NULL default '0',
  `warnedmonthquota` int(10) unsigned NOT NULL default '0',
  `suspendedmonthquota` int(10) unsigned NOT NULL default '0',
  `useserver` tinyint(3) unsigned NOT NULL default '1',
  `randomplaylist` tinyint(3) unsigned NOT NULL default '1',
  `expectedsourcestate` enum('up','down') NOT NULL default 'down',
  `samplerate` int(10) unsigned NOT NULL default '0',
  `channels` int(10) unsigned NOT NULL default '0',
  `crossfade` int(10) unsigned NOT NULL default '0',
  `secret` varchar(32) NOT NULL default '',
  `statuscache` text NOT NULL,
  `statuscachetime` datetime NOT NULL,
  `lastreindex` datetime NOT NULL,
  `songcache` text NOT NULL,
  `songcachetime` datetime NOT NULL,
  `amazonid` varchar(64) NOT NULL default '',
  `outagenotified` tinyint(3) unsigned NOT NULL default '0',
  `allowrequests` tinyint(3) unsigned NOT NULL default '1',
  `allowondemand` tinyint(3) unsigned NOT NULL default '1',
  `allowrecent` tinyint(3) unsigned NOT NULL default '1',
  `usestartpage` tinyint(3) unsigned NOT NULL default '1',
  `genre` varchar(255) NOT NULL default '',
  `nodiskquota` tinyint(3) unsigned NOT NULL default '0',
  `noxferlimit` tinyint(3) unsigned NOT NULL default '0',
  `timezone` tinyint(4) NOT NULL default '0',
  `charset` varchar(16) NOT NULL default '',
  `allowproxy` tinyint(3) unsigned NOT NULL default '0',
  `recenttracks` int(10) unsigned NOT NULL default '5',
  `servertype` varchar(16) NOT NULL default '',
  `sourcetype` varchar(16) NOT NULL default '',
  `allowgmaps` tinyint(3) unsigned NOT NULL default '1',
  `gmapscache` mediumtext NOT NULL,
  `gmapscachetime` datetime default NULL,
  `reseller` tinyint(3) unsigned NOT NULL default '0',
  `parentresellerid` int(10) unsigned NOT NULL default '0',
  `resellersenderemail` varchar(255) NOT NULL default '',
  `resellerawskeyid` varchar(255) NOT NULL default '',
  `resellerdefcharset` varchar(255) NOT NULL default '',
  `resellerclientaffids` tinyint(3) unsigned NOT NULL default '1',
  `resellergmapsapikey` varchar(255) NOT NULL default '',
  `resellerusers` int(10) unsigned NOT NULL default '0',
  `cascadesuspend` tinyint(3) unsigned NOT NULL default '0',
  `logofile` varchar(255) NOT NULL default '',
  `resellerbandwidth` int(10) unsigned NOT NULL default '0',
  `diagnosticmode` tinyint(3) unsigned NOT NULL default '0',
  `royaltymode` tinyint(3) unsigned NOT NULL default '0',
  `songlengthlimit` int(10) unsigned NOT NULL default '90',
  `resellerawssecretkey` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `amazon_image_cache`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `amazon_image_cache` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `artist` varchar(255) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `image` varchar(255) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  `fetchtime` datetime NOT NULL,
  `album` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `apiclusterusers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `apiclusterusers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `sid` int(10) unsigned NOT NULL,
  `username` varchar(32) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `emails`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `emails` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(32) NOT NULL default '',
  `subject` varchar(255) NOT NULL default '',
  `textmessage` mediumtext NOT NULL,
  `htmlmessage` mediumtext NOT NULL,
  `title` varchar(255) NOT NULL default '',
  `disabled` tinyint(3) unsigned NOT NULL default '0',
  `resellerid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `eventlog`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `eventlog` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `accountid` int(10) unsigned NOT NULL,
  `summary` varchar(255) NOT NULL default '',
  `details` mediumtext NOT NULL,
  `caller` varchar(255) NOT NULL default '',
  `eventdate` datetime NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `genres`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `genres` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(64) NOT NULL,
  `accountid` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `history`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `history` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `accountid` int(10) unsigned NOT NULL default '0',
  `recorddate` date default NULL,
  `totaltransfer` int(10) unsigned NOT NULL default '0',
  `minutes` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `hourlystats`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hourlystats` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `accountid` int(10) unsigned NOT NULL default '0',
  `recorddate` date NOT NULL default '0000-00-00',
  `recordhour` tinyint(3) unsigned NOT NULL default '0',
  `listeners` int(10) unsigned NOT NULL default '0',
  `songs` int(10) unsigned NOT NULL default '0',
  `totaltransfer` int(10) unsigned NOT NULL default '0',
  `minutes` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `id3cache`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `id3cache` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `pathmd5` varchar(32) NOT NULL default '',
  `id3data` mediumtext NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `ondemand_xfer`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ondemand_xfer` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `hittime` datetime default NULL,
  `bytecount` int(10) unsigned NOT NULL default '0',
  `accountid` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `playbackstats_tracks`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `playbackstats_tracks` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `starttime` datetime NOT NULL,
  `name` varchar(255) NOT NULL,
  `listeners` int(10) unsigned NOT NULL default '0',
  `endtime` datetime NOT NULL,
  `accountid` int(10) unsigned NOT NULL,
  `listenerdelta` int(11) NOT NULL default '0',
  `duration` int(10) unsigned NOT NULL default '0',
  `royaltytrackid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `playlist_tracks`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `playlist_tracks` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `trackid` int(10) unsigned NOT NULL,
  `playlistid` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `playlists`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `playlists` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `type` enum('general','scheduled','interval','now') default NULL,
  `scheduled_datetime` datetime default NULL,
  `scheduled_repeat` enum('never','daily','weekly','monthly','yearly') NOT NULL default 'never',
  `scheduled_weekdays` set('sun','mon','tue','wed','thu','fri','sat') default NULL,
  `scheduled_monthdays` enum('date','first','last') NOT NULL default 'date',
  `interval_type` enum('songs','minutes') NOT NULL default 'songs',
  `interval_length` int(10) unsigned NOT NULL default '0',
  `general_weight` int(10) unsigned NOT NULL default '0',
  `status` enum('enabled','disabled') NOT NULL default 'disabled',
  `general_order` enum('random','sequential') NOT NULL default 'random',
  `interval_style` enum('onerandom','playall') NOT NULL default 'playall',
  `stateid` int(10) unsigned NOT NULL default '0',
  `scheduled_lastrun` datetime default NULL,
  `accountid` int(10) unsigned NOT NULL,
  `scheduled_interruptible` tinyint(3) unsigned NOT NULL default '0',
  `scheduled_duration` int(10) unsigned NOT NULL default '0',
  `scheduled_style` enum('onerandom','sequential','random') NOT NULL default 'sequential',
  `general_starttime` time NOT NULL,
  `general_endtime` time NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `progress`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `progress` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(16) NOT NULL default '',
  `percent` tinyint(3) unsigned NOT NULL default '0',
  `complete` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `remoteservers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `remoteservers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `title` varchar(128) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  `username` varchar(32) NOT NULL default '',
  `password` varchar(64) NOT NULL default '',
  `apicluster` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `servertypes`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `servertypes` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(16) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `pathname` varchar(255) NOT NULL,
  `enabled` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `settings`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `settings` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `sitename` varchar(255) NOT NULL default '',
  `senderemail` varchar(255) NOT NULL default '',
  `notifyemail` varchar(255) NOT NULL default '',
  `lastlogrotate` datetime NOT NULL default '0000-00-00 00:00:00',
  `xferexceed` enum('none','suspend') NOT NULL default 'suspend',
  `xferwarning` tinyint(3) unsigned NOT NULL default '90',
  `autounsuspend` tinyint(3) unsigned NOT NULL default '1',
  `licensekey` mediumtext NOT NULL,
  `portrangemin` int(10) unsigned NOT NULL default '8000',
  `portrangemax` int(10) unsigned NOT NULL default '10000',
  `defaultip` varchar(16) NOT NULL default '127.0.0.1',
  `quotaexceed` enum('none','suspend') NOT NULL default 'suspend',
  `quotawarning` tinyint(3) unsigned NOT NULL default '90',
  `ccuid` int(11) NOT NULL default '-1',
  `ccgid` int(11) NOT NULL default '-1',
  `vhostpath` varchar(255) NOT NULL default '/tmp/',
  `currentversion` varchar(16) NOT NULL default '',
  `allowsso` tinyint(3) unsigned NOT NULL default '0',
  `smtphost` varchar(128) NOT NULL default '',
  `smtpport` int(10) unsigned NOT NULL default '25',
  `smtpuser` varchar(128) NOT NULL default '',
  `smtppass` varchar(128) NOT NULL default '',
  `licenseid` varchar(255) NOT NULL default '',
  `lastkeyjob` int(10) unsigned NOT NULL default '0',
  `lasthourly` datetime NOT NULL,
  `amazonintegration` tinyint(3) unsigned NOT NULL default '1',
  `defaultreencode` tinyint(3) unsigned NOT NULL default '1',
  `testedstartpages` tinyint(3) unsigned NOT NULL default '0',
  `usewebproxy` tinyint(3) unsigned NOT NULL default '0',
  `defaultsamplerate` int(10) unsigned NOT NULL default '44100',
  `defaultchannels` int(10) unsigned NOT NULL default '2',
  `defaultcrossfade` int(10) unsigned NOT NULL default '0',
  `apiclusterdefault` int(11) NOT NULL default '-1',
  `lastcjstart` datetime default NULL,
  `lastcjcomplete` datetime default NULL,
  `lastcastdstart` datetime default NULL,
  `defaultcharset` varchar(16) NOT NULL default '',
  `allowlogdownload` tinyint(3) unsigned NOT NULL default '1',
  `googlemapsapikey` varchar(255) NOT NULL default '',
  `lkerrornotified` tinyint(3) unsigned NOT NULL default '0',
  `amazonawskeyid` varchar(255) NOT NULL default '',
  `amazonclientaffids` tinyint(3) unsigned NOT NULL default '0',
  `amazondefaffids` tinyint(3) unsigned NOT NULL default '0',
  `amazondefaffid` varchar(255) NOT NULL default '',
  `serverxferlimit` varchar(16) NOT NULL default '0',
  `importimages` tinyint(3) unsigned NOT NULL default '1',
  `news` mediumtext NOT NULL,
  `newsdate` varchar(32) NOT NULL default '',
  `lastnewscheck` datetime NOT NULL,
  `lastlogprocess` datetime NOT NULL,
  `mailsystemwarning` tinyint(3) unsigned NOT NULL default '0',
  `cjpid` int(10) unsigned NOT NULL default '0',
  `amazonsecretkey` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `sourcetypes`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sourcetypes` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(16) NOT NULL default '',
  `title` varchar(16) NOT NULL default '',
  `pathname` varchar(255) NOT NULL default '',
  `enabled` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `ssokeys`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ssokeys` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `tokenid` varchar(64) NOT NULL default '',
  `tokenhash` varchar(64) NOT NULL default '',
  `username` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `track_albums`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `track_albums` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `artistid` int(10) unsigned NOT NULL,
  `ident` varchar(255) NOT NULL default '',
  `releaseyear` int(10) unsigned NOT NULL default '0',
  `accountid` int(10) unsigned NOT NULL,
  `genreid` int(10) unsigned NOT NULL default '0',
  `cover` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `track_albums_genreid` (`genreid`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `track_artists`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `track_artists` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `ident` varchar(255) NOT NULL default '',
  `accountid` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `track_history`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `track_history` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `playlistid` int(10) unsigned NOT NULL,
  `trackid` int(10) unsigned NOT NULL,
  `playtime` datetime NOT NULL,
  `accountid` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `track_history_trackid` (`trackid`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `track_queue`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `track_queue` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `historyid` int(10) unsigned NOT NULL,
  `accountid` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `tracks`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `tracks` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `pathname` mediumtext NOT NULL,
  `title` varchar(255) NOT NULL default '',
  `bitrate` int(10) unsigned NOT NULL default '0',
  `length` int(10) unsigned NOT NULL default '0',
  `lastrefresh` timestamp NOT NULL,
  `accountid` int(10) unsigned NOT NULL,
  `artistid` int(10) unsigned NOT NULL,
  `albumid` int(10) unsigned NOT NULL,
  `amazonid` int(10) unsigned NOT NULL default '0',
  `reencoded` tinyint(3) unsigned NOT NULL default '0',
  `filetime` int(10) unsigned NOT NULL default '0',
  `filesize` int(10) unsigned NOT NULL default '0',
  `isrc` varchar(32) NOT NULL default '',
  `comments` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `tracks_artistid` (`artistid`),
  KEY `tracks_albumid` (`albumid`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `visitorstats_agents`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `visitorstats_agents` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
DROP TABLE IF EXISTS `visitorstats_sessions`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `visitorstats_sessions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `accountid` int(10) unsigned NOT NULL,
  `useragentid` int(10) unsigned NOT NULL,
  `starttime` datetime NOT NULL,
  `endtime` datetime default NULL,
  `duration` int(10) unsigned NOT NULL default '0',
  `bandwidth` int(10) unsigned NOT NULL default '0',
  `ipaddress` int(10) unsigned NOT NULL,
  `country` varchar(2) NOT NULL,
  `resumedata` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `visitorstats_sessions_accountid_time` (`accountid`,`starttime`,`endtime`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
SET character_set_client = @saved_cs_client;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO,MYSQL40' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

LOCK TABLES `emails` WRITE;
/*!40000 ALTER TABLE `emails` DISABLE KEYS */;
INSERT INTO `emails` VALUES (1,'xferwarning','Approaching data transfer limit','{$account.username},\r\n\r\nThis message is to inform you that your streaming server account is approaching its data transfer limit for this month.  Your current data transfer amount is {$account.cachedtransfer} MB, and your monthly limit is {$account.transferlimit} MB.\r\n\r\nIf you expect to exceed your data transfer limit for this month, you should contact the billing department as soon as possible to avoid server disconnection and/or overage charges.\r\n\r\nSincerely,\r\n{$settings.sitename} Accounting','{$account.username},<br /><br />\r\n\r\nThis message is to inform you that your streaming server account is approaching its data transfer limit for this month.  Your current data transfer amount is <strong>{$account.cachedtransfer} MB</strong>, and your monthly limit is <strong>{$account.transferlimit} MB</strong>.<br /><br />\r\n\r\nIf you expect to exceed your data transfer limit for this month, you should contact the billing department as soon as possible to avoid server disconnection and/or overage charges.<br /><br />\r\n\r\nSincerely,<br />\r\n{$settings.sitename} Accounting','Data transfer: Approaching limit',0,0);
INSERT INTO `emails` VALUES (2,'xferexceeded','Data transfer limit exceeded','{$account.username},\r\n\r\nThis message is to inform you that your streaming server account has exceeded its data transfer limit for this month.  Your current data transfer amount is {$account.cachedtransfer} MB, and your monthly limit is {$account.transferlimit} MB.\r\n\r\nYour account has been {$actiontaken}.\r\n\r\nPlease contact the support department for assistance.\r\n\r\nSincerely,\r\n{$settings.sitename} Accounting','{$account.username},<br /><br />\r\n\r\nThis message is to inform you that your streaming server account has exceeded its data transfer limit for this month.  Your current data transfer amount is <strong>{$account.cachedtransfer} MB</strong>, and your monthly limit is <strong>{$account.transferlimit} MB</strong>.<br /><br />\r\n\r\n<strong>Your account has been {$actiontaken}.</strong><br /><br />\r\n\r\nPlease contact the support department for assistance.<br /><br />\r\n\r\nSincerely,<br />\r\n{$settings.sitename} Accounting','Data transfer: Limit exceeded',0,0);
INSERT INTO `emails` VALUES (3,'passwordreset','Password reset instructions','{$account.username},\r\n\r\nA request has been made at {$settings.sitename} to reset your password.\r\n\r\nIf you wish to reset your password, please click the following URL:\r\n\r\n{$reseturl}\r\n\r\nIf you did not initiate this request, please ignore this message and no further action will be taken.\r\n\r\nSincerely,\r\n\r\n{$settings.sitename} Administration\r\n','{$account.username},<br /><br />\r\n\r\nA request has been made at <strong>{$settings.sitename}</strong> to reset your password.<br /><br />\r\n\r\nIf you wish to reset your password, please click <a href=\"{$reseturl}\">click here</a> and follow the instructions.<br /><br />\r\n\r\nIf you did not initiate this request, please ignore this message and no further action will be taken.<br /><br />\r\n\r\nSincerely,<br /><br />\r\n\r\n{$settings.sitename} Administration\r\n','Password reset instructions',0,0);
INSERT INTO `emails` VALUES (4,'serverrestarted','Server restarted','{$account.username},\r\n\r\nThis message is to inform you that your streaming server went down in the past few minutes, but has been restarted successfully.\r\n\r\nThis message is for informational purposes only, and no action is required on your part.\r\n\r\nSincerely,\r\n\r\n{$settings.sitename} Server Monitor','{$account.username},<br /><br />\r\n\r\nThis message is to inform you that your streaming server went down in the past few minutes, but has been restarted successfully.<br /><br />\r\n\r\nThis message is for informational purposes only, and no action is required on your part.<br /><br />\r\n\r\nSincerely,<br /><br />\r\n\r\n{$settings.sitename} Server Monitor','Server crash: Server restarted',0,0);
INSERT INTO `emails` VALUES (5,'unsuspended','Account reinstated','{$account.username},\r\n\r\nThis message is to inform you that your streaming server account has been unsuspended after last month\'s suspension.  Your data transfer limit for this month remains at {$account.transferlimit} MB.\r\n\r\nSincerely,\r\n{$settings.sitename} Accounting','{$account.username},<br /><br />\r\n\r\nThis message is to inform you that your streaming server account has been unsuspended after last month\'s suspension.  Your data transfer limit for this month remains at <strong>{$account.transferlimit} MB</strong>.<br /><br />\r\n\r\nSincerely,<br />\r\n{$settings.sitename} Accounting','Data transfer: Account unsuspended',0,0);
INSERT INTO `emails` VALUES (6,'serverrestartfailed','Server restart failed','{$account.username},\r\n\r\nThis message is to inform you that your streaming server went down in the past few minutes, and could not be restarted due to an error.\r\n\r\nThe support department has been notified and will look into this as soon as possible.\r\n\r\nSincerely,\r\n\r\n{$settings.sitename} Server Monitor','{$account.username},<br /><br />\r\n\r\nThis message is to inform you that your streaming server went down in the past few minutes, and could not be restarted due to an error.<br /><br />\r\n\r\nThe support department has been notified and will look into this as soon as possible.<br /><br />\r\n\r\nSincerely,<br /><br />\r\n\r\n{$settings.sitename} Server Monitor','Server crash: Restart failed',0,0);
INSERT INTO `emails` VALUES (7,'quotawarning','Approaching disk quota','{$account.username},\r\n\r\nThis message is to inform you that your streaming server account is approaching its disk quota.  Your disk usage is {$account.cacheddiskusage} MB, and your quota is {$account.diskquota} MB.\r\n\r\nIf you require additional disk space, you should contact the billing department as soon as possible to avoid server disconnection and/or overage charges.\r\n\r\nSincerely,\r\n{$settings.sitename} Accounting','{$account.username},<br /><br />\r\n\r\nThis message is to inform you that your streaming server account is approaching its disk quota.  Your disk usage is <strong>{$account.cacheddiskusage} MB</strong>, and your quota is <strong>{$account.diskquota} MB</strong>.<br /><br />\r\n\r\nIf you require additional disk space, you should contact the billing department as soon as possible to avoid server disconnection and/or overage charges.<br /><br />\r\n\r\nSincerely,<br />\r\n{$settings.sitename} Accounting','Disk quota: Approaching limit',0,0);
INSERT INTO `emails` VALUES (8,'quotaexceeded','Disk quota exceeded','{$account.username},\r\n\r\nThis message is to inform you that your streaming server account has exceeded its disk quota.  Your current disk usage is {$account.cacheddiskusage} MB, and your monthly limit is {$account.diskquota} MB.\r\n\r\nYour account has been {$actiontaken}.\r\n\r\nPlease contact the support department for assistance.\r\n\r\nSincerely,\r\n{$settings.sitename} Accounting','{$account.username},<br /><br />\r\n\r\nThis message is to inform you that your streaming server account has exceeded its disk quota.  Your current disk usage is <strong>{$account.cacheddiskusage} MB</strong>, and your monthly limit is <strong>{$account.diskquota} MB</strong>.<br /><br />\r\n\r\n<strong>Your account has been {$actiontaken}.</strong><br /><br />\r\n\r\nPlease contact the support department for assistance.<br /><br />\r\n\r\nSincerely,<br />\r\n{$settings.sitename} Accounting','Disk quota: Limit exceeded',0,0);
INSERT INTO `emails` VALUES (9,'bitrateexceeded','Bit rate limit exceeded','{$account.username},\r\n\r\nThis message is to inform you that you have been broadcasting at a bit rate of {$actualbitrate} kbps, while the bit rate limit for your account is only {$account.maxbitrate} kbps.\r\n\r\nYour streaming server has been stopped to terminate your broadcast at this bit rate.  Please adjust your streaming source settings to use a bit rate of no more than {$account.maxbitrate} kbps, then login to your control panel and use the \"Start Server\" button to restart your streaming server.\r\n\r\nIf you require assistance, please contact the support department.\r\n\r\nSincerely,\r\n{$settings.sitename} Accounting','{$account.username},<br /><br />\r\n\r\nThis message is to inform you that you have been broadcasting at a bit rate of {$actualbitrate} kbps, while the bit rate limit for your account is only {$account.maxbitrate} kbps.<br /><br />\r\n\r\n<strong>Your streaming server has been stopped to terminate your broadcast at this bit rate.</strong>  Please adjust your streaming source settings to use a bit rate of no more than {$account.maxbitrate} kbps, then login to your control panel and use the \"Start Server\" button to restart your streaming server.<br /><br />\r\n\r\nIf you require assistance, please contact the support department.<br /><br />\r\n\r\nSincerely,<br />\r\n{$settings.sitename} Accounting','Bit rate limit exceeded',0,0);
INSERT INTO `emails` VALUES (10,'songrequest','Song request received','{$account.username},\r\n\r\nA song request has been received from a visitor at {$settings.sitename}.\r\n\r\nSong: {$request.song}\r\nDedication: {$request.dedication}\r\nFrom: {$request.sender} ({$request.email})\r\n\r\nThis request was submitted by a user at the following IP address: {$request.ipaddress}\r\n','{$account.username},<br />\r\n<br />\r\nA song request has been received from a visitor at {$settings.sitename}.<br />\r\n<br />\r\nSong: {$request.song}<br />\r\nDedication: {$request.dedication}<br />\r\nFrom: {$request.sender} (<a href=\"mailto:{$request.email}\">{$request.email}</a>)<br />\r\n<br />\r\nThis request was submitted by a user at the following IP address: {$request.ipaddress}<br />\r\n','Song request received',0,0);
INSERT INTO `emails` VALUES (21,'accountcreated','Streaming account created','{$account.username},\r\n\r\nThis message is to confirm the creation of your streaming server account with {$settings.sitename}.\r\n\r\nYour account information is as follows:\r\n\r\nUsername: {$account.username}\r\nPassword: {$account.adminpassword}\r\nIP address: {$account.ipaddress}\r\nPort: {$account.port}\r\n\r\nSincerely,\r\n{$settings.sitename}','{$account.username},<br /><br />\r\n\r\nThis message is to confirm the creation of your streaming server account with {$settings.sitename}.<br /><br />\r\n\r\nYour account information is as follows:<br /><br />\r\n\r\nUsername: {$account.username}<br />\r\nPassword: {$account.adminpassword}<br />\r\nIP address: {$account.ipaddress}<br />\r\nPort: {$account.port}<br /><br />\r\n\r\nSincerely,<br />\r\n{$settings.sitename}<br />','Streaming account created',0,0);
/*!40000 ALTER TABLE `emails` ENABLE KEYS */;
UNLOCK TABLES;

LOCK TABLES `servertypes` WRITE;
/*!40000 ALTER TABLE `servertypes` DISABLE KEYS */;
INSERT INTO `servertypes` VALUES (1,'ShoutCast','ShoutCast DNAS','/home/ccstable/system/servers/ShoutCast/bin/sc_serv',1);
INSERT INTO `servertypes` VALUES (2,'IceCast','IceCast v2','/usr/bin/icecast2',1);
/*!40000 ALTER TABLE `servertypes` ENABLE KEYS */;
UNLOCK TABLES;

LOCK TABLES `sourcetypes` WRITE;
/*!40000 ALTER TABLE `sourcetypes` DISABLE KEYS */;
INSERT INTO `sourcetypes` VALUES (1,'ices','ices','/usr/local/ices/bin/ices',1);
INSERT INTO `sourcetypes` VALUES (2,'ices2','ices2','/usr/bin/ices2',1);
INSERT INTO `sourcetypes` VALUES (3,'sctrans','sc_trans v1','/home/ccstable/system/sources/sctrans/bin/sc_trans_linux',1);
INSERT INTO `sourcetypes` VALUES (4,'ezstream','ezstream','/usr/bin/ezstream',1);
INSERT INTO `sourcetypes` VALUES (5,'icescc','ices-cc','/usr/local/ices/bin/ices',1);
INSERT INTO `sourcetypes` VALUES (6,'sctrans2','sc_trans v2beta3','/home/ccstable/sctrans2/software/linux/sc_trans',1);
/*!40000 ALTER TABLE `sourcetypes` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;


update servertypes set enabled=0;
update sourcetypes set enabled=0;
insert into settings (id,sitename,lastlogrotate,defaultcharset,lastnewscheck) values (1,'CentovaCast Streaming Radio Site',NOW(),'ISO-8859-1',NOW());
