	<table cellspacing="0" cellpadding="0" border="0" width="100%">
	<tr>
		<td valign="top" width="50%">
			<table cellspacing="1" cellpadding="3" border="0" class="listtable" width="100%">
			<tr>
				<th colspan="2">{="Metric"}</th>
				<th style="text-align: right">{="Value"}</th>
			</tr>
			<tr>
				<td class="rowodd" style="font-weight: bold">{="Listener Minutes"}</td>
				<td class="rowodd">{="7-day trend"}</td>
				<td class="rowodd" align="right" style="color: {if $recentstats.trend7>0}#1e531c{elseif $recentstats.trend7<0}#ca5246{else}#000000{/if}">{="%.2f%%",$recentstats.trend7} {if $recentstats.trend7>0}<img src="../system/images/icons/trend_up.png" align="absmiddle" alt="{="Up"}" />{elseif $recentstats.trend7<0}<img src="../system/images/icons/trend_down.png" align="absmiddle" alt="{="Down"}" />{/if}</td>
			</tr>
			<tr>
				<td class="roweven">&nbsp;</td>
				<td class="roweven">{="14-day trend"}</td>
				<td class="roweven" align="right" style="color: {if $recentstats.trend14>0}#1e531c{elseif $recentstats.trend14<0}#ca5246{else}#000000{/if}">{="%.2f%%",$recentstats.trend14} {if $recentstats.trend14>0}<img src="../system/images/icons/trend_up.png" align="absmiddle" alt="{="Up"}" />{elseif $recentstats.trend14<0}<img src="../system/images/icons/trend_down.png" align="absmiddle" alt="{="Down"}" />{/if}</td>
			</tr>
			<tr>
				<td class="rowodd">&nbsp;</td>
				<td class="rowodd">{="30-day trend"}</td>
				<td class="rowodd" align="right" style="color: {if $recentstats.trend30>0}#1e531c{elseif $recentstats.trend30<0}#ca5246{else}#000000{/if}">{="%.2f%%",$recentstats.trend30} {if $recentstats.trend30>0}<img src="../system/images/icons/trend_up.png" align="absmiddle" alt="{="Up"}" />{elseif $recentstats.trend30<0}<img src="../system/images/icons/trend_down.png" align="absmiddle" alt="{="Down"}" />{/if}</td>
			</tr>
			<tr>
				<td class="roweven">&nbsp;</td>
				<td class="roweven">{="Total (%s-day)",$perioddays}</td>
				<td class="roweven" align="right">{="%s minute(s)",$recentstats.totalminutes}</td>
			</tr>
			<tr>
				<td class="rowodd">&nbsp;</td>
				<td class="rowodd">{="Total listening hours (TLH)",$perioddays}</td>
				<td class="rowodd" align="right">{="%.2f",$recentstats.totalminutes|div:60}</td>
			</tr>
			<tr>
				<td class="roweven">&nbsp;</td>
				<td class="roweven">{="Average session length"}</td>
				<td class="roweven" align="right">{="%.1f minute(s)",$recentstats.avgminutes}</td>
			</tr>

			<tr>
				<td class="rowodd" style="font-weight: bold">{="Listeners"}</td>
				<td class="rowodd">{="Total sessions (%s-day)",$perioddays}</td>
				<td class="rowodd" align="right">{="%s session(s)",$recentstats.totalsessions}</td>
			</tr>
			<tr>
				<td class="roweven">&nbsp;</td>
				<td class="roweven">{="Unique listeners"}</td>
				<td class="roweven" align="right">{="%s listener(s)",$recentstats.uniquelisteners}</td>
			</tr>
			<tr>
				<td class="rowodd">&nbsp;</td>
				<td class="rowodd">{="Unique countries"}</td>
				<td class="rowodd" align="right">{="%s countries",$recentstats.totalcountries}</td>
			</tr>
			</table>
			
			<br />

			
		</td>
		<td width="16">&nbsp;</td>
		<td valign="top" width="50%">

			<table cellspacing="1" cellpadding="3" border="0" class="listtable" width="100%">
			<tr>
				<th colspan="2">{="Metric"}</th>
				<th style="text-align: right">{="Value"}</th>
			</tr>
			<tr>
				<td class="rowodd" style="font-weight: bold">{="Data Transfer"}</td>
				<td class="rowodd">{="Total (%s-day)",$perioddays}</td>
				<td class="rowodd" align="right">{="%.1f MB",$recentstats.totaltransfer|div:1024}</td>
			</tr>
			<tr>
				<td class="roweven">&nbsp;</td>
				<td class="roweven">{="Session average"}</td>
				<td class="roweven" align="right">{="%.1f MB",$recentstats.avgtransfer|div:1024}</td>
			</tr>
			<tr>
				<td class="rowodd" style="font-weight: bold">{="Tracks"}</td>
				<td class="rowodd">{="Total (%s-day)",$perioddays}</td>
				<td class="rowodd" align="right">{="%s track(s)",$recentstats.tracks.total}</td>
			</tr>
			<tr>
				<td class="roweven">&nbsp;</td>
				<td class="roweven">{="Total unique (%s-day)",$perioddays}</td>
				<td class="roweven" align="right">{="%s track(s)",$recentstats.tracks.totalunique}</td>
			</tr>
			<tr>
				<td class="rowodd">&nbsp;</td>
				<td class="rowodd">{="Average per hour"}</td>
				<td class="rowodd" align="right">{="%.2f track(s)",$recentstats.tracks.perhour}</td>
			</tr>
			<tr>
				<td class="roweven">&nbsp;</td>
				<td class="roweven">{="Average length"}</td>
				<td class="roweven" align="right">{$recentstats.tracks.avglength|timetext}</td>
			</tr>

			<tr>
				<td class="rowodd" style="font-weight: bold">{="Peak Period"}</td>
				<td class="rowodd">{="Listeners"}</td>
				<td class="rowodd" align="right">{="%s listener(s)",$recentstats.mostlisteners.listeners}</td>
			</tr>
			<tr>
				<td class="roweven">&nbsp;</td>
				<td class="roweven">{="Track"}</td>
				<td class="roweven" align="right" title="{$recentstats.mostlisteners.name|htmlentities}">{$recentstats.mostlisteners.name|ellipsis:30}</td>
			</tr>
			<tr>
				<td class="rowodd tdlast">&nbsp;</td>
				<td class="rowodd tdlast">{="Date"}</td>
				<td class="rowodd tdlast" align="right">{$recentstats.mostlisteners.starttime|mysqldatetime:locale:full}</td>
			</tr>
			
			</table>
			<br />


		</td>
	</tr>
	<tr>
		<td valign="top" width="350" style="text-align: center">

			<img src="{$pageself}&action=image&image=listeners&by=today" class="box" /><br />
		</td>
		<td width="16">&nbsp;</td>
		<td valign="top" width="350" style="text-align: center">
			<img src="{$pageself}&action=image&image=listeners&by=yesterday" class="box" /><br />
		</td>
	</tr>
	<tr>
		<td colspan="3" style="text-align: center">
			{="Note: Figures may not be updated for up to %s hour(s).",$update_frequency}
		</td>
	</tr>
	</table>
