<div style="text-align: center; font-weight: bold">{="Average Listener Session Length"} ({="past %s days",$perioddays})</div>
<table cellspacing="1" cellpadding="3" border="0" class="listtable" width="100%">
<tr>
	<th></th>
	<th colspan="2">{="Length"}</th>
	<th style="text-align: right">{="Sessions"}</th>
</tr>
{loop $sessioncount=$avgsessionlength}
<tr>
	{if $_loop.first}
	<td rowspan="{$avgsessionlength|count}" width="170"><img src="{$pageself}&makepie=avgsessionlength" /></td>
	{/if}
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}">
		<div style="float: left; width: 8px; height: 8px; background-color: #{$sessioncount.color}; border: 1px solid #{$sessioncount.outline}; font-size: 0px; margin: 2px 8px 0 4px">&nbsp;</div>
		{if $_loop.key==0}{="0 - 30 sec"}
		{elseif $_loop.key==1}{="30 sec - 2 min"}
		{elseif $_loop.key==2}{="2 - 5 min"}
		{elseif $_loop.key==3}{="5 - 15 min"}
		{elseif $_loop.key==4}{="15 - 30 min"}
		{elseif $_loop.key==5}{="30 min - 1 hour"}
		{elseif $_loop.key==6}{="1 hour - 4 hours"}
		{elseif $_loop.key==7}{="4hours +"}
		{/if}
	</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" width="200">
		<div style="width: 200px; height: 4px; border: 1px solid #629DCD; text-align: left" {tip}{="%s%.1f%%%s of total sessions","<strong>",$sessioncount.total|mul:100|div:$maxsessions,"</strong>"}{/tip}>
			<div style="width: {$sessioncount.total|mul:200|div:$maxsessions|round}px; height: 4px; background-color: #C0DDF9; border-right: 1px solid #9AB9D9; font-size: 0px;">&nbsp;</div>
		</div>
	</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" align="right" width="100">{$sessioncount.total} ({="%.1f%%",$sessioncount.total|mul:100|div:$maxsessions})</td>
</tr>
{/loop}
</table>

<br />			

<table cellspacing="0" cellpadding="0" border="0">
<tr>
	<td valign="top">
		<div style="text-align: center; font-weight: bold">{="Top Listeners by Listener Sessions"} ({="past %s days",$perioddays})</div>
		<table cellspacing="1" cellpadding="3" border="0" class="listtable" width="100%">
		<tr>
			<th colspan="4">{="Listener"}</th>
			<th colspan="2" style="text-align: right">{="Xfer"}</th>
			<th style="text-align: right">{="Sessions"}</th>
		</tr>
		{if $toplistenersessions|count==0}<tr><td colspan="6" style="text-align: center">{="None"}</td></tr>{/if}
		{loop $listener=$toplistenersessions}
		<tr>
			<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" width="16">{$_loop.iteration}.</td>
			<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" width="16">{if $listener.countrycode!=""}<img src="../system/images/flags/{$listener.countrycode|strtolower}.png" alt="{$listener.countrycode}" align="absmiddle" {tip}{="Country: %s%s%s","<strong>",$listener.countryname,"</strong>"}{/tip} />{else}&nbsp;{/if}</td>
			<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" width="16">
				{if $listener.agenttype=="players"}<img src="../system/images/icons/ua-player.png" alt="{="Player"}" align="absmiddle" {tip}{="User agent: %s%s%s","<strong>",$listener.agent,"</strong>"} ({="Player"}){/tip} />
				{elseif $listener.agenttype=="rippers"}<img src="../system/images/icons/ua-ripper.png" alt="{="Ripper"}" align="absmiddle" {tip}{="User agent: %s%s%s","<strong>",$listener.agent,"</strong>"} ({="Ripper"}){/tip} />
				{elseif $listener.agenttype=="hybrid"}<img src="../system/images/icons/ua-hybrid.png" alt="{="Player/Ripper"}" align="absmiddle" {tip}{="User agent: %s%s%s","<strong>",$listener.agent,"</strong>"} ({="Player/Ripper"}){/tip} /> 
				{else}<img src="../system/images/icons/ua-hybrid.png" alt="{="Unknown"}" align="absmiddle" {tip}{="User agent: %s%s%s","<strong>",$listener.agent,"</strong>"} ({="Unknown"}){/tip} />
				{/if}
			</td>		
			<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}">{$listener.ipaddr}</td>
			<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" width="75">
				<div style="width: 75px; height: 4px; border: 1px solid #629DCD; text-align: left" {tip}{="%s%.1f%%%s of total sessions","<strong>",$listener.total|mul:100|div:$maxsessions,"</strong>"}{/tip}>
					<div style="width: {$listener.total|mul:75|div:$maxsessions|round}px; height: 4px; background-color: #C0DDF9; border-right: 1px solid #9AB9D9; font-size: 0px;">&nbsp;</div>
				</div>
			</td>
			<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" align="right" width="60">{="%.1f MB",$listener.bandwidth|div:1024}</td>
			<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" align="right" width="50">{$listener.total}</td>
		</tr>
		{/loop}
		</table>
		
		<br />
		
	</td>
	<td width="16">&nbsp;</td>
	<td valign="top">

		<div style="text-align: center; font-weight: bold">{="Top Listeners by Listener Minutes"} ({="past %s days",$perioddays})</div>
		<table cellspacing="1" cellpadding="3" border="0" class="listtable" width="100%">
		<tr>
			<th colspan="4">{="Listener"}</th>
			<th colspan="2" style="text-align: right">{="Xfer"}</th>
			<th style="text-align: right">{="Minutes"}</th>
		</tr>
		{if $toplistenerminutes|count==0}<tr><td colspan="6" style="text-align: center">{="None"}</td></tr>{/if}
		{loop $listener=$toplistenerminutes}
		<tr>
			<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" width="16">{$_loop.iteration}.</td>
			<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" width="16">{if $listener.countrycode!=""}<img src="../system/images/flags/{$listener.countrycode|strtolower}.png" alt="{$listener.countrycode}" align="absmiddle" {tip}{$listener.countryname}{/tip} />{else}&nbsp;{/if}</td>
			<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" width="16">
				{if $listener.agenttype=="players"}<img src="../system/images/icons/ua-player.png" alt="{="Player"}" align="absmiddle" {tip}{="User agent: %s%s%s","<strong>",$listener.agent,"</strong>"} ({="Player"}){/tip} />
				{elseif $listener.agenttype=="rippers"}<img src="../system/images/icons/ua-ripper.png" alt="{="Ripper"}" align="absmiddle" {tip}{="User agent: %s%s%s","<strong>",$listener.agent,"</strong>"} ({="Ripper"}){/tip} />
				{elseif $listener.agenttype=="hybrid"}<img src="../system/images/icons/ua-hybrid.png" alt="{="Player/Ripper"}" align="absmiddle" {tip}{="User agent: %s%s%s","<strong>",$listener.agent,"</strong>"} ({="Player/Ripper"}){/tip} /> 
				{else}<img src="../system/images/icons/ua-hybrid.png" alt="{="Unknown"}" align="absmiddle" {tip}{="User agent: %s%s%s","<strong>",$listener.agent,"</strong>"} ({="Unknown"}){/tip} />
				{/if}
			</td>				
			<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}">{$listener.ipaddr}</td>
			<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" width="75">
				<div style="width: 75px; height: 4px; border: 1px solid #629DCD; text-align: left" {tip}{="%s%.1f%%%s of total minutes","<strong>",$listener.total|mul:100|div:$maxminutes,"</strong>"}{/tip}>
					<div style="width: {$listener.total|mul:75|div:$maxminutes|round}px; height: 4px; background-color: #C0DDF9; border-right: 1px solid #9AB9D9; font-size: 0px;">&nbsp;</div>
				</div>
			</td>
			<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" align="right" width="60">{="%.1f MB",$listener.bandwidth|div:1024}</td>
			<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" align="right" width="50">{$listener.total}</td>
		</tr>
		{/loop}
		</table>
		
		<br />
	
	</td>
</tr>
	
</table>

<div align="center">
	<form method="post" action="{$pageself}">
		<input type="hidden" name="tab" value="listeners" />
		{="Show"}: <select name="listenerlimit" size="1" onchange="this.form.submit()">
		<option value="10"{if $listenerlimit==10} selected="selected"{/if}>{="Top %d",10}</option>
		<option value="25"{if $listenerlimit==25} selected="selected"{/if}>{="Top %d",25}</option>
		<option value="50"{if $listenerlimit==50} selected="selected"{/if}>{="Top %d",50}</option>
		<option value="100"{if $listenerlimit==100} selected="selected"{/if}>{="Top %d",100}</option>
		<option value="250"{if $listenerlimit==250} selected="selected"{/if}>{="Top %d",250}</option>
		<option value="-1"{if $listenerlimit<0} selected="selected"{/if}>{="All"}</option>
		</select>
		<noscript><input type="submit" name="go" value="{="Go"}" /></noscript>
	</form>
</div>

