<?php
/*
 * Centova Cast Localization
 * Deutsch (DE) Sprache
 *
 *
 * TRANSLATOR
 * ========================================================================
 * Autor: Andre Fichtner <anfichtner@atfichtner.de>
 * Datum: Juli, 2008
 *
 * CONTRIBUTOR
 * ========================================================================
 * Andre Fichtner <anfichtn@atfichtner.de> - Juli, 2008
 *
 * README
 * ========================================================================
 * Contributors, please add your name above under the CONTRIBUTORS section.
 *
 * The format for each element in the array below is "English"=>"Translated",
 * for example:
 *
 * 'Welcome, %s!'=>'Bienvenue, %s!'
 *
 * Be sure to leave all "%s"'s intact; they represent placeholders for
 * text that Centova Cast will insert.
 *
 */
$localization = array(
	// Name of language (in target language, eg: Deutsch for German, Francais for French, etc.)
	"_LANGUAGE"=>"Deutsch (DE)",
	// Name of translator
	"_AUTHOR"=>"Andre Fichtner",
	// Version of Centova Cast for which this language file was created
	"_VERSION"=>"2.0.0",

	// Specify the format for dates; M=month (3-letter), F=month (full), d=day (2-digit), Y=year (4-digit)
	"_DATEFORMAT"=>"d. M. Y",

	// Specify the format for times; h=12-hour hour, H=24-hour hour, i=minutes, A=am/pm
	"_TIMEFORMAT"=>"H:i ",

	// Specify the format for dates without the day number; M=month, Y=year
	"_NODAYFORMAT"=>"M. Y",

	// Specify the format for dates without the year; M=month, d=day
	"_NOYEARFORMAT"=>"d. M.",

	// String translations
	'%%s for %s'=>'%%s f&uuml;r %s ',
	'%s Kbps'=>'%s Kbps',
	'%s MB'=>'%s MB',
	'%s account(s)'=>'%s Konto (/en)',
	'%s is a registered trademark of %s'=>'%s ist ein eingetragenes Warenzeichen von %s',
	'%s is not executable or not found'=>'%s ist nicht ausf&uuml;hrbar oder wurde nicht gefunden',
	'%s was designed by %s'=>'%s wurde erstellt von %s',
	'%s/%s MB'=>'%s/%s MB',
	'0 for auto'=>'0 f&uuml;r Automatisch',
	'0 to disable'=>'0 zum Deaktivieren',
	'A database error occurred while creating this account'=>'Ein Datenbankfehler ist w&auml;hrend dem Erstellen des Kontos aufgetreten',
	'A database error occurred while updating this account'=>'Ein Datenbankfehler ist w&auml;hrend dem &Auml;ndern Kontos aufgetreten',
	'About'=>'&Uuml;ber',
	'Access Log'=>'Zugriffs-Log',
	'Access denied to selected playlist.'=>'Zugriff auf gew&auml;hlte Abspielliste verweigert',
	'Account'=>'Konto',
	'Account Information'=>'Konto-Information',
	'Account Management'=>'Konto Verwaltung',
	'Account could not be created'=>'Konto konnte nicht angelegt werden',
	'Account could not be deleted'=>'Konnte nicht gel&ouml;scht werden',
	'Account created'=>'Konto erstellt',
	'Account created successfully.'=>'Konto erfolgreich erstellt',
	'Account deleted successfully.'=>'Konto erfolgreich gel&ouml;scht',
	'Account does not exist'=>'Konto existiert nicht',
	'Account does not exist in database'=>'Konto existiert nicht in der Datenbank',
	'Account is disabled'=>'Konto ist inaktiv',
	'Account removed'=>'Konto entfernt',
	'Account status updated'=>'Status des Konto ge&auml;ndert',
	'Account updated'=>'Konto aktualisiert',
	'Accounts on %s'=>'Konten auf %s',
	'Activate Source'=>'Quelle aktivieren',
	'Active accounts'=>'Aktive Konten',
	'Add remote server'=>'Entfernten Server hinzuf&uuml;gen',
	'Add track from library to playlist'=>'Titel aus Bibliothek zu Abspielliste hinzuf&uuml;gen',
	'Add track to playlist'=>'Titel zur Abspielliste hinzuf&uuml;gen',
    'Administrative notices will be sent to the above address.'=>'Administrations-Hinweise werden an die obige Adresse verschickt.',
	'Administrator password'=>'Administrator-Passwort',
	'All outbound messages will use the above as a return address.'=>'Alle ausgehenden Nachrichten verwenden die obige Adresse als Absender-Adresse',
	'Allow this server to be controlled remotely'=>'Diesem Server die entfernte Verwaltung erlauben',
	'Allows you to administer your server directly.'=>'Erlaubt Ihnen Ihren Server direkt zu verwalten.',
	'An error occurred while attempting to save this update.'=>'Ein Fehler ist beim Speichern des Updates aufgetreten.',
	'An error occurred while attempting to update this message'=>'Ein Fehler ist beim Aktualisieren dieser Nachricht aufgetreten',
	'An error occurred while attempting to update your settings.'=>'Ein Fehler ist beim Speichern Ihrer Einstellungen aufgetreten.',
	'An error occurred while copying this file'=>'Beim kopieren der Datei trat ein Fehler auf',
	'An internal %s has occurred'=>'Ein interner %s ist aufgetreten',
	'Another cron job instance is already running'=>'Eine andere Cron-Instanz l&auml;uft bereits',
	'Any media you have uploaded will not appear within Centova Cast until you update your media library.'=>'Hochgeladene Medien erscheinen erst nach einem Update der Medienbibliothek.',
	'Any unsaved changes you have made to this playlist will be lost.  Click OK to discard all changes, or Cancel to return to the editor.'=>'Alle ungespeicherten Aenderungen an dieser Wiedergabeliste werden verloren gehen. OK Klicken zum Verwerfen der Einstellungen oder Abbrechen um zum Editor zurueck zukehren.',
	'Application %s does not exist.'=>'Anwendung %s existiert nicht.',
	'Application %s is not executable.'=>'Anwendung %s ist nicht ausf&uuml;hrbar.',
	'April'=>'April',
	'Are you sure you want to disable this account?'=>'Sind Sie sicher das Sie dieses Konto deaktivieren wollen?',
	'Are you sure you want to permanently delete the %s%s%s server account and all associated configuration data and logs?'=>'Sind Sie sicher das Sie dieses %s%s%s Server Konto und alle zugehÃ¶rigen Daten und Einstellungen endg&uuml;ltig l&ouml;schen wollen?',
	'Are you sure you want to permanently delete this playlist?'=>'Sind Sie sicher das Sie diese Wiedergabeliste endg&uuml;ltig l&ouml;schen wollen?',
	'Artists'=>'Interpreten',
	'August'=>'August',
	'Authenticated'=>'Beglaubigt',
	'Auto'=>'Automatisch',
	'Automatically unsuspend it the following month'=>'Automatisch zu Beginn des neuen Monats reaktivieren',
	'Bad secret.  Argument 2 must specify the "secret" column from the accounts database table.'=>'Falsches Passwort. Argument 2 muss das Passwort des Kontos sein.',
	'Basic Mode'=>'Basismodus',
	'Bit rate'=>'Bitrate',
	'Bitrate'=>'Bitrate',
	'Cancel'=>'Abbruch',
	'Cannot create lock file'=>'Kann LOCK-Datei nicht erstellen',
	'Cannot open playlist file.'=>'Kann Wiedergabeliste nicht &ouml;ffnen.',
	'Cannot reload server; you will need to restart the server instead.'=>'Neuladen des Servers fehlgeschlagen. Sie m&uuml;ssen den Server neu starten.',
	'Centova Cast URL'=>'Centova Cast Internetadresse',
	'Channels'=>'Kan&auml;le',
	'Check complete'=>'Check erfolgreich',
	'Checking for crashed servers...'=>'Pr&uuml;fe auf abgest&uuml;rzte Server...',
	'Checking for missing files...'=>'Pr&uuml;fe auf fehlende Dateien',
	'Checking server process for %s (expected: %s)'=>'Pr&uuml;fe Server-Prozesse auf %s (erwartet: %s)',
	'Checking source process for %s (expected: %s)'=>'Pr&uuml;fe Source-Prozesse auf %s (erwartet: %s)',
	'Click the link below to update your media library now.'=>'Klicke den Link darunter, um die Medienbibliothek zu aktualisieren.',
	'Code Snippets'=>'Code-Schnipsel',
	'Company/organization'=>'Firma / Organisation',
	'Complete'=>'Vollst&auml;ndig',
	'Configuration could not be updated'=>'Konfiguration konnte nicht aktualisiert werden',
	'Configuration updated successfully.  Note that you will need to restart your server for the changes to take effect.'=>'Konfiguration erfolgreich Ã�bernommen. Sie m&uuml; den Server zum Anwenden der Ã€nderungen Neustarten.',
	'Configure Server'=>'Server konfigurieren',
	'Configure Server Account'=>'Server-Konto konfiguieren',
	'Configures the E-mail messages sent by your server.'=>'Vom Server verschickbare E-Mail Nachrichten konfigurieren.',
	'Configures the settings for your server.'=>'Bearbeiten Sie die Server-Einstellungen.',
	'Configures this server account.'=>'Konfiguriere dieses Server-Konto.',
	'Configures your streaming server.'=>'Konfigurieren Sie den Stream-Server.',
	'Confirm password'=>'Passwort best&auml;tigen',
	'Construct your playlist by copying tracks from your media library to your playlist.'=>'Erstellen Sie Ihre Playlist indem Sie Titel aus Ihrer Medienbibliothek in die Playlist kopieren.',
	'Contacting remote servers ...'=>'Verbinde zu entfernten Servern...',
	'Control Server'=>'Kontroll-Server',
	'Controls the use of a locally hosted streaming source instead of a remote source.'=>'Kontrolliert die Verwendung einer lokalen Stream-Quelle anstelle einer entfernten Quelle.',
	'Copyright'=>'Copyright',
	'Could not create account'=>'Konnte Konto nicht erstellen',
	'Could not create host directory'=>'Konnte Zentral-Verzeichnis nicht erstellen',
	'Could not create server PID file'=>'Konnte Server-PID-Datei nicht erstellen',
	'Could not create source PID file'=>'Konnte Quell-PID-Datei nicht erstellen',
	'Could not create streaming server object'=>'Konnte Streaming-Server-Objekt nicht erstellen',
	'Could not create streaming source object'=>'Konnte Streaming-Quell-Objekt nicht erstellen',
	'Could not create token'=>'Konnte Merkmal nicht erstellen',
	'Could not instantiate server control object'=>'Konnte Server-Kontroll-Objekt nicht erstellen',
	'Could not locate the requested item.'=>'Konnte das angeforderte Objekt nicht finden.',
	'Could not open log file'=>'Konnte Logfile nicht &ouml;ffnen',
	'Could not remove account'=>'Konnte Konto nicht l&ouml;schen',
	'Could not start server'=>'Konnte Server nicht starten',
	'Could not start source'=>'Konnte Quelle nicht starten',
	'Could not to connect to Centova Cast daemon on %s:%s'=>'Konnte zu Centova Cast daemon auf %s:%s nicht verbinden',
	'Could not update account'=>'Konnte Konto nicht aktualisieren',
	'Could not write to %s'=>'Konnte nicht auf %s schreiben',
	'Create'=>'Erstellen',
	'Create playlist'=>'Erstelle Playlist',
	'Crossfade length'=>'Ã�berblend-LÃ€nge',
	'Current listeners'=>'Aktuelle Zuh&ouml;rer',
	'Current song'=>'Aktueller Titel',
	'Current song not available'=>'Aktueller Titel nicht verf&uuml;gbar',
	'Currently'=>'Aktuell',
	'Daily'=>'T&auml;glich',
	'Dashboard'=>' Armaturenbrett',
	'Data Transfer (MB)'=>'Datentransfer (MB)',
	'Data Transfer for %s'=>'Datentransfer fuer %s',
	'Data Xfer'=>'Datentransfer',
	'Data transfer'=>'Datentransfer',
	'Data transfer limit'=>'Datentransfer Limit',
	'Day'=>'Tag',
	'Deactivate Source'=>'Quelle deaktivieren',
	'December'=>'Dezember',
	'Default IP address for new servers'=>'Standard IP-Adresse f&uuml; neue Server',
	'Defaults'=>'Standards',
	'Delete Account'=>'L&ouml;sche Konto',
	'Delete account'=>'L&ouml;sche Konto',
	'Delete playlist'=>'L&ouml;sche Wiedergabeliste',
	'Delete remote server'=>'L&ouml;sche entfernten Server',
	'Delete server account'=>'L&ouml;sche Server Konto',
	'Destination path %s does not exist'=>'Zielpfad %s existiert nicht',
	'Details'=>'Details',
	'Disabled'=>'Deaktiviert',
	'Discard'=>'Ausschuss',
	'Disk Quota'=>'Festplattenplatz',
	'Disk Space'=>'freier Festplattenplatz',
	'Disk quota'=>'Festplattenplatz',
	'Display calendar'=>'Kalender anzeigen',
	'Displays an overview of your stream.'=>'Zeige Stream-&Uuml;bersicht.',
	'Displays statistics for this server account.'=>'Zeigt Statistiken f&uuml;r dieses Server-Konto.',
	'Displays statistics for your stream.'=>'Zeigt Statistiken f&uuml; Ihren Stream.',
	'Displays the logs for this server account.'=>'Zeigt die Logs f&uuml;r dieses Server-Konto.',
	'Displays the overall statistics for your server.'=>'Zeigt die Statistiken f&uuml;r alle Server.',
	'Displays your server logs.'=>'Zeigt Ihre Server-Logs.',
	'Drag tracks from your media library and drop them into your playlist.'=>'Ziehen Sie die Titel aus der Medienbibliothek in die Wiedergabeliste.',
	'E-mail Settings'=>'E-Mail Einstellungen',
	'E-mail address'=>'E-Mail Adresse',
	'Edit Messages'=>'Nachrichten bearbeiten',
	'Edit message'=>'Nachricht bearbeiten',
	'Edit playlist'=>'Wiedergabeliste bearbeiten',
	'Edit remote server'=>'Entfernten Server bearbeiten',
	'Edit server account'=>'Server-Konto bearbeiten',
	'Enabled'=>'Aktiviert',
	'Enter a new password below.'=>'Geben Sie ein neues Passwort ein',
	'Enter password for %s'=>'Passwort f&uml;r %s eingeben',
	'Enter password for admin'=>'Administrator-Paswort eingeben',
	'Enter your E-mail address below continue.'=>'Geben Sie Ihre E-Mail Adresse ein, um fortzufahren.',
	'Error Log'=>'Fehler-Log',
	'Error copying %s to %s'=>'Fehler beim kopieren von %s nach %s',
	'Error creating directory %s'=>'Fehler beim Erstellen des Verzeichnisses %s',
	'Error deleting %s'=>'Fehler beim L&ouml;schen von %s',
	'Error importing track'=>'Fehler beim importieren des Titel',
	'Error loading %s module.'=>'Fehler beim laden des Moduls %s',
	'Error saving streaming server settings'=>'Fehler beim speichern der Einstellung f&uuml;r den Stream-Server',
	'Error saving streaming source settings'=>'Fehler beim speichern der Einstellung f&uuml;r den Quell-Server',
	'Error updating streaming server settings'=>'Fehler beim aktualisieren der Einstellung f&uuml;r den Stream-Server',
	'Failed...'=>'Fehlgeschlagen...',
	'Fallback file'=>'Sicherungsdatei',
	'February'=>'Februar',
	'File copied successfully'=>'Datei erfolgreich kopiert',
	'First day of month'=>'Erster Tag des Monats',
	'Folder'=>'Ordner',
	'For support and updates, please visit %s'=>'F&uuml;r UnterstÃŒtzung und Updates besuchen Sie %s',
	'Forgot password?'=>'Passwort vergessen?',
	'Fri'=>'Freitag',
	'Full Mode'=>'Vollmodus',
	'General'=>'Allgemein',
	'General Rotation'=>'Allgemeine Rotation',
	'General rotation'=>'Allgemeine Rotation',
	'General rotation playlist details'=>'Einzelheiten zur Allgeimeinen rotierenden Wiedergabeliste',
	'General rotation playlists are used to play media from your library when no scheduled or interval playlists are due to be played.  Most stations spend the majority of their air time playing tracks from general rotation playlists.'=>'Die allgemeinen rotierende Wiedergabelisten werden benutzt um Titel zu spielen wenn keine planmÃ€Ã�igen oder regelmÃ€Ã�igen Wiedergabelisten folgen.',
	'General rotation playlists can be \'weighted\' to ensure that tracks from one general rotation playlist are played more or less frequently than tracks from other general rotation playlists.  This can be used to ensure that new releases are played more frequently than older tracks,for example.'=>'Allgemeine rotierende Wiedergabelisten ',
	'Go'=>'Los',
	'Hold Ctrl to%sselect multiple.'=>'Dr&uuml;cke STRG um mehrere %s auszuw&auml;hlen.',
	'Home'=>'Startseite',
	'Host directory already exists; aborting'=>'Host-Verzeichnis existiert bereits, breche ab',
	'Host directory does not exist; aborting'=>'Host-Verzeichnis existiert nicht, breche ab',
	'Host directory for server %s not found on disk!'=>'Host-Verzeichnis fÃŒr Server %s nicht gefunden!',
	'Hostname'=>'Hostname',
	'Hour'=>'Stunde',
	'Hz'=>'Hz',
	'IP address'=>'IP Adresse',
	'If enabled, the stream cannot be started until at least one MP3 is uploaded into the following folder'=>'Wenn aktiviert kann der Server erst gestartet werden wenn mindestens eine MP3 in folgenden Ordner geladen wurde',
	'If you have uploaded new media since then, please be sure to update your media library to bring the new media into Centova Cast.'=>'Wenn neue Mediendateien hochgeladen wurden, vergewisseren Sie sich bitten, dass sie Ihre Medienbibliothek aktualisiert haben um die neuen Daten einzubinden.',
	'If you wish to apply any configuration changes to your ShoutCast server itself, you will need to use the Restart Server option instead.'=>'Wenn Sie die KonfigurationsÃ€nderungen auf den Server anwenden wollen, mÃŒssen Sie den Server neu starten.',
	'Indexing files...'=>'Erzeuge Index...',
	'Individual commands may also accept other options; refer to the manual for details.'=>'Benutzerdefinierte Befehle k&ouml;nnen auch andere Optionen akzeptieren; Lesen Sie das zugeh&ouml;rige Handbuch.',
	'Installation root'=>'Hauptpfad der Installation',
	'Instructions for resetting your password%shave been sent via E-mail to'=>'Anweisungen wie Sie Ihr Passwort zur&uuml;cksetzen wurden Ihnen an %s per E-Mail zugeschickt',
	'Interval'=>'Intervall',
	'Interval playlist details'=>'Wiedergabelisten - Intervall - Details',
	'Interval playlists allow you to play tracks at regular intervals of several minutes or several songs.  These playlists are useful for playing recurring content, such as station identification or commercial advertisements.'=>'Abstand-Wiedergabelisten erlauben Ihnen, Titel in regelm&auml;&szlig;igen Abst&auml;nden einiger Minuten oder einiger Lieder zu spielen. Diese Wiedergabelisten sind f&uuml;r das Spielen des wiederkehrenden Inhalts, wie Stationskennzeichnung oder Handelsreklameanzeigen n&uuml;tzlich.',
	'Introduction file'=>'Begr&uuml;&szlig;ungs-Datei',
	'Invalid E-mail address.'=>'Ung&uuml;ltige E-Mail-Adresse',
	'Invalid destination path'=>'Ung&uuml;ltiger Zielpfad',
	'Invalid media path'=>'Ung&uuml;ltiger Medienpfad',
	'Invalid password'=>'Ung&uuml;ltiges Passwort',
	'Invalid password reset code.'=>'Ung&uuml;ltiger Passwort-Reset Code',
	'Invalid sign-on token.'=>'Ung&uuml;ltiges Anmelde-Token.',
	'Invalid state for source'=>'Ung&uuml;ltiger Status f&uuml;r Quelle',
	'Invalid username'=>'Ung&uuml;ltiger Benutzername',
	'Invalid username.'=>'Ung&uuml;ltiger Benutzername.',
	'January'=>'Januar',
	'July'=>'Juli',
	'June'=>'Juni',
	'Last day of month'=>'Letzter Tag des Monats',
	'Leave it suspended until unsuspended by an administrator'=>'Belassen Sie es deaktiviert bis zur Aufhebung durch einen Administrator',
	'Length'=>'L&auml;nge',
	'Less frequently'=>'Geringere Frequenz',
	'Listener Minutes'=>'H&ouml;rer Minuten',
	'Listeners'=>'H&ouml;rer',
	'Load average'=>'durchschnittliche Auslastung',
	'Loading, please wait'=>'Lade, bitte warten',
	'Loading, please wait...'=>'Lade, bitte warten...',
	'Loading...'=>'Laden...',
	'Lock already acquired'=>'LOCK bereits angefordert',
	'Lock denied'=>'LOCK abgelehnt',
	'Lock failed'=>'LOCK fehlgeschlagen',
	'Lock has been reacquired by another process'=>'LOCK wurde von anderem Prozess angefordert',
	'Log Out'=>'Abmelden',
	'Log processing complete'=>'Abmeldevorgang erfolgreich',
	'Login'=>'Anmelden',
	'Login to Account'=>'Als dieses Konto anmelden',
	'Logs in to this account as if you had entered this user\'s username and password.'=>
    'Meldet Sie f&uuml;r dieses Konto an, als wenn Sie daf&uuml;r Benutzer und Passwort eingegeben h&auml;tten.',
	'MB (soft quota)'=>'MB (soft quota)',
	'MB/month'=>'MB / Monat',
	'Manage Accounts'=>'Kontos verwalten',
	'Manage tracks'=>'Titel verwalten',
	'Manage your playlists.'=>'Playlisten verwalten.',
	'Manage your song playlist.'=>'Titel Playlist verwalten.',
	'Management'=>'Verwaltung',
	'Manages remote servers for single-signon.'=>'Verwaltet entfernte Server f&uuml;r Einzel-Anmeldung.',
	'Manages your streaming server accounts.'=>'Verwaltet Ihre Stream-Server-Konten.',
	'March'=>'M&auml;rz',
	'Maximum bit rate'=>'H&ouml;chste Bitrate',
	'Maximum listeners'=>'Maximale H&ouml;rerzahl',
	'May'=>'Mai',
	'Media Library'=>'Medienbibliothek',
	'Media must be added to playlist before starting stream.'=>'Medien m&uuml;ssen zur Wiedergabeliste hinzugef&uuml;gt werden bevor der Stream gestartet werden kann',
	'Message'=>'Nachricht',
	'Message HTML (optional)'=>'HTML-Nachricht (optional)',
	'Message text'=>'Nachrichtentext',
	'Messages'=>'Nachrichten',
	'Minutes'=>'Minuten',
	'Minutes for %s'=>'Minuten fuer %s',
	'Missing argument %d for %s()'=>'Fehlendes Argument %d f&uuml;r %s()',
	'Mon'=>'Montag',
	'Month'=>'Monat',
	'Monthly'=>'monatlich',
	'More frequently'=>'h&ouml;here Frequenz',
	'Move track down'=>'Titel nach unten verschieben',
	'Move track to bottom'=>'Titel an das Ende verschieben',
	'Move track to top'=>'Titel an den Anfang verschieben',
	'Move track up'=>'Titel nach oben verschieben',
	'Must specify a valid action'=>'Es muss eine g&uuml;ltige Aktion angegeben werden',
	'Must specify source file'=>'Quell-Datei muss angegeben werden',
	'Must use --%s parameter'=>'Parameter --%s muss verwendet werden',
	'Name'=>'Name',
	'Never (one time only)'=>'Einmalig',
	'New account'=>'Neues Konto',
	'No'=>'Nein',
	'No accounts have been created'=>'Es wurden keine Konten angelegt',
	'No playlists have been created.'=>'Es wurden keine Wiedergabelisten angelegt.',
	'No remote servers have been configured.'=>'Es wurden keine entfernten Server konfiguriert.',
	'No response; possible configuration problem'=>'Keine Antwort, m&ouml;glicherweise ein Konfigurationsproblem',
	'No streaming source configured'=>'Keine Stream-Quelle konfiguriert',
	'No such lock'=>'Kein derartiger LOCK',
	'No such lock acquired'=>'Kein derartiger LOCK angefordert',
	'None'=>'Nichts',
	'Note that ShoutCast DNAS does not support reloading its configuration without interrupting your stream.  This reload operation has only flushed your server logs and reloaded your source configuration (if any).'=>'Beachten Sie, dass SchoutCast DNAS das Neuladen seiner Konfiguration nicht unterst&uuml;tzt, ohne Ihren Stream zu unterbrechen. Diese Aktion hat nur Ihre Logdateien gespeichert und Ihre Quellenkonfiguration neu geladen (wenn vorhanden).',
	'Note: Not updated in realtime.  Figures for'=>'Hinweis: Kein Echtzeit-Update. Illustration f&uuml;r',
	'Note: altering the channels, sample rate, or crossfade settings may significantly increase CPU usage.'=>'Beachte: Ver&auml;nderung von Channels, Abtastrate oder &Uuml;berblend-Einstellungen kann die CPU-Auslastung betr&auml;chtlich beeinflussen.',
	'Notification E-mail address'=>'Benachrichtigungs-E-Mail Adresse',
	'Notify clients via E-mail when'=>'Benachrichtige Kunde per E-Mail wenn',
	'November'=>'November',
	'Now Playing'=>'Jetzt l&auml;uft',
	'OK'=>'Ok',
	'October'=>'Oktober',
	'Offline'=>'Getrennt',
	'One or more accounts already exist with the specified %s'=>'Ein oder mehrere Konten bestehen mit dem angegebenen %s',
	'One or more errors were found in your form submission.  Please correct the fields marked with asterisks (*) below.'=>'Ein oder mehrere Felder enthalten fehlerhafte Eingaben. Bitte berichtigen Sie die mit Stern (*) markierten Felder.',
	'One or more issues were found with your submission.  Please correct the fields marked with asterisks'=>'Ein oder mehrere Fehler wurden gefunden. Bitte berichtigen Sie die mit Stern (*) markierten Felder',
	'Online'=>'Verbunden',
	'Operating system'=>'Betriebssystem',
	'Optimizing tables...'=>'Optimiere Tabellen...',
	'Overview'=>'&Uuml;bersicht',
	'Package Limits'=>'Beschr&auml;nkungen des Pakets',
	'Page'=>'Seite',
	'Password'=>'Passwort',
	'Password do not match.'=>'Passw&ouml;rter stimmen nicht &uuml;berein',
	'Password must be at least 4 characters long.'=>'Das Passwort muss mindestens 4 Zeichen lang sein.',
	'Permitted and enabled'=>'Erlaubt und aktiviert',
	'Permitted, but disabled'=>'Erlaubt, aber deaktiviert',
	'Place the following code (or any combination of the following <span> elements) on your web page wherever you would like the corresponding information to appear:'=>'Platziern Sie den folgenden Code (oder eine beliebige Kombination der folgenden <span>-Elemente) auf Ihrer Webseite, wo die gew&uuml;nschten Informationen erscheinen sollen:',
	'Place the following code at the bottom of the web page, just before your </body> tag:'=>'Platzieren Sie den folgenden Code am Ende Ihrer Webseite, &uuml;ber dem </body> - Tag:',
	'Place the following code on your web page wherever you would like the summary to appear:'=>'Platzieren Sie den folgenden Code auf Ihrer Webseite, wo die Zusammenfassung erscheinen soll:',
	'Play all tracks from this playlist in order'=>'Spiele alle Titel dieser Wiedergabeliste in ihrer Reihenfolge',
	'Play only one randomly selected track from this playlist'=>'Spiele nur einen zuf&auml;lligen Titel von dieser Wiedergabeliste',
	'Playback order'=>'Wiedergabe-Reihenfolge',
	'Playback style'=>'Wiedergabe-Stil',
	'Playback weight'=>'Wiedergabe - Wichtung',
	'Playlist'=>'Wiedergabeliste',
	'Playlist Manager'=>'Wiedergabelisten - Manager',
	'Playlist does not contain any tracks.'=>'Diese Wiedergabeliste enth&auml;lt keine Titel',
	'Playlist does not exist.'=>'Diese Wiedergabeliste existiert nicht.',
	'Playlist file is not readable.'=>'Die Wiedergabelisten-Datei ist nicht lesbar.',
	'Playlist must be created before starting stream.'=>'Es muss eine Wiedergabeliste angelegt werden bevor der Stream gestartet werden kann.',
	'Playlist permissions must be corrected before starting stream.'=>'Die Wiedergabelisten-Rechte m&uuml;ssen korrigiert werden bevor der Stream gestartet werden kann.',
	'Playlist rebuilt'=>'Wiedergabeliste neu erstellen',
	'Playlist saved successfully.'=>'Wiedergabeliste erfolgreich gespeichert.',
	'Playlist settings'=>'Wiedergabelisten-Einstellungen',
	'Playlist sort details'=>'Wiedergabelisten-Sortierungs-Details',
	'Playlists'=>'Wiedergabelisten',
	'Please check your E-mail.'=>'Bitte pr&uuml;fen Sie Ihre E-Mails.',
	'Polling %s'=>'Rufe %s ab',
	'Port'=>'',
	'Port range for new servers'=>'Post-Bereich f&uuml;r neue Server',
	'Process check disabled, skipping...'=>'Prozess-&Uuml;berpr&uuml;fung deaktiviert, &uuml;berspringe..',
	'Processing and rotating logs...'=>'Verarbeite und rotiere Logs...',
	'Processing logs for %s ...'=>'Verarbeite Logs f&uuml;r %s ...',
	'Progress: %s%%; indexing %s'=>'Fortschritt: %s%%; Indiziere %s',
	'Prohibited (stream MUST use an offsite source)'=>'Nicht erlaubt. (Stream MUSS eine externe Quelle verwwenden)',
	'Projected data transfer'=>'Geplanter Datentransfer',
	'Provides integration code for you to use on your web site.'=>'Bietet einen Integrations-Code zur Nutzung auf Ihrer Webseite.',
	'Random (shuffled)'=>'Zuf&auml;llig (gemischt)',
	'Randomize playlist'=>'Mische Wiedergabeliste',
	'Realtime Stats'=>'Echtzeit-Statistik',
	'Rebuild playlist on startup'=>'Baue Wiedergabeliste beim Start neu auf',
	'Recent tracks'=>'Neue Titel',
	'Reference to unknown class: %s'=>'Referenz auf unbekannte Klasse: %s',
	'Reload Server'=>'konfiguration an Server &uuml;bergeben',
	'Remember me'=>'Merken',
	'Remote'=>'Entfernt',
	'Remote Servers'=>'Entfernte Server',
	'Remote server details'=>'Details f&uuml;r entfernten Server',
	'Remote servers'=>'Entfernte Server',
	'Remove fallback file'=>'Entferne Fallback-Datei',
	'Remove introduction file'=>'entfernte Begr&uuml;&szlig;ungs-Datei',
	'Remove track from playlist'=>'Entferne Titel aus Wiedergabeliste',
	'Repeat every'=>'Wiederhole alle',
	'Repeat on'=>'Wiederholung ein',
	'Repeat schedule'=>'Wiederholung des Zeitplanes',
	'Required only if you need to use an SMTP server.'=>'Nur n&ouml;tig wenn ein SMTP-Server genutzt werden muss',
	'Reset password'=>'Passwort zur&uuml;cksetzen',
	'Restart Server'=>'Server neu starten',
	'Retrieving current song...'=>'Empfange aktuellen Titel...',
	'Return'=>'Zur&uuml;ck',
	'Return to control server'=>'Zur&uuml;ck zu Server-Kontrolle',
	'Return to the control server.'=>'Zur&uuml;ck zum Kontroll-Server',
	'SMTP password'=>'SMTP Passwort',
	'SMTP port'=>'SMTP Port',
	'SMTP server'=>'SMTP Server',
	'SMTP username'=>'SMTP Benutzername',
	'SQL insert failed: %s'=>'SQL Einf&uuml;gen fehlgeschlagen: %s',
	'Sample rate'=>'Samplingrate',
	'Sat'=>'Samstag',
	'Save'=>'Speichern',
	'Scheduled'=>'geplant',
	'Scheduled date'=>'geplantes Datum',
	'Scheduled playlist details'=>'Details f&uuml;r Wiedergabelisten-Planung',
	'Scheduled playlists allow you to schedule a list of tracks to be played at a specific date and time.  These playlists can also be setup to repeat at given intervals, making them ideal for daily/weekly countdowns or pre-recorded shows.'=>'Zeitlich geplante Wiedergabelisten erlauben Ihnen, eine Liste der Titel festzulegen, die zu einem spezifischen Datum und zu einer Zeit gespielt zu werden. Diese Wiedergabelisten k&ouml;nnen auch angelegt werden, um Sie in den gegebenen Abst&auml;nden zu wiederholen. Dies macht sie Ideal f&uuml;r t&auml;gliche/w&ouml;chentliche Countdowns oder vorher aufgenommene Sendungen.',
	'Scheduled time'=>'Geplante Zeit',
	'Select a message'=>'W&auml;hlen Sie eine Nachricht',
	'Select a weight for this playlist below.  Songs in playlists with higher weights play more frequently than songs in playlists with lower weights.'=>'W&auml;hlen Sie eine Priorit&auml;t f&uuml;r diese Wiedergabeliste unten aus. Lieder in den Wiedergabelisten mit h&ouml;herer Priorit&auml;t spielen h&auml;ufiger als Lieder in den Wiedergabelisten mit niedrigerer Priorit&auml;t.',
	'Sender E-mail address'=>'Absender E-Mail Adresse',
	'September'=>'September',
	'Sequential (in order)'=>'Sequentiell (in Reihenfolge)',
	'Server %s is broadcasting at %skbps, exceeding limit of %skbps; stopping'=>'Server %s sendet mit %skbps. Dies &uuml;berschreitet das Limit von %skbps, stoppe',
	'Server %s is down and should be up; restarting'=>'Server %s ist aus, sollte an sein. Starte Server neu',
	'Server Access Log'=>'Server Zugriffs-Log',
	'Server Account Logs'=>'Server Account Logs',
	'Server Account Statistics'=>'Server Account Statistiken',
	'Server Administration'=>'',
	'Server Control'=>'Server Kontrolle',
	'Server Error Log'=>'Server Fehler Log',
	'Server Logs'=>'',
	'Server Status'=>'',
	'Server exited immediately after startup'=>'Server unittelbar nach dem Start beendet',
	'Server is not running'=>'Server ist aus',
	'Server restarted gracefully.'=>'Server erfolgreich neu gestartet.',
	'Server started successfully'=>'Server erfolgreich gestartet.',
	'Server status'=>'',
	'Server stopped'=>'Sterver gestoppt',
	'Server title'=>'Server Titel',
	'Server type'=>'Server Typ',
	'Session timed out.  Please login again to proceed.'=>'Sitzung abgelaufen. Bitte loggen Sie sich erneut ein, um fortzufahren.',
	'SetUID binary'=>'',
	'Settings'=>'Einstellungen',
	'Settings updated successfully.'=>'Einstellungen erfogreich aktualisiert.',
	'Show this help summary'=>'Zeige diese Hilfezusammenfassung',
	'Shutdown streaming server and suspend account'=>'Beende Stream-Server und deaktiviere Account',
	'Single Sign-on'=>'Einzelanmeldung',
	'Single sign-on has not been enabled for this server.'=>'Einzelanmeldung wurde f&uuml;r diesen Server deaktiviert.',
	'Single sign-on login active'=>'Einzelanmeldung aktiv',
	'Site name'=>'Seitenname',
	'Skip Song'=>'Titel &uuml;berspringen',
	'Song skipped'=>'Titel &uuml;bersprungen',
	'Songs'=>'Titel',
	'Sorry, a database connection could not be established.  Please double-check your configuration and try again.%sDetails: %s'=>'Sorry, eine Datenbankverbindung konnte nicht hergestellt werden. Bitte pr&uuml;fen Sie Ihre Konfiguration und versuchen Sie es erneut. %sDetails: %s',
	'Sorry, an error occurred while attempting to update your playlist'=>'Sorry, beim aktualisieren der Wiedergabeliste ist ein Fehler aufgetreten',
	'Sorry, this server is currently experiencing heavy load and cannot process your request at this time.  Please try again later.'=>'Sorry, der Server ist momentan ausgelastet und kann Ihre Anforderung nicht bearbeiten. Bitte versuchen Sie es sp&auml;ter erneut.',
	'Source Connected'=>'Quelle verbunden',
	'Source Log'=>'Quellen-Log',
	'Source Status'=>'Quellen-Status',
	'Source does not support current song retrieval or no current song info available.'=>'Die Quelle unterst&uuml;tzt das abfragen des aktuellen Titels nicht oder es sind keine Informationen lieferbar.',
	'Source exited immediately after startup'=>'Quelle unmittelbar nach dem Start beendet',
	'Source file does not exist or is not readable'=>'Quelle - Datei existiert nicht oder ist nicht lesbar',
	'Source is not running'=>'SQuelle l&auml;uft nicht',
	'Source password'=>'Quelle Passwort',
	'Source path %s does not exist'=>'Quellen-Pfad %s existiert nicht',
	'Source state changed'=>'Quellenstatus ge&auml;ndert',
	'Source status'=>'Quellenstatus',
	'Source support is not enabled for this host'=>'Source ist f&uuml;r diesen Host nicht aktiviert',
	'Source type'=>'Source Typ',
	'Start Server'=>'Starte Server',
	'Statistics'=>'Statistiken',
	'Statistics for'=>'Statistiken f&uuml;r',
	'Status'=>'',
	'Status could not be updated'=>'Status konnte nicht aktualisiert werden',
	'Status updated successfully'=>'Status erfolgreich aktualisiert',
	'Stop Server'=>'Stoppe Server',
	'Stream %s successfully.'=>'Stream erfolgreich %s',
	'Stream Details'=>'',
	'Stream Status Summary'=>'Stream Status Zusammenfassung',
	'Stream Title'=>'Stream Titel',
	'Stream could not be %s'=>'Stream konnte nicht %s',
	'Stream title'=>'Stream Titel',
	'Streaming Server Control Panel'=>'Stream Server Kontrollpanel',
	'Streaming server accounts'=>'Stream Server Konten',
	'Streaming source'=>'Stream Quelle',
	'Streaming source %s is down and should be up; restarting'=>'Stream Quelle ist aus, sollte an sein. Starte neu',
	'Streaming source is not running'=>'Stream Quelle l&auml;uft nicht',
	'Streaming source started successfully'=>'Stream Quelle erfolgreich gestartet',
	'Subject'=>'Betreff',
	'Sun'=>'Sonntag',
	'Support'=>'Unterst&uuml;tzung',
	'Suspended'=>'Deaktiviert',
	'System Information'=>'Systeminformationen',
	'Take no action'=>'Mache nichts',
	'Terminates this administration session.'=>'Beendet die Administrations-Sitzung.',
	'The fallback file is an MP3 file that is played in a loop if the source stream disconnects.'=>'Die R&uuml;ckfall-Datei ist eine MP3-Datei die endlos gespielt wird wenn keine Quelle sendet.',
	'The introduction file is an MP3 file that is played immediately after each listener connects, before tuning in to the live stream.'=>'Die Begr&uuml;&szlig;ungs-Datei wird immer gespielt bevor ein H&ouml;rer den Live-Stream h&ouml;rt.',
	'The server is not currently running.  Please start the server, then try again.'=>'Der Server l&auml;uft momentan nicht. Bitte starten Sie den Server und versuchen es anschlie&szlig;end erneut.',
	'This server is already running.'=>'Der Server l&auml;uft bereits.',
	'This server is not running.'=>'Der Server l&auml;uft nicht.',
	'This snippet is similar to the above, but it allows you to control the exact placement of various information about your stream through the use of individual <span> tags.'=>'Dieses St&uuml;ckchen ist dem oberen &auml;hnlich, erlaubt aber die Platzierung der einzelnen Informationen separat zu bestimmen.',
	'This snippet will display the current song title and artist on your web page, refreshing once every minute.'=>'Dieser Schnipsel zeigt den aktuellen Titel und Interpret auf Ihrer Seite an und wird jede Minute aktualisiert.',
	'This will deactivate your server-side streaming source.  Note that any listeners will hear only silence after you perform this action, so you should be ready to activate your offsite source (a live broadcast, for example) immediately.  Are you sure you want to proceed?'=>'Dies deaktiviert Ihre Server-Quelle. Beachten Sie, dass alle m&ouml;glichen Zuh&ouml;rer nur Ruhe h&ouml;ren, nachdem Sie diese T&auml;tigkeit durchf&uuml;hren, also sollten Sie bereit sein, Ihre Sendung sofort zu aktivieren. M&ouml;chten Sie fortfahren?',
	'This will reactivate your server-side streaming source.  You should make sure you have disconnected your off-site streaming source (if any) before you continue.  Are you sure you want to proceed?'=>'Dieses reaktiviert Ihre Server-Quelle. Sie sollten Sie sicherstellen, Ihre Sendung beendet  zu haben (wenn &uuml;berhaupt) bevor Sie fortfahren. M&ouml;chten Sie fortfahren?',
	'This will reload your server configuration without interrupting the stream.'=>'Dies wird die Server-Konfuguration neu laden, ohne den Stream zu unterbrechen.',
	'This will shut down your server and disconnect all listeners.'=>'Dies wird den Server beenden und alle H&ouml;rer trennen',
	'This will shut down your server and disconnect any listeners.  Are you sure you want to proceed?'=>'',
	'This will skip to the next song in the playlist.'=>'Dies wird zum n&auml;chsten Titel in der Wiedergabeliste wechseln.',
	'This will start your server.'=>'Dies wird Ihren Server starten.',
	'This will stop your server, then start it again.  All listeners will be disconnected.'=>'Dies wird Ihren Server anhalten und danach neu starten. Alle Zuh&ouml;rer werden getrennt.',
	'This will switch to the basic (non-drag-and-drop) playlist editor.  Any unsaved changes you have made to this playlist will be lost.  Click OK to proceed to the basic editor, or Cancel to return.'=>'Dies schaltet zum Standard-Wiedergabelisteneditor. Alle ungespeicherten &Auml;nderungen gehen verloren. Sind sie sicher?',
	'This will switch to the full (drag-and-drop) playlist editor.  Any unsaved changes you have made to this playlist will be lost.  Click OK to proceed to the full editor, or Cancel to return.'=>'Dies schaltet zum Drag & Drop Wiedergabelistenedito. Alle ungespeicherten &Auml;nderungen gehen verloren. Sind sie sicher?',
	'This will temporarily interrupt your stream and disconnect any listeners.  Are you sure you want to proceed?'=>'Dieses unterbricht vor&uuml;bergehend Ihren Stream und trennt alle Zuh&ouml;rer. Sind Sie sicher?',
	'Thu'=>'Donnerstag',
	'Title'=>'Titel',
	'Toggles your streaming source on or off, which may be useful during live streaming.'=>'Schaltet Ihre Stream-Quelle an oder aus. Kann bei Live-Sendungen n&uuml;tzlich sein.',
	'Total'=>'Gesamt',
	'Total accounts'=>'Gesamt Konten',
	'Track #%s from playlist #%s'=>'Track #%s von Wiedergabeliste #%s',
	'Track %s is missing; removing'=>'Track %s fehlt, erntferne',
	'Track list not available.'=>'Track Liste nicht verf&uuml;gbar',
	'Tracks'=>'',
	'Tracks reindexed'=>'Track-Index erneuert',
	'Transfer'=>'&Uuml;bertragung',
	'Transfer Limits'=>'&Uuml;bertragungslimit',
	'Tue'=>'Dienstag',
	'Tune In'=>'Jetzt reinh&ouml;ren',
	'Type'=>'Typ',
	'URL'=>'',
	'Unable to access log file: %s'=>'Auf Log-Datei %s kann nicht zugrgriffen werden.',
	'Unknown'=>'Unbekannt',
	'Update'=>'Aktualisiere',
	'Update completed successfully: %s'=>'Update erfolgreich abgeschlossen. %s',
	'Update media library'=>'Medienbibliothek aktualisieren',
	'Update progress'=>'Update Fortschritt',
	'Updated failed: %s'=>'Update fehlgeschlagen: %s',
	'Updating media library...'=>'Aktualisiere Medienbibliothek...',
	'Uptime'=>'Laufzeit',
	'Usage'=>'Nutzung',
	'Username'=>'Benutzername',
	'Valid administrator commands include:'=>'G&uuml;ltige Administratorbefehle enthalten:',
	'Valid options include:'=>'G&uuml;ltige Operationen enthalten:',
	'Valid passwordless commands include:'=>'G&uuml;ltige Passwortlose Befehle enthalten:',
	'Valid user commands include'=>'G&uuml;ltige Benutzerbefehle enthalten',
	'View'=>'Anzeigen',
	'View Logs'=>'Logs anzeigen',
	'View Statistics'=>'Statistiken anzeigen',
	'Website URL'=>'',
	'Wed'=>'Mittwoch',
	'Weekly'=>'W&ouml;chentlich',
	'When an account has been suspended'=>'Wenn ein Account deaktiviert wurde',
	'When disk quota is exceeded'=>'Wenn der Speicherplatz ersch&ouml;pft ist',
	'When transfer limit is exceeded'=>'Wenn das &Uuml;bertragungslimit erreicht wurde',
	'Yearly'=>'J&auml;hrlich',
	'Yes'=>'Ja',
	'You may now %slogin%s.'=>'Sie k&ouml;nnen sich nun %seinloggen%s.',
	'Your account has been suspended.'=>'Ihr Account wurde deaktiviert.',
	'Your media library has never been updated.'=>'Ihre Medienbibliothek wurde noch nie aktualisiert.',
	'Your media library was last updated on'=>'Ihre Medienbibliothek wurde zuletzt aktualisiert:',
	'Your password has been reset successfully.'=>'Ihr Passwort wurde erfolgreich zur&uuml;ckgesetzt.',
	'am'=>'',
	'at'=>'bei',
	'at %skbps'=>'bei %skbps',
	'cannot be modified while stream is online'=>'Kann nciht ge&auml;ndert werden wenn der Stream online ist',
	'checks/restarts crashed servers (included in "cronjob")'=>'Pr&uuml;ft uns startet abgest&uuml;rzte Server (Im CronJob enthalten)',
	'command'=>'Befehl',
	'displays the Centova Cast version'=>'Zeigt die Centova Cast Version',
	'execute the system cronjob'=>'F&uuml;hre System-CronJob aus',
	'forwarded to an administrator for review'=>'An einen Administrator weitergeleitet',
	'kbps'=>'',
	'of data transfer limit is reached'=>'des Transferlimits wurde erreicht',
	'of disk quota is used'=>'des Festplattenplatzes wird genutzt',
	'on %s'=>'auf %s',
	'options'=>'Optionen',
	'pm'=>'',
	'processes all server logs (included in "cronjob")'=>'Verarbeitet alle Server.Logs (im CronJob enthalten)',
	'provisions a new server'=>'Bestimmt einen neuen Server',
	'reconfigure a server'=>'Server rekonfigurieren',
	'reload a server'=>'lade einen Server neu',
	'restart a server'=>'starte einen Server neu',
	'retrieve information about a server'=>'Hole Server-Informationen',
	'retrieve song/listener information for a server'=>'Hole Titel / H&ouml;rer- Informationen f&uuml;r einen Server',
	'returns a list of all accounts and limited details for each'=>'Gibt eine Liste aller Acounts und deren detailierte Beschr&auml;nkung zur&uuml;ck',
	'returns expected and actual server states'=>'Gibt den erwarteten und den aktuellen Server-Status zur&uuml;ck',
	'second(s)'=>'Sekunde(n)',
	'sets the status of a server (enabled/disabled)'=>'Setzt den Server-Status (aktiviert/deaktiviert)',
	'source deactivated'=>'Quelle deaktiviert',
	'source reactivated'=>'Quelle wieder aktiviert',
	'start a server'=>'Starte einen Server',
	'stop a server'=>'Stoppe einen Server',
	'suspended until further notice'=>'Bis auf weiteres deaktiviert',
	'terminates (deletes) an existing server'=>'L&ouml;scht einen bestehenden Server',
	'username'=>'Benutzername',
	'will always be rebuilt if it does not exist'=>'Wird immer neu erstellt, wenn sie nicht existiert',
	'will not be accurate for at least %s hour(s).'=>'ist nicht aktuell f&uuml;r die letzten %s Stunde(n)',
	'%skbps stream'=>'%s kbps Stream',
	'(optional; required for album covers and buy-now links in recent tracks list)'=>'(optional; ben&ouml;tigt f&uuml;r Album-Cover und Jetzt-Kaufen Links)',
	'Activate start page'=>'Startseite aktivieren',
	'Album'=>'Album',
	'Albums'=>'Alben',
	'All'=>'Alle',
	'All genres'=>'Alle Genres',
	'Allows retrieval of album covers and affiliate sales.'=>'Erlaubt das empfangen von Album-Covern und Partnerangeboten',
	'Amazon access key ID'=>'Amazon Zugriffsschl&uuml;ssel ID',
	'An error occurred while attempting to update this password.  Please correct the fields marked below.'=>'Ein Fehler trat beim aktualisieren des Passworts auf. Bitte korrigieren Sie die unten marktierten Felder.',
	'Are you sure you want to revert this playlist?  Click OK to discard your changes and revert to the original, or Cancel to resume editing this playlist.'=>'Sind sie sicher das Sie die &Auml;nderungen an dieser Wiedergabeliste verwerfen m&ouml;chten? Klicken Sie auf OK um die &Auml;nderungen zu verwerfen, oder auf Abbrechen um das Bearbeiten der Wiedergabeliste fortzusetzen.',
	'Bottom'=>'Ende',
	'Change administrator password'=>'&Auml;ndern Sie das Administrator-Passwort',
	'Confirm new administrator password'=>'Best&auml;tigen Sie das Administrator-Passwort',
	'Create and manage your playlists.'=>'Erstellen und verwalten Sie Ihre Wiedergabelisten',
	'Create new playlist'=>'Neue Wiedergabeliste erstellen',
	'Current administrator password'=>'Aktuelles Administrator-Passwort',
	'Dedicated to'=>'Weitergegeben an',
	'Down'=>'Nach unten',
	'Enable Amazon integration'=>'Amazon-Integration aktivieren',
	'Enable on-demand content widget'=>'Inhalte auf Abruf aktivieren',
	'Enable recent tracks widget'=>'Letzte Titel - Widget aktivieren',
	'Enable song request widget'=>'Musikwunsch-Widget aktivieren',
	'Features'=>'Eigenschaften',
	'Hosted by %s'=>'',
	'Immediate'=>'Unverz&uuml;glich',
	'Immediate playlists allow you to queue tracks to be played immediately after the end of the current track.  These playlists are useful for playing tracks on demand, such as song requests.'=>'Sofortige Wiedergabelisten erlauben Ihnen, die sofort nach dem Ende des aktuellen Titel zu spielenden Titel anzuf&uuml;gen. Diese Wiedergabelisten sind f&uuml;r Titel, wie Musikw&uuml;nsche, n&uuml;tzlich.',
	'Invalid account'=>'Ung&uuml;ltiger Account',
	'Invalid track addition request.'=>'Ung&uuml;ltige Hinzuf&uuml;ge-Abfrage',
	'Keyword'=>'Schl&uuml;sselwort',
	'Launch media library'=>'Starte Medienbibliothek',
	'License details'=>'Lizenz-Details',
	'Loading ...'=>'Lade...',
	'Manage Playlists'=>'Verwalten Sie Ihre Wiedergabelisten',
	'Manage playlists'=>'Verwalten Sie Ihre Wiedergabelisten',
	'Manage your media library and add tracks to playlists.'=>'Verwalten Sie Ihre Medienbibliothek und f&uuml;gen Sie Titel zu den Wiedergabelisten hinzu',
	'Media'=>'Medien',
	'Media library was last updated'=>'Medienbiliothek zuletzt aktualisiert',
	'New administrator password'=>'Neues Administrator-Passwort',
	'No on-demand content is available at this time.'=>'Keine Inhalte verf&uuml;gbar',
	'No playlists are active for this account'=>'F&uuml;r diesen Account sind keine Wiedergabelisten aktiviert',
	'Not authorized to access playlist.'=>'Der Zugriff auf diese Wiedergabeliste wurde verweigert',
	'Not found'=>'Nicht gefunden',
	'Note: An Amazon access key ID has been configured for this account.  This may cause the import to take an unusally long time as album covers and affiliate information are retrieved from Amazon.com.'=>'Anmerkung: Ein Amazon Zugangsschl&uuml;ssel ist f&uuml;r dieses Konto angegeben worden. Dieses kann den Import veranlassen, eine un&uuml;blich lange Zeit zu ben&ouml;tigen, w&auml;hrend Albumcover und Teilnehmerinformationen von Amazon.com geholt werden.',
	'Note: scheduling is unavailable because the %s streaming source is in use, which does not support scheduling.'=>'Beachte: Planung ist nicht verf&uuml;gbar, die Source %s unterst&uuml;tzt keine geplanten Wiedergabelisten.',
	'Now playing:'=>'Jetzt l&auml;uft:',
	'On-demand Content'=>'Inhalte auf Abruf',
	'On-demand content'=>'Inhalte auf Abruf',
	'On-demand content has been disabled for this stream.'=>'inhalte auf Abruf wurde f&uuml;r diesen Stream deaktiviert.',
	'Parent folder'=>'&Uuml;bergeordnetes Verzeichnis',
	'Password Change'=>'Passwort &auml;ndern',
	'Password updated successfully.'=>'Passwort erfolgreich ge&auml;ndert.',
	'Place the following code on your web page wherever you would like the on-demand content browser to appear:'=>'Setzen Sie den folgenden Code auf Ihre Webseite, dahin wo Sie m&ouml;chten, dass der Browser f&uuml;r Inhalte auf Abruf erscheint:',
	'Place the following code on your web page wherever you would like the recent tracks list to appear:'=>'Setzen Sie den folgenden Code auf Ihre Webseite, dahin wo Sie m&ouml;chten, dass die neue Titelliste erscheint:',
	'Place the following code on your web page wherever you would like the request form to appear:'=>'Setzen Sie den folgenden Code auf Ihre Webseite, dahin wo Sie m&ouml;chten, dass das Formular erscheint:',
	'Play selected files.'=>'Spiele gew&auml;hlte Dateien.',
	'Please enter a valid E-mail address.'=>'Bitte geben Sie eine g&uuml;ltige Mailadresse an',
	'Please provide a valid song request.'=>'Bitte geben Sie einen g&uuml;ltigen Musikwunsch an.',
	'Please wait'=>'Bitte warten',
	'Please wait...'=>'Bitte warten...',
	'Powered by '=>'Unterst&uuml;tzt von ',
	'Recent Tracks'=>'Zuletzt gespielte Titel',
	'Recent tracks list has been disabled for this stream.'=>'Die Liste der zuletzt gespielten Titel wurde f&uuml;r diesen Stream daktiviert.',
	'Remove'=>'Entfernen',
	'Request a song'=>'Einen Titel w&uuml;nschen',
	'Return to control panel'=>'Zur&uuml;ck zum Kontroll-Panel',
	'Revert'=>'Umkehren',
	'Revert playlist changes'=>'Mache &Auml;nderungen r&uuml;ckg&auml;ngig',
	'Save playlist changes'=>'Speichere &Auml;nderungen',
	'Saving, please wait...'=>'Speichern. bitte warten...',
	'Scheduled playlists allow you to schedule a list of tracks to be played at a specific date and time.  These playlists can also be setup to repeat on a schedule, making them ideal for daily/weekly countdowns or pre-recorded shows.'=>	'Zeitlich geplante Wiedergabelisten erlauben Ihnen, eine Liste der Titel festzulegen, die zu einem angegebenen Datum und zu einer angegebenen Zeit gespielt werden. Diese Wiedergabelisten k&ouml;nnen auch genutzt werden, um sie zu bestimmten Zeiten zu wiederholen und sie sind Ideal f&uuml;r t&auml;gliche/w&ouml;chentliche Count-downs oder vorher aufgenommene Sendungen.',
	'Search'=>'Suche',
	'Song (artist/title)'=>'Titel (Artist / Titel)',
	'Song Requests'=>'Musikw&uuml;nsche',
	'Sorry, song requests have been disabled for this stream.'=>'Entschuldigung. Musikw&uuml;nsche sind f&uuml;r diesen Stream deaktiviert.',
	'Sorry, your song request could not be submitted at this time.'=>'Entschuldigung. Ihr Musikwunsch konnte momentan nicht abgeschickt werden.',
	'Sorry, your song request was not valid and could not be submitted.'=>'Entschuldigung. Ihr Musikwunsch war ung&uuml;ltig und konnte nicht abgeschickt werden.',
	'Submit song request'=>'Musikwunsch abschicken',
	'The requested page could not be found.'=>'Die angeforderte Seite konnte nicht gefunden werden.',
	'This snippet will display a browser for your on-demand content, and allow your visitors to listen to and create playlists for your content.'=>'Dieses St&uuml;ckchen zeigt einen Browser f&uuml;r Ihren Inhalt auf Abruf an, und erlaubt Ihren Besuchern diesen zu h&ouml;ren und Wiedergabelsiten daf&uuml;r zu erstellen.',
	'This snippet will display a form with which users can submit song requests.  Note that requests are NOT handled by Centova Cast itself, they are simply sent via E-mail to the E-mail address configured for your stream.  Your E-mail address will not be disclosed to the public.'=>'Dieses St&uuml;ckchen zeigt ein Formular an, mit dem Benutzer Liedantr&auml;ge einreichen k&ouml;nnen. Beachten Sie dass Antr&auml;ge NICHT bearbeitet werden, sondern sie werden per eMail an die E Mail Adresse geschickt werden, die f&uuml;r Ihren Stream angegeben wird. Ihre E Mail Addresse wird nicht &Ouml;ffentlich bekannt gemacht.',
	'This snippet will display a list of recently played tracks (including Amazon affiliate links and album cover images if Amazon integration is enabled).'=>'Dieses St&uuml;ckchen anzeigt eine Liste der vor kurzem gespielten Titel an (einschlie&szlig;lich Amazon-Teilnehmerverbindungen und Albumcover, wenn die Amazon-Integration aktiviert ist).',
	'Top'=>'Anfang',
	'Track cover'=>'Titelbild',
	'Unknown stream'=>'Unbekannter Stream',
	'Up'=>'Hoch',
	'Update password'=>'Aktualisiere Passwort',
	'Update your Media Library'=>'Aktualisiere Medienbibliothek',
	'Updating media library, please wait...'=>'Aktualisiere Medienbibliothek. Bitte warten...',
	'Web Audio Player'=>'',
	'You have not saved your changes to this playlist.  Click OK to discard your changes, or Cancel to return to this playlist to save your changes.'=>'Sie haben Ihre &Auml;nderungen an dieser Wiedergabeliste nicht gespeichert. Klicken Sie O.K. an, um Ihre &Auml;nderungen wegzuwerfen oder Abbrechen, um zu dieser Wiedergabeliste zur&uuml;ckzugehen, und Ihre &Auml;nderungen zu speichern.',
	'You must select at least one item.'=>'Sie m&uuml;ssen mindestens einen Eintrag ausw&auml;hlen',
	'Your E-mail'=>'Ihre E Mail',
	'Your media library is currently empty.  After you have uploaded your media, click the %sUpdate media library%s button at the bottom-right corner of the screen to allow Centova Cast to import your media.%sEach time you add more media to your library in future, you\'ll need to click %sUpdate media library%s again to add the new media to Centova Cast.'=>'Ihre Medienbibliothek ist z.Z. leer. Nachdem Sie Ihre Medien hochgeladen haben, klicken Sie den Knopf %sAktualisiere Medienbibliothek%s an der Unteren rechten Ecke des Schirmes, um Centova Cast ihre Medien einlesen zu lassen.%sJedesmal, wenn Sie mehr Medien Ihrer Bibliothek hinzuf&uuml;gen ist es n&ouml;tig den Knopf %sAktualisiere Medienbibliothek%s zu klicken um die neuen Medien Centova Cast hinzuzuf&uuml;gen.',
	'Your selection returned more than %d results.  For performance reasons, only the first %d results have been displayed.'=>'Ihre Auswahl enth&auml;lt mehr als %d Ergebnisse. Aus Geschwindigkeitsgr&uuml;nden werden nur die ersten %d Ergebnisse angezeigt.',
	'Your song request has been submitted - thank you.'=>'Ihr Musikwunsch wurde &uuml;bermittelt. Danke.',
	'Archive'=>'Archiv',
	'Audio File'=>'Audiodatei',
	'CSS File'=>'CSS Datei',
	'Calendar File'=>'Kalenderdatei',
	'GZipped Archive'=>'GZIP Archiv',
	'HTML File'=>'HTML Datei',
	'Heavy Rotation'=>'Starke Abwechslung',
	'Image File'=>'Bilddatei',
	'Light Rotation'=>'Leichte Abwechslung',
	'Medium Rotation'=>'Mittlere Abwechslung',
	'Microsoft Excel File'=>'Microsoft Exel Datei',
	'Microsoft Powerpoint File'=>'Microsoft Powerpoint Datei',
	'Microsoft Word File'=>'Microsoft Word Datei',
	'Must specify %s value'=>'Der Wert von %s muss angegeben werden',
	'PDF File'=>'PDF Datei',
	'Prohibited'=>'Verboten',
	'Station identification'=>'Identifizierung',
	'Text File'=>'Textdatei',
	'Unknown/Binary File'=>'Unbekannte oder bin&auml;re Datei',
	'Video File'=>'Videodatei',
	'Weekly Top 10 Countdown'=>'W&ouml;chentlicher Top 10 Countdown',
	'Windows Binary File'=>'Windows bin&auml;re Datei',
	'%s Hz'=>'',
	'Added %s new tracks to playlist %d.'=>'%s neue Titel zur Wiedergabeliste %d hinzugef&uuml;gt.',
	'Checking for missing album covers...'=>'&Uuml;berpr&uuml;fe auf fehlende Alben-Cover...',
	'Enable re-encoding on new servers'=>'Erlaube rekodieren bei neuen Servern',
	'Error'=>'Fehler',
	'Error adding new tracks to playlist'=>'Fehler beim hinzuf&uuml;gen der neuen Titel zur Wiedergabeliste',
	'Host: %s%s%s Port: %s%s%s'=>'',
	'If you do not plan to use start page support, %sclick here%s to permanently dismiss this error message.'=>'Wenn Sie nicht planen, Anfangsseitenunterst&uuml;tzung zu benutzen, %sKlicken Sie hier%s, um diese Fehlermeldung dauerhaft zur&uuml;ckzuweisen.',
	'Mono'=>'Mono',
	'No, disable re-encoding (if supported by source)'=>'Nein, deaktiviere das rekodieren (Wenn die Quelle dies unterst&uuml;tzt)',
	'Preview'=>'Vorschau',
	'Preview track(s)'=>'Vorh&ouml;ren',
	'Standard Rotation'=>'Standard-Abwechslung',
	'Stereo'=>'Stereo',
	'The specified playlist does not exist.'=>'Die angegebene Wiedergabeliste existiert nicht.',
	'The start page for this stream (if enabled) is available at: '=>'Die Anfangsseite f&uuml;r diesen Stream (wenn Sie erm&ouml;glicht werden), ist erreichbar unter:',
	'There is no playlist that matches the specified keyword.'=>'Es gibt keine Wiedergabeliste, die das spezifizierte Schl&uuml;sselwort enth&auml;lt.',
	'Tip: Your client start pages are not working at this time.  Please ensure that the Apache mod_layout module is installed on your server and .htaccess file support is not disabled for this web site.  This message will disappear when your server configuration is corrected.'=>'Hinweis: Ihre Klient-Startseiten funktionieren noch nicht. Garantieren Sie bitte, dass das Apache mod_layout Modul auf Ihrem Server installiert ist und .htaccess Dateiunterst&uuml;tzung nicht f&uuml;r diese Webseite deaktiviert ist. Diese Mitteilung verschwindet, wenn Ihre Serverkonfiguration korrigiert wird.',
	'Yes, re-encode media to stream bit rate'=>'Ja Rekodieren Sie Titel auf Stream-Bitrate',
	'Allows listeners to tune in even behind restrictive firewalls; %sread warning here%s before enabling.'=>'Erlaubt Zuh&ouml;rern, sogar hinter einschr&auml;nkenden Firewalls zuzuh&ouml;ren; %sLesen Sie die Warnung hier%s bevor Sie aktivieren.',
	'At least one general rotation playlist must be enabled to start the stream.'=>'Mindestens eine allgemeine Abwechslungs-Wiedergabeliste muss aktiv sein, um den Stream zu starten.',
	'At least one general rotation track must be available to start the stream.'=>'Mindestens eine allgemeine Abwechslungs-Wiedergabeliste muss verf&uuml;gbar sein, um den Stream zu starten.',
	'Default channels for re-encoding'=>'Standard Kan&auml;le f&uuml;r Rekodierung',
	'Default crossfade length for re-encoding'=>'Standard-&Uuml;berblendl&auml;nge f&uuml;r Rekodierung',
	'Default sample rate for re-encoding'=>'Standard Sampling-Rate f&uuml;r rekodierung',
	'Enable port 80 proxying'=>'Erlaube port 80 - Proxy',
	'Error creating playlist: %s'=>'Fehler beim Erstellen der Playlist: %s',
	'Interruptible'=>'Unterbrechbar',
	'No active general rotation playlists exist for this stream.'=>'Es gibt keine aktiven Abwechslungs-Wiedergabelisten f&uuml;r diesen Stream.',
	'No tracks exist in the active playlists for this account'=>'Es existieren keine Titel in den aktiven Wiedergabelisten f&uuml;r dieses Konto',
	'No tracks have been added to the general rotation playlist(s) for this stream.'=>'Keine Titel sind den allgemeinen Abwechslungs-Wiedergabelisten f&uuml;r diesen Stream hinzugef&uuml;gt worden.',
	'No, always play to completion'=>'Nein, spiele immer bis zum Ende',
	'This snippet will display a form with which users can submit song requests.  Note that requests are NOT handled internally, they are simply sent via E-mail to the E-mail address configured for your stream.  Your E-mail address will not be disclosed to the public.'=>'Dieses St&uuml;ckchen zeigt ein Formular an, mit dem Benutzer Liedantr&auml;ge einreichen k&ouml;nnen. Beachten Sie dass Antr&auml;ge NICHT bearbeitet werden, sondern sie werden per eMail an die E Mail Adresse geschickt werden, die f&uuml;r Ihren Stream angegeben wird. Ihre E Mail Addresse wird nicht &Ouml;ffentlich bekannt gemacht.',
	'Unable to identify account to check playlist state.'=>'Nicht imstande, Konto zu identifizierenen, um Wiedergabelistenzustand zu &uuml;berpr&uuml;fen.',
	'Yes, terminate if another scheduled playlist is due to begin'=>'Ja beenden Sie, wenn eine andere zeitlich geplante Wiedergabeliste anfangen soll',
	'advanced to next song'=>'wechselt zum folgenden Lied',
	'reloaded'=>'neu geladen',
	'restarted'=>'neu gestartet',
	'started'=>'gestartet',
	'stopped'=>'gestoppt',
	'The specific problems detected included:'=>'Die spezifischen ermittelten Probleme umfa&szlig;ten:',
	'This message will disappear (and the graphs will appear) when your server configuration is corrected.'=>'Diese Nachricht verschwindet (und die Grafiken erscheinen) wenn Ihre Serverkonfiguration korrekt ist.',
	'Tip: Your statistics graphs are not working at this time.  Please ensure that PHP\'s GD extension is installed (including PNG and FreeType support).'=>'Die grafischen Statistiken sind zur Zeit nicht verf&uuml;gbar. Stellen Sie sicher, dass PHP\'s GD-Erweiterung (incl. PNG und FreeType-Support) installiert ist.',
	'imagecreate() not available - PHP\'s GD extension is not installed'=>'imagecreate() ist nicht verf&uuml;gbar - PHP\'s GD-Erweiterung wurde nicht installiert',
	'imagepng() not available - PHP was not built with libpng support'=>'imagepng() ist nicht verf&uuml;gbar - PHP wurde ohne libpng-Unterst&uuml;tzung kompiliert',
	'imagettftext() not available - PHP was not built with FreeType support'=>'imagettftext() ist nicht verf&uuml;gbar - PHP wurde ohne FreeType-Unterst&uuml;tzung kompiliert',
	'An internal %s has occurred (%s)'=>'Ein interner Fehler %s ist aufgetreten (%s)',
	'No response, possible configuration problem'=>'Keine Antwort, m&ouml;glicherweise ein Konfigurationsproblem',
	'%s in %s track(s)'=>'%s in %s Titel(n)',
	'Account created successfully, but stream could not be started'=>'Konto erfolgreich erstellt, aber der Stream konnte nicht gestartet werden',
	'Disable playlist'=>'Deaktiviere Wiedergabeliste',
	'Disk usage'=>'Speicherplatznutzung',
	'Enable playlist'=>'Aktiviere Wiedergabeliste',
	'GMT'=>'GMT',
	'Genre'=>'Genre',
	'Invalid track addition request'=>'Ung&uuml;ltige Titel-hinzuf&uuml;ge-Operation',
	'No, always play to completion or stop time'=>'Nein, spiele bis zum Ende oder halte die Zeit an',
	'Note: statistics are recorded in the server\'s time zone (GMT %s), which differs from yours by %s hour(s).'=>'Hinweis: Statistische Daten werden in Serverzeit (GMT %s) aufgezeichnet, diese unterscheidet sich von Ihrer Zeit um %s Stunden.',
	'Play all tracks randomly (shuffled)'=>'Spiele alle Titel gemischt (zuf&auml;llig)',
	'Play all tracks sequentially (in order)'=>'Spiele alle Titel nacheinander (in Reihenfolge)',
	'Server default'=>'Server Standard',
	'Stop after'=>'Stop nach',
	'Time zone'=>'Zeitzone',
	'Unlimited'=>'Unbegrenzt',
	'Unspecified'=>'nicht angegeben',
	'minutes (0 to play to completion)'=>'Minuten (0 um bis zum Ende zu spielen)',
	'Re-indexing media without import as destination playlist does not exist...'=>'Die Neuindexierung von Medien ohne Import in eine Wiedergabeliste existiert nicht…',
	'Administrator E-mail address'=>'Administrator E-Mail Adresse',
	'Continue'=>'Fortsetzen',
	'Database name'=>'Datenbankname',
	'Include in API cluster'=>'In API-Cluster einf&uuml;gen',
	'License key'=>'Lizenzschl&uuml;ssel',
	'MySQL hostname'=>'MYSQL Hostname',
	'MySQL password'=>'MYSQL Passwort',
	'MySQL username'=>'MYSQL Benutzername',
	'Next'=>'N&auml;chste',
	'Provisioning server for API clustering'=>'Quellserver f&uuml;r API-Clustering',
	'Server %s'=>'Server %s',
	'The server with the fewest accounts'=>'Der Server mit den wenigsten Konten',
	'This server (%s)'=>'Dieser Server (%s)',
	'This setting is used only when API clustering is enabled, and does not affect accounts created manually.'=>'Diese Einstellung wird nur verwendet, nur wenn das API-Clustering aktiviert ist, und beeinflu&szlig;t nicht die Konten, die manuell erstellt wurden.',
	'Aborted by event notification script'=>'Abgebrochen durch Ereignisskript',
	'An error occurred while updating this playlist'=>'Ein Fehler trat beim Aktualisieren dieser Wiedergabeliste auf',
	'Individual commands may also accept other options; refer to the manual for'=>'Einzelne Befehle k&ouml;nnen auch andere Optionen verwenden; beziehen Sie sich das auf Handbuch f&uuml;r',
	'No matching playlist found'=>'Keine &uuml;bereinstimmenden Wiedergabelisten gefunden',
	'No matching tracks found'=>'Keine &uuml;bereinstimmenden Titel gefunden',
	'Playlist updated'=>'Wiedergabeliste aktualisiert',
	'The specified username does not exist.'=>'Der angegebene Benutzername existiert nicht.',
	'activate or deactivate the playlist'=>'Aktiviere oder deaktiviere die Wiedergabeliste',
	'activate or deactivate the source'=>'Aktiviere oder deaktiviere die Quelle',
	'activate/deactivate server-side source (autodj)'=>'Aktiviere / Deaktiviere die Server-Quelle (AutoDJ)',
	'add new media to first playlist matching TEXT'=>'f&uuml;ge neue Medien zur ersten Wiedergabeliste, die mit TEXT &uuml;bereinstimmt, hinzu',
	'add new media to playlist with specified ID'=>'f&uuml;ge neue Medien zur Wiedergabeliste mit der angegebenen ID hinzu',
	'add/remove tracks to/from the playlist'=>'hinzuf&uuml;gen/entfernen von Titeln von der Wiedergabeliste',
	'apply (i.e., cronjob, version, etc.)'=>'anwenden (d.h., cronjob, Version, etc.)',
	'details.  Use "all" as the username for commands where a username does not'=>'Details. Benutzen Sie "all" als das Benutzername f&uuml;r Befehle, in denen ein Benutzername nicht gilt',
	'modify playlists for a server'=>'ver&auml;ndere Wiedergabelisten f&uuml;r einen Server',
	'only accounts with usernames matching TEXT'=>'nur Benutzernamen die mit TEXT &uuml;bereinstimmen',
	'reconfigure a server (see XML API documentation)'=>'rekonfigurieren Sie einen Server (siehe XML API Dokumentation)',
	'reindex the media library for a server'=>'indiziere die Medienbibliothek f&uuml;r einen Server neu',
	'retrieve last 10 songs played on a server'=>'Hole die letzten 10 gespielten Titel',
	'skips to the next song on a server'=>'springt zum n&auml;chsten Titel auf einem Server',
	'specifies new account status'=>'spezifiert neuen Kontostatus',
	'tracks by artists whose names match TEXT'=>'Medien nach Interpret deren Namen mit TEXT &uuml;bereinstimmen',
	'tracks from albums whose names match TEXT'=>'Medien aus Alben deren Namen mit TEXT &uuml;bereinstimmen',
	'tracks whose filesystem paths match TEXT'=>'Medien deren Dateipfad mit TEXT &uuml;bereinstimmen',
	'tracks whose titles match TEXT'=>'Medien deren Titel mit TEXT &uuml;bereinstimmen',
	'use first playlist matching TEXT'=>'nutze die erste Wiedergabeliste die mit TEXT &uuml;bereinstimmt',
	'use first playlist with specified ID'=>'nutze die erste Wiedergabeliste mit der angegebenen ID',
	'Cast Daemon'=>'Cast Dienst',
	'Character set'=>'Zeichensatz',
	'Event scripts'=>'Aktionsskripte',
	'Last cron job'=>'Letzter cron Job',
	'Locale'=>'Sprache',
	'Note that this file must match the bit rate, sample rate, and number of channels configured for your stream.'=>'Beachten Sie, dass diese Datei die &Uuml;bertragungsgeschwindigkeit, Abtastrate und Zahl der Kan&auml;le enthalten muss, die f&uuml;r Ihren Stream eingestellt werden.',
	'Started %s, completed %s'=>'Begonnen %s, abgeschlossen %s',
	'The fallback file is an audio file that is played in a loop if the source stream disconnects.'=>'Die R&uuml;ckfallsdatei ist eine Audiodatei, die in einer Schleife gespielt wird, wenn die Quelle getrennt wird.',
	'The introduction file is an audio file that is played immediately after each listener connects, before tuning in to the live stream.'=>'Die Einleitungsdatei ist eine Audiodatei, die abgespielt wird, nachdem der Zuh&ouml;rer verbunden ist und bevor er den Hauptstream h&ouml;rt.',
	'Character encoding'=>'Zeichenkodierung',
	'Default character encoding for new servers'=>'Standard-Zeichenkodierung f&uuml;r neue Server',
	'Note that if you have already imported any media, you should %sclick here%s now to update your media library with the new character encoding.'=>'Beachten Sie dass, wenn Sie bereits irgendwelche Medien importiert haben, sollten sie %hier klicken%s um Ihre Medienbibliothek mit der neuen Buchstabenkodierung jetzt aktualisieren.',
	'Perform full library update'=>'F&uuml;hren Sie ein vollst&auml;ndiges Bibliotheksupdate durch',
	'Your preferred character encoding has also been changed.'=>'Ihre bevorzugte Buchstabenkodierung ist ebenfalls ge&auml;ndert worden.',
	'AM'=>'',
	'Adding %s'=>'F&uuml;ge %s hinzu',
	'Advanced'=>'Erweitert',
	'All logs'=>'Alle Logdateien',
	'Allow client-specified Amazon%s affiliate IDs'=>'Erlauben Sie Klient-spezifizierte Amazon%s Teilnehmer IDs',
	'Allow server log downloads'=>'Erlaube Server Logdateien herunterzuladen',
	'Allows automated retrieval of album covers and affiliate sales.  %sClick here%s to generate your key.'=>'Erlaubt automatisierte Erstellung der Albumabdeckungen und der Teilnehmerverk&auml;ufe. %sKlicken Sie hier%s, zum Ihren Schl&uuml;ssel zu erzeugen.',
	'Allows users to download their streaming server/source logs in ZIP or tarball format.  Note that log compression is very CPU-intensive.'=>'Erlaubt Benutzern, Ihre Logdateien im ZIP- oder TAR- format herunterzuladen. Beachten Sie das Kompression sehr Prozessorlastig ist.',
	'Allows you (the hosting provider) to collect affiliate sales credits if the client does not configure his own Amazon%s affiliate ID.'=>'Erlaubt Ihnen (dem Hosting-Betreiber) Teilnehmerverkaufsgutschriften zu sammeln, wenn der Klient keine eigene Amazon%s Teilnehmer ID angibt.',
	'Amazon Web Services%s Access Key ID'=>'Amazon Web Services%s Access Key ID',
	'Amazon%s affiliate ID'=>'Amazon%s Teilnehmer Identifikation',
	'An error occurred while attempting to compress your logs'=>'Eine St&ouml;rung trat beim Versuch, Ihre Logdateien zu komprimieren, auf',
	'Apr'=>'Apr',
	'Archival failed'=>'Archivierung fehlgeschlagen',
	'Aug'=>'Aug',
	'Basic Configuration'=>'Grundlagen',
	'Compressing %s ...'=>'Komprimiere %s...',
	'Dec'=>'Dez',
	'Default Amazon%s affiliate ID'=>'Standard Amazon%s Teilnehmer Identifikation',
	'Depending on the size and number of logs in your account, this may take some time -- please be patient.  Navigating away from this web page will cancel your download.'=>'Abh&auml;ngig von der Gr&ouml;&szlig;e und der Zahl der Logdateien in Ihrem Konto kann dies einige Zeit dauern -- seien Sie bitte geduldig. Das Verlassen dieser Webseite bricht Ihren Download ab.',
	'Disable server account'=>'Deaktiviere Bedienerkonto',
	'Download'=>'Herunterladen',
	'Enable server account'=>'Aktiviere Bedienerkonto',
	'Feb'=>'Feb',
	'Files'=>'Dateien',
	'If enabled, clients can provide their own affiliate IDs to collect credit for affiliate sales.  If disabled, only the default affiliate ID above will be used.'=>'Wenn sie erlaubt werden, k&ouml;nnen Klienten ihre eigenen Teilnehmer IDs zur Verf&uuml;gung stellen, um Gutschriften f&uuml;r Teilnehmerverk&auml;ufe zu sammeln. Wenn sie gesperrt werden, wird die oben genannte Standard-Teilnehmer Identifikation verwendet.',
	'Jan'=>'Jan',
	'Jul'=>'Juli',
	'Jun'=>'Juni',
	'Log compression failed: %s'=>'Komprimieren der Logdateien fehlgeschlagen: %s',
	'Logs archived'=>'Logdateien archiviert',
	'Mar'=>'M&auml;rz',
	'Master Relaying'=>'Gesamt-Weiterleitung',
	'Mountpoint Relaying'=>'Zugriffspunkt weiterleiten',
	'Note: Amazon%s integration has been enabled.  This may cause the import to take an unusally long time as album covers and affiliate information are retrieved from Amazon.com.'=>'Anmerkung: Amazon%s Integration ist erm&ouml;glicht worden. Dieses kann den Import veranlassen, eine un&uuml;blich lange Zeit zu ben&ouml;tgen, w&auml;hrend Albumbilder und Teilnehmerinformationen von Amazon.com geholt werden.',
	'Nov'=>'Nov.',
	'Number of recent tracks'=>'Anzahl der neuen Titel',
	'Oct'=>'Okt',
	'PM'=>'',
	'Permitted'=>'Erlaubt',
	'Port 80 proxy'=>'Port 80 Proxy',
	'Provisioning account %s ...'=>'Quellkonto %s…',
	'Relaying'=>'Weiterleiten',
	'Sep'=>'Sept.',
	'Server Overrides'=>'Server &uuml;berschreibt',
	'Source'=>'Quelle',
	'Start Page'=>'Startseite',
	'Stream is offline.'=>'Stream ist offline.',
	'Stream is online and broadcasting.'=>'Stream ist online und auf Sendung.',
	'To add your media to the playlists you\'ve created above, launch your media library below.'=>'Um Ihre Medien den Titellisten hinzuzuf&uuml;gen, die Sie oben erstellt haben, starten Sie Ihre Medienbibliothek unten.',
	'Today'=>'Heute',
	'Unknown software to import: %s'=>'Unbekannte Software zum Import: %s',
	'Unresolved stream outage detected.'=>'Ungel&ouml;ste Streamst&ouml;rung ermittelt.',
	'Unsuspend server account'=>'reaktiviere Bedienerkonto',
	'Yesterday'=>'Gestern',
	'Your logs are being compressed now and your download will begin in a few moments.'=>'Die Logdateien werden jetzt komprimiert und Ihr Download beginnt in K&uuml;rze.',
	'maximum of 10'=>'Maximal 10',
	'MB'=>'',
	'Tip: Your client start pages are not working at this time.  Please ensure that the Apache mod_rewrite module is installed on your server and .htaccess file support is not disabled for this web site.  This message will disappear when your server configuration is corrected.'=>'Hinweis: Ihre Klientenanfangsseiten funktionieren noch nicht. Garantieren Sie bitte, dass das Apache mod_rewrite Modul auf Ihrem Webserver installiert ist und .htaccess-Unterstützung nicht deaktiviert ist. Diese Mitteilung verschwindet, wenn Ihre Serverkonfiguration korrigiert wurde.',
	'%.1f KB'=>'',
	'%.1f MB'=>'',
	'%.1f minute(s)'=>'',
	'%.1f%%'=>'',
	'%.2f'=>'',
	'%.2f listeners'=>'',
	'%.2f track(s)'=>'',
	'%.2f%%'=>'',
	'%s'=>'',
	'%s Software Configuration'=>'',
	'%s countries'=>'',
	'%s listener(s)'=>'',
	'%s minute(s)'=>'',
	'%s session(s)'=>'',
	'%s track(s)'=>'',
	'%s%.1f%%%s of total minutes'=>'',
	'%s%.1f%%%s of total sessions'=>'',
	'%s/%s'=>'',
	'%sError%s: %s.'=>'',
	'(provides realtime geographic mapping of your listeners\' locations'=>'',
	'0 - 30 sec'=>'',
	'1 hour - 4 hours'=>'',
	'15 - 30 min'=>'',
	'2 - 5 min'=>'',
	'30 min - 1 hour'=>'',
	'30 sec - 2 min'=>'',
	'30-day trend'=>'',
	'4hours +'=>'',
	'5 - 15 min'=>'',
	'60-day trend'=>'',
	'7-day trend'=>'',
	'AIM'=>'',
	'Account Logs'=>'',
	'Account Statistics'=>'',
	'Account could not be loaded; aborting'=>'',
	'Account does not exist in database, or is not owned by this account'=>'',
	'Account is active.'=>'',
	'Account is suspended.'=>'',
	'Account reparented'=>'',
	'Account settings modified by %s'=>'',
	'Accounts'=>'',
	'Actiate start page'=>'',
	'Administrator'=>'',
	'Afternoon'=>'',
	'Agent'=>'',
	'Agent Type'=>'',
	'Airtime'=>'',
	'All of its client accounts will be disabled as well.'=>'',
	'Allocated data transfer'=>'',
	'Allocated disk space'=>'',
	'Allocated listener slots'=>'',
	'Allow other servers to relay stream'=>'',
	'Allow relays to make stream public'=>'',
	'Allows realtime geographic mapping of listener locations for each stream.  %sClick here%s to generate your key.'=>'',
	'Always disconnect listeners after'=>'',
	'AutoDJ'=>'',
	'AutoDJ status'=>'',
	'AutoDJs'=>'',
	'Automatically unsuspending account after suspension from previous month'=>'',
	'Available server types'=>'',
	'Available source types'=>'',
	'Average Listener Session Length'=>'',
	'Average Listeners Per Hour'=>'',
	'Average length'=>'',
	'Average per hour'=>'',
	'Average session length'=>'',
	'Back-end password update failed: %s'=>'',
	'Burst on connect'=>'',
	'Burst size'=>'',
	'Cannot change status until parent reseller account is enabled'=>'',
	'Change password'=>'',
	'Change reporting period'=>'',
	'Changed status for account %s from %s to %s%s'=>'',
	'Changing password for reseller: %s%s%s'=>'',
	'Checking stream status ...'=>'',
	'Client accounts'=>'',
	'Client timeout'=>'',
	'Clients'=>'',
	'Command not available to reseller accounts'=>'',
	'Configuration updated successfully.'=>'',
	'Configure Account'=>'',
	'Configures the E-mail messages sent by your account.'=>'',
	'Configures the settings for your account.'=>'',
	'Configures this account.'=>'',
	'Confirm new password'=>'',
	'Conn./Min'=>'',
	'Controls the use of a locally hosted streaming source (autoDJ) instead of a live source.'=>'',
	'Could not create reseller directory'=>'',
	'Could not to connect to Centova Cast daemon on %s:%s (%s)'=>'',
	'Countries'=>'',
	'Country'=>'',
	'Country: %s%s%s'=>'',
	'Crossfade mode'=>'',
	'Current Listener Locations'=>'',
	'Current Listeners:'=>'',
	'Current Song:'=>'',
	'Current geographic listener locations (click markers for details)'=>'',
	'Current password'=>'',
	'Current top countries'=>'',
	'Current top user agents'=>'',
	'Custom logo is active.'=>'',
	'Data Transfer'=>'',
	'Date'=>'',
	'Delete reseller account'=>'',
	'Delete the client accounts'=>'',
	'Delete this account'=>'',
	'Description'=>'',
	'Detailed statistics can be reported for any portion of the last 60 days.  (Limited statistics are available for prior dates on the Historical tab.)'=>'',
	'Directory listings URL'=>'',
	'Directory listings timeout'=>'',
	'Disable this account'=>'',
	'Discon./Min'=>'',
	'Disconnect idle sources after'=>'',
	'Disconnect listeners if source disconnects'=>'',
	'Disk quota exceeded; account has been automatically %s'=>'',
	'Displays statistics for this account.'=>'',
	'Displays the logs for this account.'=>'',
	'Duration'=>'',
	'E-mail Messages'=>'',
	'Edit'=>'',
	'Edit server type'=>'',
	'Edit source type'=>'',
	'Edit this account'=>'',
	'Enable Google Maps%s widget'=>'',
	'End time'=>'',
	'Error loading account: %s'=>'',
	'Error processing client account %s:'=>'',
	'Error re-loading account: %s'=>'',
	'Error sending message from %s to %s'=>'',
	'Error: %s'=>'',
	'Evening'=>'',
	'Failed to initialize server control for account %s!'=>'',
	'Frequency'=>'',
	'Friday'=>'',
	'From %s%s%s to %s%s%s'=>'',
	'General rotation playlists can be \'weighted\' to ensure that tracks from one general rotation playlist are played more or less frequently than tracks from other general rotation playlists.  This can be used to ensure that new releases are played more frequently than older tracks, for example.'=>'',
	'Google Maps support is not available for this stream.'=>'',
	'Google Maps%s API key'=>'',
	'Graveyard'=>'',
	'Header timeout'=>'',
	'Hide full report'=>'',
	'Historical'=>'',
	'Historical statistics for'=>'',
	'ICQ'=>'',
	'IP Address'=>'',
	'IRC'=>'',
	'Import album cover images when available'=>'',
	'Imports images from folder.jpg, albumartsmall.jpg, and MP3 ID3 tags. %sClick here%s for more information.'=>'',
	'Invalid listener limit'=>'',
	'Invalid server type: %s'=>'',
	'Invalid source type: %s'=>'',
	'Last %d lines from the relevant log file:'=>'',
	'Last %s%s%s day(s)'=>'',
	'Least Popular Tracks'=>'',
	'Limits'=>'',
	'Listen Time'=>'',
	'Listener'=>'',
	'Listener limit (total)'=>'',
	'Local mount point'=>'',
	'Log does not exist; this usually indicates a permissions/ownership error.  Consult the Centova Cast knowledge base.'=>'',
	'Login denied to suspended account %s.'=>'',
	'Login failure for username %s.'=>'',
	'Login to this account'=>'',
	'Logo image'=>'',
	'Lunch'=>'',
	'Manages server software available on this server.'=>'',
	'Manages source software avialable on this server.'=>'',
	'Managing client account %s%s%s'=>'',
	'Managing reseller account %s%s%s'=>'',
	'Master password'=>'',
	'Master port'=>'',
	'Master server'=>'',
	'Master update interval'=>'',
	'Master username'=>'',
	'Maximum accounts'=>'',
	'Maximum sources'=>'',
	'Message: %s'=>'',
	'Metric'=>'',
	'Monday'=>'',
	'Monthly data transfer limit exceeded; account has been automatically %s'=>'',
	'Morning'=>'',
	'Most Popular Tracks'=>'',
	'Mount point'=>'',
	'Move account'=>'',
	'Move the client accounts to another reseller: '=>'',
	'Move to another reseller'=>'',
	'Net Conn.'=>'',
	'Net Discon.'=>'',
	'New parent account is not a reseller account'=>'',
	'New password'=>'',
	'No (Google Maps API key not configured by administrator)'=>'',
	'No server types exist.'=>'',
	'No source types exist.'=>'',
	'No such track report was found.'=>'',
	'Note that you will need to restart your server for the changes to take effect.'=>'',
	'Note: Figures may not be updated for up to %s hour(s).'=>'',
	'Note: Today\'s figures may not be updated for up to %s hour(s).'=>'',
	'Note: this must specify the full path and filename to the %s server software on your server.  If you have not yet installed the software, you will need to do so before configuring this option.'=>'',
	'Note: this must specify the full path and filename to the %s source software on your source.  If you have not yet installed the software, you will need to do so before configuring this option.'=>'',
	'Other'=>'',
	'Pathname'=>'',
	'Peak Period'=>'',
	'Performances'=>'',
	'Place the following code on your web page wherever you would like the tune-in links to appear:'=>'',
	'Playbacks'=>'',
	'Player'=>'',
	'Player/Ripper'=>'',
	'Please correct these values and try again.'=>'',
	'Port 80 proxies'=>'',
	'Prohibited (streams MUST use an offsite source)'=>'',
	'Provisioned account %s (server: %s; source: %s)'=>'',
	'Provisioned reseller account %s'=>'',
	'Public server'=>'',
	'Queue size'=>'',
	'Recent Activity'=>'',
	'Relay metadata'=>'',
	'Relay on demand'=>'',
	'Relay password'=>'',
	'Remove logo image'=>'',
	'Removed account %s'=>'',
	'Removed reseller account %s'=>'',
	'Reparent account'=>'',
	'Reparented account %s to reseller %s'=>'',
	'Report'=>'',
	'Reports are generated in CSV format on the first of each month, and may be useful for licensing/royalty reporting.'=>'',
	'Reseller'=>'',
	'Reseller Options'=>'',
	'Reseller account'=>'',
	'Reseller account does not exist in database'=>'',
	'Reseller account has reached its client account limit'=>'',
	'Reseller account has reached its disk quota'=>'',
	'Reseller account has reached its transfer limit'=>'',
	'Reseller accounts cannot be reparented'=>'',
	'Return to accounts'=>'',
	'Ripper'=>'',
	'Saturday'=>'',
	'Select a new reseller for this account'=>'',
	'Select a reporting period'=>'',
	'Select server type...'=>'',
	'Select source type...'=>'',
	'Server Software'=>'',
	'Server error: %s'=>'',
	'Server software'=>'',
	'Server software: %s%s%s'=>'',
	'Server:'=>'',
	'Session average'=>'',
	'Sessions'=>'',
	'Show'=>'',
	'Show album covers'=>'',
	'Show full report'=>'',
	'Size'=>'',
	'Source Software'=>'',
	'Source software'=>'',
	'Source software: %s%s%s'=>'',
	'Source timeout'=>'',
	'Source:'=>'',
	'Specified bit rate exceeds reseller limits'=>'',
	'Specified disk quota exceeds reseller limits'=>'',
	'Specified listener limit exceeds reseller limits'=>'',
	'Specified transfer limit exceeds reseller limits'=>'',
	'Specifies the maximum number of accounts the reseller can create.'=>'',
	'Start Pages'=>'',
	'Start time'=>'',
	'Statistics for reporting period:'=>'',
	'Stream'=>'',
	'Stream URL format'=>'',
	'Stream mount point'=>'',
	'Stream password'=>'',
	'Stream port'=>'',
	'Stream server'=>'',
	'Stream title format'=>'',
	'Stream username'=>'',
	'Subject: %s'=>'',
	'Successful login for account %s.'=>'',
	'Sunday'=>'',
	'Suppress metadata'=>'',
	'TLH'=>'',
	'The bit rate limit for your reseller account is %s%s kbps%s.'=>'',
	'The following fields contain invalid values:'=>'',
	'The following listeners are tuned-in now'=>'',
	'The specified E-mail does not exist.'=>'',
	'The specified account does not exist, or your do not have permission to access it.'=>'',
	'There are currently no listeners tuned-in to your stream.'=>'',
	'These reports provide the track name, air time, and number of listeners for each track broadcasted during the reporting period.'=>'',
	'This account has been suspended.'=>'',
	'This is used only to display the server\'s data transfer usage graph on the administrator\'s accounts page.'=>'',
	'This reseller account currently owns %s%s%s client accounts.  How would you like to handle these accounts?'=>'',
	'This snippet will provide a set of tune-in links for various media players.'=>'',
	'Thread pool'=>'',
	'Thursday'=>'',
	'Tip: This is the free space available on the partition holding Centova Cast\'s \'vhosts\' %sdirectory.  If you have created symbolic links pointing to media on a different partition, %s the reported disk usage may appear to exceed the available disk space.'=>'',
	'Tip: You can set your server\'s total data transfer limit under \'Settings\' if you want your data transfer usage to be graphed.'=>'',
	'Top %d'=>'',
	'Top Agents by Listener Minutes'=>'',
	'Top Agents by Listener Sessions'=>'',
	'Top Countries by Listener Minutes'=>'',
	'Top Countries by Listener Sessions'=>'',
	'Top Listeners by Listener Minutes'=>'',
	'Top Listeners by Listener Sessions'=>'',
	'Top Tracks by Airtime'=>'',
	'Top Tracks by Playbacks'=>'',
	'Top agents'=>'',
	'Top countries'=>'',
	'Total (%s-day)'=>'',
	'Total Airtime'=>'',
	'Total data transfer limit for this server'=>'',
	'Total listener slots'=>'',
	'Total listening hours (TLH)'=>'',
	'Total sessions (%s-day)'=>'',
	'Total streams'=>'',
	'Total unique (%s-day)'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the actual data transfer usage for all of your client accounts.'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the actual disk space usage for all of your client accounts.'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the data transfer limits you have assigned to all of your client accounts.'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the data transfer used by all of your streams this month. %sNote that this only includes data transfer from Centova Cast streams; data transfer %sused by other services on the server (if any) is not included.'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the disk quotas you have assigned to all of your client accounts.'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the disk space used by all of your streams. %sNote that the total available space does not represent your total disk%s size; it represents the total remaining space available to Centova Cast %s(excluding OS files, etc.)'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the listener limits you have assigned to all of your client accounts.'=>'',
	'Total: %s%.1f%%%s.%sThis is the total number of client accounts you have created.'=>'',
	'Total: %s%.1f%%%s.%sThis is the total number of streams currently managed by%sCentova Cast versus your licensed stream limit.'=>'',
	'Track'=>'',
	'Track Broadcast Reports'=>'',
	'Track name'=>'',
	'Transfer limit'=>'',
	'Tuesday'=>'',
	'UNL'=>'',
	'Unable to login to account: %s'=>'',
	'Unique countries'=>'',
	'Unique listeners'=>'',
	'Unknown / Local'=>'',
	'Unlimited disk quota not permitted for this reseller account'=>'',
	'Unlimited transfer not permitted for this reseller account'=>'',
	'Unsuspend this account'=>'',
	'Updating reseller totals ...'=>'',
	'Use server'=>'',
	'Used data transfer'=>'',
	'Used disk space'=>'',
	'User'=>'',
	'User Agent'=>'',
	'User Agents'=>'',
	'User account is not owned by this reseller account'=>'',
	'User agent type:'=>'',
	'User agent: %s%s%s'=>'',
	'Using SMTP: %s'=>'',
	'Value'=>'',
	'View Current Listeners'=>'',
	'Warning: This will permanently delete the %s%s%s reseller account and all associated configuration data.'=>'',
	'Wednesday'=>'',
	'Xfer'=>'',
	'You have reached the client limit for your account.'=>'',
	'You may allocate up to %s%s MB%s from your reseller account limit.'=>'',
	'You may allocate up to %s%s%s listeners from your reseller account limit.'=>'',
	'Your name'=>'',
	'administrator'=>'',
	'auto'=>'',
	'by Connections per Minute,'=>'',
	'by Disconnections per Minute,'=>'',
	'day'=>'',
	'days'=>'',
	'default'=>'',
	'disabled'=>'',
	'enabled'=>'',
	'failed'=>'',
	'hr'=>'',
	'hrs'=>'',
	'min'=>'',
	'mins'=>'',
	'no reseller'=>'',
	'past %s days'=>'',
	'reseller'=>'',
	'sec'=>'',
	'secs'=>'',
	'successful'=>'',
	'suspended'=>'',
	'triggered by reseller status change'=>'',
	'%s kbps'=>'',
	'%s/%s kbps'=>'',
	'Allocated bandwidth'=>'',
	'AutoDJ capabilities'=>'',
	'Bandwidth limit'=>'',
	'If enabled, your resellers\' clients will be allowed to upload their media to your<br />server and use Centova Cast\'s autoDJ system to source their streams.  If<br />disabled, an off-site source (i.e., on the client\'s home PC) must be used instead.'=>'',
	'If enabled, your resellers\' clients will be permitted to use Centova Cast\'s<br />port-80 proxy to access streams from behind restrictive firewalls.<br /><br />Note that enabling this feature may dramatically affect your server\'s performance<br />if used on busy streams; consult the documentation for more information.'=>'',
	'Invalid username or password'=>'',
	'Listener slots (total)'=>'',
	'Maximum bandwidth'=>'',
	'Reseller account has reached its bandwidth limit'=>'',
	'Specified bit rate exceeds reseller bitrate limit'=>'',
	'Specified combination of bit rate and listener limit exceeds reseller bandwidth limit'=>'',
	'Specifies a monthly data transfer limit (in megabytes) for this reseller account.<br /><br />If you want to limit traffic based on bandwidth (in kbps) instead, use the<br />\'Bandwidth limit\' option below.'=>'',
	'Specifies the amount of disk space allocated to this client.  Note that this<br />includes any media uploaded for the autoDJ as well as any logs, configuration<br />files, and so-on for this account.'=>'',
	'Specifies the maximum bit rate that this reseller can assign to each<br />client account.  (Note that this is a per-client limit, not a combined total.)'=>'',
	'Specifies the maximum number of client accounts (i.e., streaming<br />servers) the reseller can create.'=>'',
	'Specifies the total amount of bandwidth (in kbps -- NOT data transfer)<br />which this reseller can allocate.  This is an alternative to specifying<br />a data transfer limit.<br /><br />For example, 10 listener slots at 128kbps would use 1280kbps of bandwidth<br />(10 x 128 = 1280).  5 slots at 128kbps and 8 slots at 64kbps would use<br />1152kbps of bandwidth (5 x 128 + 8 x 64 = 1152).<br /><br />If you do not fully understand this feature, leave it set to \'Unlimited\'<br />and assign limits for the values above instead.'=>'',
	'Specifies the total number of potential listeners this reseller can host.<br />This is a combined total limit for all client accounts created by this reseller.'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the bandwidth (in kbps) you have allocated to all of your client accounts.'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the data transfer limits you have allocated to all of your client accounts.'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the disk quotas you have allocated to all of your client accounts.'=>'',
	'Total: %s%.1f%%%s.%sThis is the estimated amount of data transfer you will use this month at the current rate of consumption.'=>'',
	'Virtual host directory for "%s" does not exist'=>'',
	'With a listener limit of %s slots, this means that you can allocate a maximum bit rate of up to %s kbps.'=>'',
	'With bit rate limit of %s kbps, this means that you can allocate up to %s listener slots.'=>'',
	'You have %s%s%s listener slots remaining from your reseller account limit.'=>'',
	'You may allocate up to %s%s kbps%s from your %s%s kbps%s reseller account limit.'=>'',
	'You may allocate up to %s%s%s listener slots from your reseller account limit.'=>'',
	'You may assign a bit rate of up to %s%s kbps%s.'=>'',
	'You may create streams with maximum bit rates of up to %s%s kbps%s.'=>'',
	'slots'=>'',
	'%s events on file.  Displaying page %s of %s.'=>'',
	'Active from'=>'',
	'Active until'=>'',
	'Album name'=>'',
	'Artist name'=>'',
	'Connecting client at %s (via %s).'=>'',
	'Could not update playlist.'=>'',
	'Enable/disable playlist'=>'',
	'General rotation playlists can also be limited to a specific period of the day.  This can be used to play lighter songs in the morning and heavier songs in the afternoon, for example.  If no time period is selected, the playlist will be active for the entire day.'=>'',
	'Listen to preview'=>'',
	'No albums were modified.'=>'',
	'No artists were modified.'=>'',
	'No tracks were modified.'=>'',
	'Rename album'=>'',
	'Rename artist'=>'',
	'Rename track'=>'',
	'Stream control issue detected (%s); log attached'=>'',
	'System'=>'',
	'Allocated: %s%.1f%%%s.%sThis is the combined total of the data transfer limits you have allocated to all of your client accounts.'=>'',
	'Allocated: %s%.1f%%%s.%sThis is the combined total of the disk quotas you have allocated to all of your client accounts.'=>'',
	'Diagnostic mode'=>'',
	'Diagnostic output from streaming software:'=>'',
	'Displays the Centova Cast event log.'=>'',
	'Event Log'=>'',
	'ISRC'=>'',
	'If enabled, the autoDJ will include a small tracking code at the end of the<br />song titles shown in your listeners\' media players.  For example, instead of:<br /><br /><strong>Artist Name - Song Title</strong><br /><br />You might see the following instead:<br /><br /><strong>Artist Name - Song Title [C51B]</strong><br /><br />This allows detailed reports to be generated (on the \'Tracks\' tab of the<br />\'View Statistics\' page) containing most of the information needed to make<br />reports to the appropriate entities for royalty determination purposes.<br /><br />If this option is disabled, the generated reports will be much less detailed<br />and may not contain sufficient information for royalty reporting purposes.'=>'',
	'Log does not exist; this often (although not always) indicates a permissions/ownership error.  Consult the Centova Cast knowledge base.'=>'',
	'Note: Because diagnostic mode generates an inordinate amount of log data, this successful startup has been terminated.  To perform a normal startup, please try again in normal (non-diagnostic) mode.'=>'',
	'Royalty reporting capability'=>'',
	'Royalty reporting mode'=>'',
	'Tip: Diagnostic mode may provide additional information about the cause of certain problems such as the above.  %s%s%sClick here%s if you would like to retry this operation in diagnostic mode.'=>'',
	'Track title'=>'',
	'Used: %s%.1f%%%s.%sThis is the combined total of the actual disk space usage for all of your client accounts.'=>'',
	'Always'=>'',
	'Automatic (determined by source)'=>'',
	'Configures relaying of other streams by your server.  The remote server will act as a source for your stream.'=>'',
	'Configures relaying of your stream by other servers.  Your stream will act as a source for the remote server.'=>'',
	'Controls the title and URL shown in media players.  Use %s to insert the title/URL provided by the source.'=>'',
	'Directory port (Yport)'=>'',
	'Disabled (use IP addresses only)'=>'',
	'Enabled (may cause delays)'=>'',
	'Hostname lookups'=>'',
	'Never'=>'',
	'Public server determines whether the stream will appear in public yellow-pages services.'=>'',
	'The following master server relay settings control relaying all mount points on an entire remote IceCast server.'=>'',
	'The following mountpoint relay settings control relaying a single, specific mount point on a remote server.'=>'',
	'minute(s) (0 for never)'=>'',
	'%s track(s) were not found or could not be imported:'=>'',
	'%s track(s) were successfully imported into this playlist.'=>'',
	'Import M3U Playlist'=>'',
	'Import Results'=>'',
	'M3U file not received.'=>'',
	'M3U playlist file'=>'',
	'No errors occurred.'=>'',
	'Return to media library'=>'',
	'Upload'=>'',
	're-index known files even if unchanged'=>'',
	'Login transfer failed'=>'',
	'The remote server returned the following error:%s%s'=>'',
	'Access the complete documentation for this control panel software'=>'',
	'Enter this information into your FTP client software to upload your media for the autoDJ'=>'',
	'Enter this information into your live source software to perform a live broadcast'=>'',
	'FTP Client Connections'=>'',
	'FTP Hostname'=>'',
	'FTP Password'=>'',
	'FTP Username'=>'',
	'Live Source Connections'=>'',
	'Manuals'=>'',
	'Provides helpful links and information for using your stream.'=>'',
	'Quick Links'=>'',
	'Server hostname'=>'',
	'Server port'=>'',
	'The \'Source password\' value from your %sstream settings%s'=>'',
	'Tune-In Links'=>'',
	'Your administrator password'=>'',
	'Your stream start page'=>'',
	'Your streaming server index page'=>'',
	'Account Templates'=>'',
	'Account template saved successfully.'=>'',
	'Account templates'=>'',
	'An error occurred while saving this template.'=>'',
	'Delete account template'=>'',
	'Edit account template'=>'',
	'From template'=>'',
	'Invalid server type'=>'',
	'Invalid source type'=>'',
	'Manages templates for creation of new accounts.'=>'',
	'Manual entry'=>'',
	'New account template'=>'',
	'No account templates have been created.'=>'',
	'Select template...'=>'',
	'Server and/or source type not specified'=>'',
	'Template description'=>'',
	'Template name'=>'',
	'Template title'=>'',
	'Unable to load template'=>'',
	'for your reference only'=>'',
	'letters and numbers only'=>'',
	'A reseller account cannot create another reseller account'=>'',
	'The specified template "%s" does not exist'=>'',
	'14-day trend'=>'',
	'AAC+'=>'',
	'Apply replay gain'=>'',
	'Audio encoder'=>'',
	'CBR'=>'',
	'Calculate replay gain'=>'',
	'Crossfade threshold'=>'',
	'Fast'=>'',
	'High quality'=>'',
	'MP3'=>'',
	'MP3 CBR/VBR mode'=>'',
	'MP3 encoder quality'=>'',
	'MP3 quality'=>'',
	'VBR High'=>'',
	'VBR Low'=>'',
	'VBR Medium'=>'',
	'VBR Medium-High'=>'',
	'VBR Medium-Low'=>'',
	'Note: immediate playlists are unavailable because the %s streaming source is in use, which does not support scheduling.'=>'',
	'Note: scheduled playlists are unavailable because the %s streaming source is in use, which does not support scheduling.'=>'',
	'Note: time-of-day settings are unavailable because the %s streaming source is in use, which does not support scheduling.'=>'',
	'Alternate Character Encodings'=>'',
	'If accented or localized characters in the widgets display incorrectly on your web site, select the character encoding that your web site uses below and copy the updated widget code above.'=>'',
	'Checking for news...'=>'',
	'Hide this news box.'=>'',
	'News'=>'',
	'IceCast\'s logs only include the start time of each track; they do not provide information about the%slength of each song.  As such, Centova Cast\'s system must determine the length by checking the%sduration between the start times of each song.  If the server is stopped between songs, however,%sthe song will appear to last for the duration of the outage.%sThis limit is used to ensure that if any song \'appears\' to last longer than a certain number of%sminutes, it will not be included in the track statistics.'=>'',
	'Select autoDJ type...'=>'',
	'Song length detect limit'=>'',
	'minute(s)'=>'',
	'Processing logs...'=>'',
	'second(s) (0 for never)'=>'',
	'Must specify a valid %s value'=>'',
	'Centova Cast CANNOT reach the Centova Technologies license servers.'=>'',
	'Centova Cast appears to be able to send E-mails.  A test message has been sent.'=>'',
	'Centova Cast can successfully communicate with the Centova Technologies license servers.'=>'',
	'Centova Cast does NOT appear to be able to send E-mails; an error occurred while attempting to send a test message.'=>'',
	'E-mail connectivity test'=>'',
	'E-mail delivery test'=>'',
	'E-mail test'=>'',
	'For assistance in diagnosing this problem, please consult the %sCron Job Problems article%s in the Centova Cast knowledge base.'=>'',
	'For assistance in diagnosing this problem, please consult the %sE-mail Notifications article%s in the Centova Cast knowledge base.'=>'',
	'For assistance in diagnosing this problem, please consult the %sStream Start Pages article%s in the Centova Cast knowledge base.'=>'',
	'Licensing server connectivity test'=>'',
	'Licensing test'=>'',
	'Message sent from %s to %s'=>'',
	'Please refer to the %sNotification E-mails article section%s in the Centova Cast knowledge base for assistance with setting up an SMTP server to resolve this problem.'=>'',
	'Please refer to the %slicensing server connectivity article%s in the Centova Cast knowledge base for assistance in diagnosing this problem.'=>'',
	'Skipping %s'=>'',
	'This message was sent as part of the Centova Cast E-mail test.  If you are receiving this message, your Centova Cast server can send E-mail correctly.'=>'',
	'Tip: Centova Cast was recently unable to send one or more E-mail messages to administrators and/or clients due to a possible mail system configuration problem.  The complete error details can be found in the Centova Cast Event Log to the left.'=>'',
	'Tip: Centova Cast\'s cron job appears to be taking an unusually long time to run.  This does not necessarily represent a problem in itself, however it may indicate that your server load is too high and/or cannot handle the workload assigned to it.  Please consult with your systems administrator if you require further assistance in diagnosing this problem.'=>'',
	'Tip: Centova Cast\'s cron job is not running on schedule (possibly not at all).  This may result in various Centova Cast problems ranging from statistics problems to licensing errors.  Most often this is the result of a cron configuration error.'=>'',
	'Tip: Centova Cast\'s cron job is starting normally on a regular basis, however it appears to be failing with an error before completing.  This may result in various Centova Cast problems ranging from statistics problems to licensing errors.'=>'',
	'Browse by folders'=>'',
	'Import M3U playlist'=>'',
	'IP/port combination'=>'',
	'Server is up and autoDJ is deactivated, but no live source is connected; automatically reactivating autoDJ'=>'',
	'hostname'=>'',
	'Amazon Web Services%s Secret Key'=>'',
	'Amazon%s AWS Key ID'=>'',
	'Amazon%s AWS Secret Key'=>'',
	'DefaultAmazon%s affiliate ID'=>'',
	'Used in conjunction with the Access Key ID above.'=>'',
	'WARNING: This account was suspended because it exceeded its resource limits.  If you unsuspend this account now, and its further resource consumption causes its reseller to exceed its reseller account limits, the entire reseller account (including all of its client accounts) will be suspended as a result.  Are you sure you want to unsuspend this account?'=>'',
	'WARNING: This account was suspended because it exceeded its resource limits.  If you unsuspend this account now, and its further resource consumption causes you to exceed the limits of your reseller account, your entire reseller account (including all of your client accounts) will be suspended as a result.  Are you sure you want to unsuspend this account?'=>'',
);
?>
