<?php
/*
 * Centova Cast Localization
 * English (US) Language
 *
 *
 * TRANSLATOR
 * ========================================================================
 * Author: Steve Blinch <sblinch at centova dot com>
 * Date: October, 2007
 *
 * CONTRIBUTORS
 * ========================================================================
 * Your Name <you@somewhere.com> - Month, Year
 * 
 *
 * README
 * ========================================================================
 * Note: this is just a template; the English language file is not used.
 * Use this file as a starting point for translating Centova Cast into
 * alternate languages.  Be sure to update the TRANSLATOR section above.
 *
 * Contributors, please add your name above under the CONTRIBUTORS section.
 *
 * The format for each element in the array below is "English"=>"Translated",
 * for example:
 *
 * 'Welcome, %s!'=>'Bienvenue, %s!'
 *
 * Be sure to leave all "%s"'s intact; they represent placeholders for
 * text that Centova Cast will insert.
 * 
 */
$localization = array(
	// Name of language (in target language, eg: Deutsch for German, Francais for French, etc.)
	"_LANGUAGE"=>"English (US)",
	// Name of translator
	"_AUTHOR"=>"Steve Blinch",
	// Version of Centova Cast for which this language file was created
	"_VERSION"=>"2.0.0",
	
	// Specify the format for dates; M=month (3-letter), F=month (full), d=day (2-digit), Y=year (4-digit)
	"_DATEFORMAT"=>"M d, Y",
	
	// Specify the format for times; h=12-hour hour, H=24-hour hour, i=minutes, A=am/pm
	"_TIMEFORMAT"=>"h:i A",
	
	// Specify the format for dates without the day number; M=month, Y=year
	"_NODAYFORMAT"=>"M, Y",

	// Specify the format for dates without the year; M=month, d=day
	"_NOYEARFORMAT"=>"M d",
	
	// String translations
	'%%s for %s'=>'',
	'%s Kbps'=>'',
	'%s MB'=>'',
	'%s account(s)'=>'',
	'%s is a registered trademark of %s'=>'',
	'%s is not executable or not found'=>'',
	'%s was designed by %s'=>'',
	'%s/%s MB'=>'',
	'0 for auto'=>'',
	'0 to disable'=>'',
	'A database error occurred while creating this account'=>'',
	'A database error occurred while updating this account'=>'',
	'About'=>'',
	'Access Log'=>'',
	'Access denied to selected playlist.'=>'',
	'Account'=>'',
	'Account Information'=>'',
	'Account Management'=>'',
	'Account could not be created'=>'',
	'Account could not be deleted'=>'',
	'Account created'=>'',
	'Account created successfully.'=>'',
	'Account deleted successfully.'=>'',
	'Account does not exist'=>'',
	'Account does not exist in database'=>'',
	'Account is disabled'=>'',
	'Account removed'=>'',
	'Account status updated'=>'',
	'Account updated'=>'',
	'Accounts on %s'=>'',
	'Activate Source'=>'',
	'Active accounts'=>'',
	'Add remote server'=>'',
	'Add track from library to playlist'=>'',
	'Add track to playlist'=>'',
	'Administrative notices will be sent to the above address.'=>'',
	'Administrator password'=>'',
	'All outbound messages will use the above as a return address.'=>'',
	'Allow this server to be controlled remotely'=>'',
	'Allows you to administer your server directly.'=>'',
	'An error occurred while attempting to save this update.'=>'',
	'An error occurred while attempting to update this message'=>'',
	'An error occurred while attempting to update your settings.'=>'',
	'An error occurred while copying this file'=>'',
	'An internal %s has occurred'=>'',
	'Another cron job instance is already running'=>'',
	'Any media you have uploaded will not appear within Centova Cast until you update your media library.'=>'',
	'Any unsaved changes you have made to this playlist will be lost.  Click OK to discard all changes, or Cancel to return to the editor.'=>'',
	'Application %s does not exist.'=>'',
	'Application %s is not executable.'=>'',
	'April'=>'',
	'Are you sure you want to disable this account?'=>'',
	'Are you sure you want to permanently delete the %s%s%s server account and all associated configuration data and logs?'=>'',
	'Are you sure you want to permanently delete this playlist?'=>'',
	'Artists'=>'',
	'August'=>'',
	'Authenticated'=>'',
	'Auto'=>'',
	'Automatically unsuspend it the following month'=>'',
	'Bad secret.  Argument 2 must specify the "secret" column from the accounts database table.'=>'',
	'Basic Mode'=>'',
	'Bit rate'=>'',
	'Bitrate'=>'',
	'Cancel'=>'',
	'Cannot create lock file'=>'',
	'Cannot open playlist file.'=>'',
	'Cannot reload server; you will need to restart the server instead.'=>'',
	'Centova Cast URL'=>'',
	'Channels'=>'',
	'Check complete'=>'',
	'Checking for crashed servers...'=>'',
	'Checking for missing files...'=>'',
	'Checking server process for %s (expected: %s)'=>'',
	'Checking source process for %s (expected: %s)'=>'',
	'Click the link below to update your media library now.'=>'',
	'Code Snippets'=>'',
	'Company/organization'=>'',
	'Complete'=>'',
	'Configuration could not be updated'=>'',
	'Configuration updated successfully.  Note that you will need to restart your server for the changes to take effect.'=>'',
	'Configure Server'=>'',
	'Configure Server Account'=>'',
	'Configures the E-mail messages sent by your server.'=>'',
	'Configures the settings for your server.'=>'',
	'Configures this server account.'=>'',
	'Configures your streaming server.'=>'',
	'Confirm password'=>'',
	'Construct your playlist by copying tracks from your media library to your playlist.'=>'',
	'Contacting remote servers ...'=>'',
	'Control Server'=>'',
	'Controls the use of a locally hosted streaming source instead of a remote source.'=>'',
	'Copyright'=>'',
	'Could not create account'=>'',
	'Could not create host directory'=>'',
	'Could not create server PID file'=>'',
	'Could not create source PID file'=>'',
	'Could not create streaming server object'=>'',
	'Could not create streaming source object'=>'',
	'Could not create token'=>'',
	'Could not instantiate server control object'=>'',
	'Could not locate the requested item.'=>'',
	'Could not open log file'=>'',
	'Could not remove account'=>'',
	'Could not start server'=>'',
	'Could not start source'=>'',
	'Could not to connect to Centova Cast daemon on %s:%s'=>'',
	'Could not update account'=>'',
	'Could not write to %s'=>'',
	'Create'=>'',
	'Create playlist'=>'',
	'Crossfade length'=>'',
	'Current listeners'=>'',
	'Current song'=>'',
	'Current song not available'=>'',
	'Currently'=>'',
	'Daily'=>'',
	'Dashboard'=>'',
	'Data Transfer (MB)'=>'',
	'Data Transfer for %s'=>'',
	'Data Xfer'=>'',
	'Data transfer'=>'',
	'Data transfer limit'=>'',
	'Day'=>'',
	'Deactivate Source'=>'',
	'December'=>'',
	'Default IP address for new servers'=>'',
	'Defaults'=>'',
	'Delete Account'=>'',
	'Delete account'=>'',
	'Delete playlist'=>'',
	'Delete remote server'=>'',
	'Delete server account'=>'',
	'Destination path %s does not exist'=>'',
	'Details'=>'',
	'Disabled'=>'',
	'Discard'=>'',
	'Disk Quota'=>'',
	'Disk Space'=>'',
	'Disk quota'=>'',
	'Display calendar'=>'',
	'Displays an overview of your stream.'=>'',
	'Displays statistics for this server account.'=>'',
	'Displays statistics for your stream.'=>'',
	'Displays the logs for this server account.'=>'',
	'Displays the overall statistics for your server.'=>'',
	'Displays your server logs.'=>'',
	'Drag tracks from your media library and drop them into your playlist.'=>'',
	'E-mail Settings'=>'',
	'E-mail address'=>'',
	'Edit Messages'=>'',
	'Edit message'=>'',
	'Edit playlist'=>'',
	'Edit remote server'=>'',
	'Edit server account'=>'',
	'Enabled'=>'',
	'Enter a new password below.'=>'',
	'Enter password for %s'=>'',
	'Enter password for admin'=>'',
	'Enter your E-mail address below continue.'=>'',
	'Error Log'=>'',
	'Error copying %s to %s'=>'',
	'Error creating directory %s'=>'',
	'Error deleting %s'=>'',
	'Error importing track'=>'',
	'Error loading %s module.'=>'',
	'Error saving streaming server settings'=>'',
	'Error saving streaming source settings'=>'',
	'Error updating streaming server settings'=>'',
	'Failed...'=>'',
	'Fallback file'=>'',
	'February'=>'',
	'File copied successfully'=>'',
	'First day of month'=>'',
	'Folder'=>'',
	'For support and updates, please visit %s'=>'',
	'Forgot password?'=>'',
	'Fri'=>'',
	'Full Mode'=>'',
	'General'=>'',
	'General Rotation'=>'',
	'General rotation'=>'',
	'General rotation playlist details'=>'',
	'General rotation playlists are used to play media from your library when no scheduled or interval playlists are due to be played.  Most stations spend the majority of their air time playing tracks from general rotation playlists.'=>'',
	'General rotation playlists can be \'weighted\' to ensure that tracks from one general rotation playlist are played more or less frequently than tracks from other general rotation playlists.  This can be used to ensure that new releases are played more frequently than older tracks, for example.'=>'',
	'Go'=>'',
	'Hold Ctrl to%sselect multiple.'=>'',
	'Home'=>'',
	'Host directory already exists; aborting'=>'',
	'Host directory does not exist; aborting'=>'',
	'Host directory for server %s not found on disk!'=>'',
	'Hostname'=>'',
	'Hour'=>'',
	'Hz'=>'',
	'IP address'=>'',
	'If enabled, the stream cannot be started until at least one MP3 is uploaded into the following folder'=>'',
	'If you have uploaded new media since then, please be sure to update your media library to bring the new media into Centova Cast.'=>'',
	'If you wish to apply any configuration changes to your ShoutCast server itself, you will need to use the Restart Server option instead.'=>'',
	'Indexing files...'=>'',
	'Individual commands may also accept other options; refer to the manual for details.'=>'',
	'Installation root'=>'',
	'Instructions for resetting your password%shave been sent via E-mail to'=>'',
	'Interval'=>'',
	'Interval playlist details'=>'',
	'Interval playlists allow you to play tracks at regular intervals of several minutes or several songs.  These playlists are useful for playing recurring content, such as station identification or commercial advertisements.'=>'',
	'Introduction file'=>'',
	'Invalid E-mail address.'=>'',
	'Invalid destination path'=>'',
	'Invalid media path'=>'',
	'Invalid password'=>'',
	'Invalid password reset code.'=>'',
	'Invalid sign-on token.'=>'',
	'Invalid state for source'=>'',
	'Invalid username'=>'',
	'Invalid username.'=>'',
	'January'=>'',
	'July'=>'',
	'June'=>'',
	'Last day of month'=>'',
	'Leave it suspended until unsuspended by an administrator'=>'',
	'Length'=>'',
	'Less frequently'=>'',
	'Listener Minutes'=>'',
	'Listeners'=>'',
	'Load average'=>'',
	'Loading, please wait'=>'',
	'Loading, please wait...'=>'',
	'Loading...'=>'',
	'Lock already acquired'=>'',
	'Lock denied'=>'',
	'Lock failed'=>'',
	'Lock has been reacquired by another process'=>'',
	'Log Out'=>'',
	'Log processing complete'=>'',
	'Login'=>'',
	'Login to Account'=>'',
	'Logs in to this account as if you had entered this user\'s username and password.'=>'',
	'MB (soft quota)'=>'',
	'MB/month'=>'',
	'Manage Accounts'=>'',
	'Manage tracks'=>'',
	'Manage your playlists.'=>'',
	'Manage your song playlist.'=>'',
	'Management'=>'',
	'Manages remote servers for single-signon.'=>'',
	'Manages your streaming server accounts.'=>'',
	'March'=>'',
	'Maximum bit rate'=>'',
	'Maximum listeners'=>'',
	'May'=>'',
	'Media Library'=>'',
	'Media must be added to playlist before starting stream.'=>'',
	'Message'=>'',
	'Message HTML (optional)'=>'',
	'Message text'=>'',
	'Messages'=>'',
	'Minutes'=>'',
	'Minutes for %s'=>'',
	'Missing argument %d for %s()'=>'',
	'Mon'=>'',
	'Month'=>'',
	'Monthly'=>'',
	'More frequently'=>'',
	'Move track down'=>'',
	'Move track to bottom'=>'',
	'Move track to top'=>'',
	'Move track up'=>'',
	'Must specify a valid action'=>'',
	'Must specify source file'=>'',
	'Must use --%s parameter'=>'',
	'Name'=>'',
	'Never (one time only)'=>'',
	'New account'=>'',
	'No'=>'',
	'No accounts have been created'=>'',
	'No playlists have been created.'=>'',
	'No remote servers have been configured.'=>'',
	'No response; possible configuration problem'=>'',
	'No streaming source configured'=>'',
	'No such lock'=>'',
	'No such lock acquired'=>'',
	'None'=>'',
	'Note that ShoutCast DNAS does not support reloading its configuration without interrupting your stream.  This reload operation has only flushed your server logs and reloaded your source configuration (if any).'=>'',
	'Note: Not updated in realtime.  Figures for'=>'',
	'Note: altering the channels, sample rate, or crossfade settings may significantly increase CPU usage.'=>'',
	'Notification E-mail address'=>'',
	'Notify clients via E-mail when'=>'',
	'November'=>'',
	'Now Playing'=>'',
	'OK'=>'',
	'October'=>'',
	'Offline'=>'',
	'One or more accounts already exist with the specified %s'=>'',
	'One or more errors were found in your form submission.  Please correct the fields marked with asterisks (*) below.'=>'',
	'One or more issues were found with your submission.  Please correct the fields marked with asterisks'=>'',
	'Online'=>'',
	'Operating system'=>'',
	'Optimizing tables...'=>'',
	'Overview'=>'',
	'Package Limits'=>'',
	'Page'=>'',
	'Password'=>'',
	'Password do not match.'=>'',
	'Password must be at least 4 characters long.'=>'',
	'Permitted and enabled'=>'',
	'Permitted, but disabled'=>'',
	'Place the following code (or any combination of the following <span> elements) on your web page wherever you would like the corresponding information to appear:'=>'',
	'Place the following code at the bottom of the web page, just before your </body> tag:'=>'',
	'Place the following code on your web page wherever you would like the summary to appear:'=>'',
	'Play all tracks from this playlist in order'=>'',
	'Play only one randomly selected track from this playlist'=>'',
	'Playback order'=>'',
	'Playback style'=>'',
	'Playback weight'=>'',
	'Playlist'=>'',
	'Playlist Manager'=>'',
	'Playlist does not contain any tracks.'=>'',
	'Playlist does not exist.'=>'',
	'Playlist file is not readable.'=>'',
	'Playlist must be created before starting stream.'=>'',
	'Playlist permissions must be corrected before starting stream.'=>'',
	'Playlist rebuilt'=>'',
	'Playlist saved successfully.'=>'',
	'Playlist settings'=>'',
	'Playlist sort details'=>'',
	'Playlists'=>'',
	'Please check your E-mail.'=>'',
	'Polling %s'=>'',
	'Port'=>'',
	'Port range for new servers'=>'',
	'Process check disabled, skipping...'=>'',
	'Processing and rotating logs...'=>'',
	'Processing logs for %s ...'=>'',
	'Progress: %s%%; indexing %s'=>'',
	'Prohibited (stream MUST use an offsite source)'=>'',
	'Projected data transfer'=>'',
	'Provides integration code for you to use on your web site.'=>'',
	'Random (shuffled)'=>'',
	'Randomize playlist'=>'',
	'Realtime Stats'=>'',
	'Rebuild playlist on startup'=>'',
	'Recent tracks'=>'',
	'Reference to unknown class: %s'=>'',
	'Reload Server'=>'',
	'Remember me'=>'',
	'Remote'=>'',
	'Remote Servers'=>'',
	'Remote server details'=>'',
	'Remote servers'=>'',
	'Remove fallback file'=>'',
	'Remove introduction file'=>'',
	'Remove track from playlist'=>'',
	'Repeat every'=>'',
	'Repeat on'=>'',
	'Repeat schedule'=>'',
	'Required only if you need to use an SMTP server.'=>'',
	'Reset password'=>'',
	'Restart Server'=>'',
	'Retrieving current song...'=>'',
	'Return'=>'',
	'Return to control server'=>'',
	'Return to the control server.'=>'',
	'SMTP password'=>'',
	'SMTP port'=>'',
	'SMTP server'=>'',
	'SMTP username'=>'',
	'SQL insert failed: %s'=>'',
	'Sample rate'=>'',
	'Sat'=>'',
	'Save'=>'',
	'Scheduled'=>'',
	'Scheduled date'=>'',
	'Scheduled playlist details'=>'',
	'Scheduled playlists allow you to schedule a list of tracks to be played at a specific date and time.  These playlists can also be setup to repeat at given intervals, making them ideal for daily/weekly countdowns or pre-recorded shows.'=>'',
	'Scheduled time'=>'',
	'Select a message'=>'',
	'Select a weight for this playlist below.  Songs in playlists with higher weights play more frequently than songs in playlists with lower weights.'=>'',
	'Sender E-mail address'=>'',
	'September'=>'',
	'Sequential (in order)'=>'',
	'Server %s is broadcasting at %skbps, exceeding limit of %skbps; stopping'=>'',
	'Server %s is down and should be up; restarting'=>'',
	'Server Access Log'=>'',
	'Server Account Logs'=>'',
	'Server Account Statistics'=>'',
	'Server Administration'=>'',
	'Server Control'=>'',
	'Server Error Log'=>'',
	'Server Logs'=>'',
	'Server Status'=>'',
	'Server exited immediately after startup'=>'',
	'Server is not running'=>'',
	'Server restarted gracefully.'=>'',
	'Server started successfully'=>'',
	'Server status'=>'',
	'Server stopped'=>'',
	'Server title'=>'',
	'Server type'=>'',
	'Session timed out.  Please login again to proceed.'=>'',
	'SetUID binary'=>'',
	'Settings'=>'',
	'Settings updated successfully.'=>'',
	'Show this help summary'=>'',
	'Shutdown streaming server and suspend account'=>'',
	'Single Sign-on'=>'',
	'Single sign-on has not been enabled for this server.'=>'',
	'Single sign-on login active'=>'',
	'Site name'=>'',
	'Skip Song'=>'',
	'Song skipped'=>'',
	'Songs'=>'',
	'Sorry, a database connection could not be established.  Please double-check your configuration and try again.%sDetails: %s'=>'',
	'Sorry, an error occurred while attempting to update your playlist'=>'',
	'Sorry, this server is currently experiencing heavy load and cannot process your request at this time.  Please try again later.'=>'',
	'Source Connected'=>'',
	'Source Log'=>'',
	'Source Status'=>'',
	'Source does not support current song retrieval or no current song info available.'=>'',
	'Source exited immediately after startup'=>'',
	'Source file does not exist or is not readable'=>'',
	'Source is not running'=>'',
	'Source password'=>'',
	'Source path %s does not exist'=>'',
	'Source state changed'=>'',
	'Source status'=>'',
	'Source support is not enabled for this host'=>'',
	'Source type'=>'',
	'Start Server'=>'',
	'Statistics'=>'',
	'Statistics for'=>'',
	'Status'=>'',
	'Status could not be updated'=>'',
	'Status updated successfully'=>'',
	'Stop Server'=>'',
	'Stream %s successfully.'=>'',
	'Stream Details'=>'',
	'Stream Status Summary'=>'',
	'Stream Title'=>'',
	'Stream could not be %s'=>'',
	'Stream title'=>'',
	'Streaming Server Control Panel'=>'',
	'Streaming server accounts'=>'',
	'Streaming source'=>'',
	'Streaming source %s is down and should be up; restarting'=>'',
	'Streaming source is not running'=>'',
	'Streaming source started successfully'=>'',
	'Subject'=>'',
	'Sun'=>'',
	'Support'=>'',
	'Suspended'=>'',
	'System Information'=>'',
	'Take no action'=>'',
	'Terminates this administration session.'=>'',
	'The fallback file is an MP3 file that is played in a loop if the source stream disconnects.'=>'',
	'The introduction file is an MP3 file that is played immediately after each listener connects, before tuning in to the live stream.'=>'',
	'The server is not currently running.  Please start the server, then try again.'=>'',
	'This server is already running.'=>'',
	'This server is not running.'=>'',
	'This snippet is similar to the above, but it allows you to control the exact placement of various information about your stream through the use of individual <span> tags.'=>'',
	'This snippet will display the current song title and artist on your web page, refreshing once every minute.'=>'',
	'This will deactivate your server-side streaming source.  Note that any listeners will hear only silence after you perform this action, so you should be ready to activate your offsite source (a live broadcast, for example) immediately.  Are you sure you want to proceed?'=>'',
	'This will reactivate your server-side streaming source.  You should make sure you have disconnected your off-site streaming source (if any) before you continue.  Are you sure you want to proceed?'=>'',
	'This will reload your server configuration without interrupting the stream.'=>'',
	'This will shut down your server and disconnect all listeners.'=>'',
	'This will shut down your server and disconnect any listeners.  Are you sure you want to proceed?'=>'',
	'This will skip to the next song in the playlist.'=>'',
	'This will start your server.'=>'',
	'This will stop your server, then start it again.  All listeners will be disconnected.'=>'',
	'This will switch to the basic (non-drag-and-drop) playlist editor.  Any unsaved changes you have made to this playlist will be lost.  Click OK to proceed to the basic editor, or Cancel to return.'=>'',
	'This will switch to the full (drag-and-drop) playlist editor.  Any unsaved changes you have made to this playlist will be lost.  Click OK to proceed to the full editor, or Cancel to return.'=>'',
	'This will temporarily interrupt your stream and disconnect any listeners.  Are you sure you want to proceed?'=>'',
	'Thu'=>'',
	'Title'=>'',
	'Toggles your streaming source on or off, which may be useful during live streaming.'=>'',
	'Total'=>'',
	'Total accounts'=>'',
	'Track #%s from playlist #%s'=>'',
	'Track %s is missing; removing'=>'',
	'Track list not available.'=>'',
	'Tracks'=>'',
	'Tracks reindexed'=>'',
	'Transfer'=>'',
	'Transfer Limits'=>'',
	'Tue'=>'',
	'Tune In'=>'',
	'Type'=>'',
	'URL'=>'',
	'Unable to access log file: %s'=>'',
	'Unknown'=>'',
	'Update'=>'',
	'Update completed successfully: %s'=>'',
	'Update media library'=>'',
	'Update progress'=>'',
	'Updated failed: %s'=>'',
	'Updating media library...'=>'',
	'Uptime'=>'',
	'Usage'=>'',
	'Username'=>'',
	'Valid administrator commands include:'=>'',
	'Valid options include:'=>'',
	'Valid passwordless commands include:'=>'',
	'Valid user commands include'=>'',
	'View'=>'',
	'View Logs'=>'',
	'View Statistics'=>'',
	'Website URL'=>'',
	'Wed'=>'',
	'Weekly'=>'',
	'When an account has been suspended'=>'',
	'When disk quota is exceeded'=>'',
	'When transfer limit is exceeded'=>'',
	'Yearly'=>'',
	'Yes'=>'',
	'You may now %slogin%s.'=>'',
	'Your account has been suspended.'=>'',
	'Your media library has never been updated.'=>'',
	'Your media library was last updated on'=>'',
	'Your password has been reset successfully.'=>'',
	'am'=>'',
	'at'=>'',
	'at %skbps'=>'',
	'cannot be modified while stream is online'=>'',
	'checks/restarts crashed servers (included in "cronjob")'=>'',
	'command'=>'',
	'displays the Centova Cast version'=>'',
	'execute the system cronjob'=>'',
	'forwarded to an administrator for review'=>'',
	'kbps'=>'',
	'of data transfer limit is reached'=>'',
	'of disk quota is used'=>'',
	'on %s'=>'',
	'options'=>'',
	'pm'=>'',
	'processes all server logs (included in "cronjob")'=>'',
	'provisions a new server'=>'',
	'reconfigure a server'=>'',
	'reload a server'=>'',
	'restart a server'=>'',
	'retrieve information about a server'=>'',
	'retrieve song/listener information for a server'=>'',
	'returns a list of all accounts and limited details for each'=>'',
	'returns expected and actual server states'=>'',
	'second(s)'=>'',
	'sets the status of a server (enabled/disabled)'=>'',
	'source deactivated'=>'',
	'source reactivated'=>'',
	'start a server'=>'',
	'stop a server'=>'',
	'suspended until further notice'=>'',
	'terminates (deletes) an existing server'=>'',
	'username'=>'',
	'will always be rebuilt if it does not exist'=>'',
	'will not be accurate for at least %s hour(s).'=>'',
	'%skbps stream'=>'',
	'(optional; required for album covers and buy-now links in recent tracks list)'=>'',
	'Activate start page'=>'',
	'Album'=>'',
	'Albums'=>'',
	'All'=>'',
	'All genres'=>'',
	'Allows retrieval of album covers and affiliate sales.'=>'',
	'Amazon access key ID'=>'',
	'An error occurred while attempting to update this password.  Please correct the fields marked below.'=>'',
	'Are you sure you want to revert this playlist?  Click OK to discard your changes and revert to the original, or Cancel to resume editing this playlist.'=>'',
	'Bottom'=>'',
	'Change administrator password'=>'',
	'Confirm new administrator password'=>'',
	'Create and manage your playlists.'=>'',
	'Create new playlist'=>'',
	'Current administrator password'=>'',
	'Dedicated to'=>'',
	'Down'=>'',
	'Enable Amazon integration'=>'',
	'Enable on-demand content widget'=>'',
	'Enable recent tracks widget'=>'',
	'Enable song request widget'=>'',
	'Features'=>'',
	'Hosted by %s'=>'',
	'Immediate'=>'',
	'Immediate playlists allow you to queue tracks to be played immediately after the end of the current track.  These playlists are useful for playing tracks on demand, such as song requests.'=>'',
	'Invalid account'=>'',
	'Invalid track addition request.'=>'',
	'Keyword'=>'',
	'Launch media library'=>'',
	'License details'=>'',
	'Loading ...'=>'',
	'Manage Playlists'=>'',
	'Manage playlists'=>'',
	'Manage your media library and add tracks to playlists.'=>'',
	'Media'=>'',
	'Media library was last updated'=>'',
	'New administrator password'=>'',
	'No on-demand content is available at this time.'=>'',
	'No playlists are active for this account'=>'',
	'Not authorized to access playlist.'=>'',
	'Not found'=>'',
	'Note: An Amazon access key ID has been configured for this account.  This may cause the import to take an unusally long time as album covers and affiliate information are retrieved from Amazon.com.'=>'',
	'Note: scheduling is unavailable because the %s streaming source is in use, which does not support scheduling.'=>'',
	'Now playing:'=>'',
	'On-demand Content'=>'',
	'On-demand content'=>'',
	'On-demand content has been disabled for this stream.'=>'',
	'Parent folder'=>'',
	'Password Change'=>'',
	'Password updated successfully.'=>'',
	'Place the following code on your web page wherever you would like the on-demand content browser to appear:'=>'',
	'Place the following code on your web page wherever you would like the recent tracks list to appear:'=>'',
	'Place the following code on your web page wherever you would like the request form to appear:'=>'',
	'Play selected files.'=>'',
	'Please enter a valid E-mail address.'=>'',
	'Please provide a valid song request.'=>'',
	'Please wait'=>'',
	'Please wait...'=>'',
	'Powered by '=>'',
	'Recent Tracks'=>'',
	'Recent tracks list has been disabled for this stream.'=>'',
	'Remove'=>'',
	'Request a song'=>'',
	'Return to control panel'=>'',
	'Revert'=>'',
	'Revert playlist changes'=>'',
	'Save playlist changes'=>'',
	'Saving, please wait...'=>'',
	'Scheduled playlists allow you to schedule a list of tracks to be played at a specific date and time.  These playlists can also be setup to repeat on a schedule, making them ideal for daily/weekly countdowns or pre-recorded shows.'=>'',
	'Search'=>'',
	'Song (artist/title)'=>'',
	'Song Requests'=>'',
	'Sorry, song requests have been disabled for this stream.'=>'',
	'Sorry, your song request could not be submitted at this time.'=>'',
	'Sorry, your song request was not valid and could not be submitted.'=>'',
	'Submit song request'=>'',
	'The requested page could not be found.'=>'',
	'This snippet will display a browser for your on-demand content, and allow your visitors to listen to and create playlists for your content.'=>'',
	'This snippet will display a form with which users can submit song requests.  Note that requests are NOT handled by Centova Cast itself, they are simply sent via E-mail to the E-mail address configured for your stream.  Your E-mail address will not be disclosed to the public.'=>'',
	'This snippet will display a list of recently played tracks (including Amazon affiliate links and album cover images if Amazon integration is enabled).'=>'',
	'Top'=>'',
	'Track cover'=>'',
	'Unknown stream'=>'',
	'Up'=>'',
	'Update password'=>'',
	'Update your Media Library'=>'',
	'Updating media library, please wait...'=>'',
	'Web Audio Player'=>'',
	'You have not saved your changes to this playlist.  Click OK to discard your changes, or Cancel to return to this playlist to save your changes.'=>'',
	'You must select at least one item.'=>'',
	'Your E-mail'=>'',
	'Your media library is currently empty.  After you have uploaded your media, click the %sUpdate media library%s button at the bottom-right corner of the screen to allow Centova Cast to import your media.%sEach time you add more media to your library in future, you\'ll need to click %sUpdate media library%s again to add the new media to Centova Cast.'=>'',
	'Your selection returned more than %d results.  For performance reasons, only the first %d results have been displayed.'=>'',
	'Your song request has been submitted - thank you.'=>'',
	'Archive'=>'',
	'Audio File'=>'',
	'CSS File'=>'',
	'Calendar File'=>'',
	'GZipped Archive'=>'',
	'HTML File'=>'',
	'Heavy Rotation'=>'',
	'Image File'=>'',
	'Light Rotation'=>'',
	'Medium Rotation'=>'',
	'Microsoft Excel File'=>'',
	'Microsoft Powerpoint File'=>'',
	'Microsoft Word File'=>'',
	'Must specify %s value'=>'',
	'PDF File'=>'',
	'Prohibited'=>'',
	'Station identification'=>'',
	'Text File'=>'',
	'Unknown/Binary File'=>'',
	'Video File'=>'',
	'Weekly Top 10 Countdown'=>'',
	'Windows Binary File'=>'',
	'%s Hz'=>'',
	'Added %s new tracks to playlist %d.'=>'',
	'Checking for missing album covers...'=>'',
	'Enable re-encoding on new servers'=>'',
	'Error'=>'',
	'Error adding new tracks to playlist'=>'',
	'Host: %s%s%s Port: %s%s%s'=>'',
	'If you do not plan to use start page support, %sclick here%s to permanently dismiss this error message.'=>'',
	'Mono'=>'',
	'No, disable re-encoding (if supported by source)'=>'',
	'Preview'=>'',
	'Preview track(s)'=>'',
	'Standard Rotation'=>'',
	'Stereo'=>'',
	'The specified playlist does not exist.'=>'',
	'The start page for this stream (if enabled) is available at: '=>'',
	'There is no playlist that matches the specified keyword.'=>'',
	'Tip: Your client start pages are not working at this time.  Please ensure that the Apache mod_layout module is installed on your server and .htaccess file support is not disabled for this web site.  This message will disappear when your server configuration is corrected.'=>'',
	'Yes, re-encode media to stream bit rate'=>'',
	'Allows listeners to tune in even behind restrictive firewalls; %sread warning here%s before enabling.'=>'',
	'At least one general rotation playlist must be enabled to start the stream.'=>'',
	'At least one general rotation track must be available to start the stream.'=>'',
	'Default channels for re-encoding'=>'',
	'Default crossfade length for re-encoding'=>'',
	'Default sample rate for re-encoding'=>'',
	'Enable port 80 proxying'=>'',
	'Error creating playlist: %s'=>'',
	'Interruptible'=>'',
	'No active general rotation playlists exist for this stream.'=>'',
	'No tracks exist in the active playlists for this account'=>'',
	'No tracks have been added to the general rotation playlist(s) for this stream.'=>'',
	'No, always play to completion'=>'',
	'This snippet will display a form with which users can submit song requests.  Note that requests are NOT handled internally, they are simply sent via E-mail to the E-mail address configured for your stream.  Your E-mail address will not be disclosed to the public.'=>'',
	'Unable to identify account to check playlist state.'=>'',
	'Yes, terminate if another scheduled playlist is due to begin'=>'',
	'advanced to next song'=>'',
	'reloaded'=>'',
	'restarted'=>'',
	'started'=>'',
	'stopped'=>'',
	'The specific problems detected included:'=>'',
	'This message will disappear (and the graphs will appear) when your server configuration is corrected.'=>'',
	'Tip: Your statistics graphs are not working at this time.  Please ensure that PHP\'s GD extension is installed (including PNG and FreeType support).'=>'',
	'imagecreate() not available - PHP\'s GD extension is not installed'=>'',
	'imagepng() not available - PHP was not built with libpng support'=>'',
	'imagettftext() not available - PHP was not built with FreeType support'=>'',
	'An internal %s has occurred (%s)'=>'',
	'No response, possible configuration problem'=>'',
	'%s in %s track(s)'=>'',
	'Account created successfully, but stream could not be started'=>'',
	'Disable playlist'=>'',
	'Disk usage'=>'',
	'Enable playlist'=>'',
	'GMT'=>'',
	'Genre'=>'',
	'Invalid track addition request'=>'',
	'No, always play to completion or stop time'=>'',
	'Note: statistics are recorded in the server\'s time zone (GMT %s), which differs from yours by %s hour(s).'=>'',
	'Play all tracks randomly (shuffled)'=>'',
	'Play all tracks sequentially (in order)'=>'',
	'Server default'=>'',
	'Stop after'=>'',
	'Time zone'=>'',
	'Unlimited'=>'',
	'Unspecified'=>'',
	'minutes (0 to play to completion)'=>'',
	'Re-indexing media without import as destination playlist does not exist...'=>'',
	'Administrator E-mail address'=>'',
	'Continue'=>'',
	'Database name'=>'',
	'Include in API cluster'=>'',
	'License key'=>'',
	'MySQL hostname'=>'',
	'MySQL password'=>'',
	'MySQL username'=>'',
	'Next'=>'',
	'Provisioning server for API clustering'=>'',
	'Server %s'=>'',
	'The server with the fewest accounts'=>'',
	'This server (%s)'=>'',
	'This setting is used only when API clustering is enabled, and does not affect accounts created manually.'=>'',
	'Aborted by event notification script'=>'',
	'An error occurred while updating this playlist'=>'',
	'Individual commands may also accept other options; refer to the manual for'=>'',
	'No matching playlist found'=>'',
	'No matching tracks found'=>'',
	'Playlist updated'=>'',
	'The specified username does not exist.'=>'',
	'activate or deactivate the playlist'=>'',
	'activate or deactivate the source'=>'',
	'activate/deactivate server-side source (autodj)'=>'',
	'add new media to first playlist matching TEXT'=>'',
	'add new media to playlist with specified ID'=>'',
	'add/remove tracks to/from the playlist'=>'',
	'apply (i.e., cronjob, version, etc.)'=>'',
	'details.  Use "all" as the username for commands where a username does not'=>'',
	'modify playlists for a server'=>'',
	'only accounts with usernames matching TEXT'=>'',
	'reconfigure a server (see XML API documentation)'=>'',
	'reindex the media library for a server'=>'',
	'retrieve last 10 songs played on a server'=>'',
	'skips to the next song on a server'=>'',
	'specifies new account status'=>'',
	'tracks by artists whose names match TEXT'=>'',
	'tracks from albums whose names match TEXT'=>'',
	'tracks whose filesystem paths match TEXT'=>'',
	'tracks whose titles match TEXT'=>'',
	'use first playlist matching TEXT'=>'',
	'use first playlist with specified ID'=>'',
	'Cast Daemon'=>'',
	'Character set'=>'',
	'Event scripts'=>'',
	'Last cron job'=>'',
	'Locale'=>'',
	'Note that this file must match the bit rate, sample rate, and number of channels configured for your stream.'=>'',
	'Started %s, completed %s'=>'',
	'The fallback file is an audio file that is played in a loop if the source stream disconnects.'=>'',
	'The introduction file is an audio file that is played immediately after each listener connects, before tuning in to the live stream.'=>'',
	'Character encoding'=>'',
	'Default character encoding for new servers'=>'',
	'Note that if you have already imported any media, you should %sclick here%s now to update your media library with the new character encoding.'=>'',
	'Perform full library update'=>'',
	'Your preferred character encoding has also been changed.'=>'',
	'AM'=>'',
	'Advanced'=>'',
	'Apr'=>'',
	'Aug'=>'',
	'Basic Configuration'=>'',
	'Dec'=>'',
	'Feb'=>'',
	'Files'=>'',
	'Jan'=>'',
	'Jul'=>'',
	'Jun'=>'',
	'Mar'=>'',
	'Master Relaying'=>'',
	'Mountpoint Relaying'=>'',
	'Nov'=>'',
	'Oct'=>'',
	'PM'=>'',
	'Provisioning account %s ...'=>'',
	'Relaying'=>'',
	'Sep'=>'',
	'Server Overrides'=>'',
	'Source'=>'',
	'Start Page'=>'',
	'To add your media to the playlists you\'ve created above, launch your media library below.'=>'',
	'Today'=>'',
	'Unknown software to import: %s'=>'',
	'Yesterday'=>'',
	'Adding %s'=>'',
	'All logs'=>'',
	'Allow server log downloads'=>'',
	'Allows users to download their streaming server/source logs in ZIP or tarball format.  Note that log compression is very CPU-intensive.'=>'',
	'An error occurred while attempting to compress your logs'=>'',
	'Archival failed'=>'',
	'Compressing %s ...'=>'',
	'Depending on the size and number of logs in your account, this may take some time -- please be patient.  Navigating away from this web page will cancel your download.'=>'',
	'Disable server account'=>'',
	'Download'=>'',
	'Enable server account'=>'',
	'Log compression failed: %s'=>'',
	'Logs archived'=>'',
	'Number of recent tracks'=>'',
	'Permitted'=>'',
	'Port 80 proxy'=>'',
	'Stream is offline.'=>'',
	'Stream is online and broadcasting.'=>'',
	'Unresolved stream outage detected.'=>'',
	'Unsuspend server account'=>'',
	'Your logs are being compressed now and your download will begin in a few moments.'=>'',
	'maximum of 10'=>'',
	'%.1f KB'=>'',
	'%.1f MB'=>'',
	'%.1f minute(s)'=>'',
	'%.1f%%'=>'',
	'%.2f'=>'',
	'%.2f listeners'=>'',
	'%.2f track(s)'=>'',
	'%.2f%%'=>'',
	'%s'=>'',
	'%s Software Configuration'=>'',
	'%s countries'=>'',
	'%s listener(s)'=>'',
	'%s minute(s)'=>'',
	'%s session(s)'=>'',
	'%s track(s)'=>'',
	'%s%.1f%%%s of total minutes'=>'',
	'%s%.1f%%%s of total sessions'=>'',
	'%s/%s'=>'',
	'%sError%s: %s.'=>'',
	'(provides realtime geographic mapping of your listeners\' locations'=>'',
	'0 - 30 sec'=>'',
	'1 hour - 4 hours'=>'',
	'15 - 30 min'=>'',
	'2 - 5 min'=>'',
	'30 min - 1 hour'=>'',
	'30 sec - 2 min'=>'',
	'30-day trend'=>'',
	'4hours +'=>'',
	'5 - 15 min'=>'',
	'60-day trend'=>'',
	'7-day trend'=>'',
	'AIM'=>'',
	'Account Logs'=>'',
	'Account Statistics'=>'',
	'Account could not be loaded; aborting'=>'',
	'Account does not exist in database, or is not owned by this account'=>'',
	'Account is active.'=>'',
	'Account is suspended.'=>'',
	'Account reparented'=>'',
	'Account settings modified by %s'=>'',
	'Accounts'=>'',
	'Actiate start page'=>'',
	'Administrator'=>'',
	'Afternoon'=>'',
	'Agent'=>'',
	'Agent Type'=>'',
	'Airtime'=>'',
	'All of its client accounts will be disabled as well.'=>'',
	'Allocated data transfer'=>'',
	'Allocated disk space'=>'',
	'Allocated listener slots'=>'',
	'Allow client-specified Amazon%s affiliate IDs'=>'',
	'Allow other servers to relay stream'=>'',
	'Allow relays to make stream public'=>'',
	'Allows automated retrieval of album covers and affiliate sales.  %sClick here%s to generate your key.'=>'',
	'Allows realtime geographic mapping of listener locations for each stream.  %sClick here%s to generate your key.'=>'',
	'Allows you (the hosting provider) to collect affiliate sales credits if the client does not configure his own Amazon%s affiliate ID.'=>'',
	'Always disconnect listeners after'=>'',
	'Amazon Web Services%s Access Key ID'=>'',
	'Amazon%s affiliate ID'=>'',
	'AutoDJ'=>'',
	'AutoDJ status'=>'',
	'AutoDJs'=>'',
	'Automatically unsuspending account after suspension from previous month'=>'',
	'Available server types'=>'',
	'Available source types'=>'',
	'Average Listener Session Length'=>'',
	'Average Listeners Per Hour'=>'',
	'Average length'=>'',
	'Average per hour'=>'',
	'Average session length'=>'',
	'Back-end password update failed: %s'=>'',
	'Burst on connect'=>'',
	'Burst size'=>'',
	'Cannot change status until parent reseller account is enabled'=>'',
	'Change password'=>'',
	'Change reporting period'=>'',
	'Changed status for account %s from %s to %s%s'=>'',
	'Changing password for reseller: %s%s%s'=>'',
	'Checking stream status ...'=>'',
	'Client accounts'=>'',
	'Client timeout'=>'',
	'Clients'=>'',
	'Command not available to reseller accounts'=>'',
	'Configuration updated successfully.'=>'',
	'Configure Account'=>'',
	'Configures the E-mail messages sent by your account.'=>'',
	'Configures the settings for your account.'=>'',
	'Configures this account.'=>'',
	'Confirm new password'=>'',
	'Conn./Min'=>'',
	'Controls the use of a locally hosted streaming source (autoDJ) instead of a live source.'=>'',
	'Could not create reseller directory'=>'',
	'Could not to connect to Centova Cast daemon on %s:%s (%s)'=>'',
	'Countries'=>'',
	'Country'=>'',
	'Country: %s%s%s'=>'',
	'Crossfade mode'=>'',
	'Current Listener Locations'=>'',
	'Current Listeners:'=>'',
	'Current Song:'=>'',
	'Current geographic listener locations (click markers for details)'=>'',
	'Current password'=>'',
	'Current top countries'=>'',
	'Current top user agents'=>'',
	'Custom logo is active.'=>'',
	'Data Transfer'=>'',
	'Date'=>'',
	'Default Amazon%s affiliate ID'=>'',
	'Delete reseller account'=>'',
	'Delete the client accounts'=>'',
	'Delete this account'=>'',
	'Description'=>'',
	'Detailed statistics can be reported for any portion of the last 60 days.  (Limited statistics are available for prior dates on the Historical tab.)'=>'',
	'Directory listings URL'=>'',
	'Directory listings timeout'=>'',
	'Disable this account'=>'',
	'Discon./Min'=>'',
	'Disconnect idle sources after'=>'',
	'Disconnect listeners if source disconnects'=>'',
	'Disk quota exceeded; account has been automatically %s'=>'',
	'Displays statistics for this account.'=>'',
	'Displays the logs for this account.'=>'',
	'Duration'=>'',
	'E-mail Messages'=>'',
	'Edit'=>'',
	'Edit server type'=>'',
	'Edit source type'=>'',
	'Edit this account'=>'',
	'Enable Google Maps%s widget'=>'',
	'End time'=>'',
	'Error loading account: %s'=>'',
	'Error processing client account %s:'=>'',
	'Error re-loading account: %s'=>'',
	'Error sending message from %s to %s'=>'',
	'Error: %s'=>'',
	'Evening'=>'',
	'Failed to initialize server control for account %s!'=>'',
	'Frequency'=>'',
	'Friday'=>'',
	'From %s%s%s to %s%s%s'=>'',
	'Google Maps support is not available for this stream.'=>'',
	'Google Maps%s API key'=>'',
	'Graveyard'=>'',
	'Header timeout'=>'',
	'Hide full report'=>'',
	'Historical'=>'',
	'Historical statistics for'=>'',
	'ICQ'=>'',
	'IP Address'=>'',
	'IRC'=>'',
	'If enabled, clients can provide their own affiliate IDs to collect credit for affiliate sales.  If disabled, only the default affiliate ID above will be used.'=>'',
	'Import album cover images when available'=>'',
	'Imports images from folder.jpg, albumartsmall.jpg, and MP3 ID3 tags. %sClick here%s for more information.'=>'',
	'Invalid listener limit'=>'',
	'Invalid server type: %s'=>'',
	'Invalid source type: %s'=>'',
	'Last %d lines from the relevant log file:'=>'',
	'Last %s%s%s day(s)'=>'',
	'Least Popular Tracks'=>'',
	'Limits'=>'',
	'Listen Time'=>'',
	'Listener'=>'',
	'Listener limit (total)'=>'',
	'Local mount point'=>'',
	'Log does not exist; this usually indicates a permissions/ownership error.  Consult the Centova Cast knowledge base.'=>'',
	'Login denied to suspended account %s.'=>'',
	'Login failure for username %s.'=>'',
	'Login to this account'=>'',
	'Logo image'=>'',
	'Lunch'=>'',
	'MB'=>'',
	'Manages server software available on this server.'=>'',
	'Manages source software avialable on this server.'=>'',
	'Managing client account %s%s%s'=>'',
	'Managing reseller account %s%s%s'=>'',
	'Master password'=>'',
	'Master port'=>'',
	'Master server'=>'',
	'Master update interval'=>'',
	'Master username'=>'',
	'Maximum accounts'=>'',
	'Maximum sources'=>'',
	'Message: %s'=>'',
	'Metric'=>'',
	'Monday'=>'',
	'Monthly data transfer limit exceeded; account has been automatically %s'=>'',
	'Morning'=>'',
	'Most Popular Tracks'=>'',
	'Mount point'=>'',
	'Move account'=>'',
	'Move the client accounts to another reseller: '=>'',
	'Move to another reseller'=>'',
	'Net Conn.'=>'',
	'Net Discon.'=>'',
	'New parent account is not a reseller account'=>'',
	'New password'=>'',
	'No (Google Maps API key not configured by administrator)'=>'',
	'No server types exist.'=>'',
	'No source types exist.'=>'',
	'No such track report was found.'=>'',
	'Note that you will need to restart your server for the changes to take effect.'=>'',
	'Note: Amazon%s integration has been enabled.  This may cause the import to take an unusally long time as album covers and affiliate information are retrieved from Amazon.com.'=>'',
	'Note: Figures may not be updated for up to %s hour(s).'=>'',
	'Note: Today\'s figures may not be updated for up to %s hour(s).'=>'',
	'Note: this must specify the full path and filename to the %s server software on your server.  If you have not yet installed the software, you will need to do so before configuring this option.'=>'',
	'Note: this must specify the full path and filename to the %s source software on your source.  If you have not yet installed the software, you will need to do so before configuring this option.'=>'',
	'Other'=>'',
	'Pathname'=>'',
	'Peak Period'=>'',
	'Performances'=>'',
	'Place the following code on your web page wherever you would like the tune-in links to appear:'=>'',
	'Playbacks'=>'',
	'Player'=>'',
	'Player/Ripper'=>'',
	'Please correct these values and try again.'=>'',
	'Port 80 proxies'=>'',
	'Prohibited (streams MUST use an offsite source)'=>'',
	'Provisioned account %s (server: %s; source: %s)'=>'',
	'Provisioned reseller account %s'=>'',
	'Public server'=>'',
	'Queue size'=>'',
	'Recent Activity'=>'',
	'Relay metadata'=>'',
	'Relay on demand'=>'',
	'Relay password'=>'',
	'Remove logo image'=>'',
	'Removed account %s'=>'',
	'Removed reseller account %s'=>'',
	'Reparent account'=>'',
	'Reparented account %s to reseller %s'=>'',
	'Report'=>'',
	'Reports are generated in CSV format on the first of each month, and may be useful for licensing/royalty reporting.'=>'',
	'Reseller'=>'',
	'Reseller Options'=>'',
	'Reseller account'=>'',
	'Reseller account does not exist in database'=>'',
	'Reseller account has reached its client account limit'=>'',
	'Reseller account has reached its disk quota'=>'',
	'Reseller account has reached its transfer limit'=>'',
	'Reseller accounts cannot be reparented'=>'',
	'Return to accounts'=>'',
	'Ripper'=>'',
	'Saturday'=>'',
	'Select a new reseller for this account'=>'',
	'Select a reporting period'=>'',
	'Select server type...'=>'',
	'Select source type...'=>'',
	'Server Software'=>'',
	'Server error: %s'=>'',
	'Server software'=>'',
	'Server software: %s%s%s'=>'',
	'Server:'=>'',
	'Session average'=>'',
	'Sessions'=>'',
	'Show'=>'',
	'Show album covers'=>'',
	'Show full report'=>'',
	'Size'=>'',
	'Source Software'=>'',
	'Source software'=>'',
	'Source software: %s%s%s'=>'',
	'Source timeout'=>'',
	'Source:'=>'',
	'Specified bit rate exceeds reseller limits'=>'',
	'Specified disk quota exceeds reseller limits'=>'',
	'Specified listener limit exceeds reseller limits'=>'',
	'Specified transfer limit exceeds reseller limits'=>'',
	'Specifies the maximum number of accounts the reseller can create.'=>'',
	'Start Pages'=>'',
	'Start time'=>'',
	'Statistics for reporting period:'=>'',
	'Stream'=>'',
	'Stream URL format'=>'',
	'Stream mount point'=>'',
	'Stream password'=>'',
	'Stream port'=>'',
	'Stream server'=>'',
	'Stream title format'=>'',
	'Stream username'=>'',
	'Subject: %s'=>'',
	'Successful login for account %s.'=>'',
	'Sunday'=>'',
	'Suppress metadata'=>'',
	'TLH'=>'',
	'The bit rate limit for your reseller account is %s%s kbps%s.'=>'',
	'The following fields contain invalid values:'=>'',
	'The following listeners are tuned-in now'=>'',
	'The specified E-mail does not exist.'=>'',
	'The specified account does not exist, or your do not have permission to access it.'=>'',
	'There are currently no listeners tuned-in to your stream.'=>'',
	'These reports provide the track name, air time, and number of listeners for each track broadcasted during the reporting period.'=>'',
	'This account has been suspended.'=>'',
	'This is used only to display the server\'s data transfer usage graph on the administrator\'s accounts page.'=>'',
	'This reseller account currently owns %s%s%s client accounts.  How would you like to handle these accounts?'=>'',
	'This snippet will provide a set of tune-in links for various media players.'=>'',
	'Thread pool'=>'',
	'Thursday'=>'',
	'Tip: This is the free space available on the partition holding Centova Cast\'s \'vhosts\' %sdirectory.  If you have created symbolic links pointing to media on a different partition, %s the reported disk usage may appear to exceed the available disk space.'=>'',
	'Tip: You can set your server\'s total data transfer limit under \'Settings\' if you want your data transfer usage to be graphed.'=>'',
	'Tip: Your client start pages are not working at this time.  Please ensure that the Apache mod_rewrite module is installed on your server and .htaccess file support is not disabled for this web site.  This message will disappear when your server configuration is corrected.'=>'',
	'Top %d'=>'',
	'Top Agents by Listener Minutes'=>'',
	'Top Agents by Listener Sessions'=>'',
	'Top Countries by Listener Minutes'=>'',
	'Top Countries by Listener Sessions'=>'',
	'Top Listeners by Listener Minutes'=>'',
	'Top Listeners by Listener Sessions'=>'',
	'Top Tracks by Airtime'=>'',
	'Top Tracks by Playbacks'=>'',
	'Top agents'=>'',
	'Top countries'=>'',
	'Total (%s-day)'=>'',
	'Total Airtime'=>'',
	'Total data transfer limit for this server'=>'',
	'Total listener slots'=>'',
	'Total listening hours (TLH)'=>'',
	'Total sessions (%s-day)'=>'',
	'Total streams'=>'',
	'Total unique (%s-day)'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the actual data transfer usage for all of your client accounts.'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the actual disk space usage for all of your client accounts.'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the data transfer limits you have assigned to all of your client accounts.'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the data transfer used by all of your streams this month. %sNote that this only includes data transfer from Centova Cast streams; data transfer %sused by other services on the server (if any) is not included.'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the disk quotas you have assigned to all of your client accounts.'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the disk space used by all of your streams. %sNote that the total available space does not represent your total disk%s size; it represents the total remaining space available to Centova Cast %s(excluding OS files, etc.)'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the listener limits you have assigned to all of your client accounts.'=>'',
	'Total: %s%.1f%%%s.%sThis is the total number of client accounts you have created.'=>'',
	'Total: %s%.1f%%%s.%sThis is the total number of streams currently managed by%sCentova Cast versus your licensed stream limit.'=>'',
	'Track'=>'',
	'Track Broadcast Reports'=>'',
	'Track name'=>'',
	'Transfer limit'=>'',
	'Tuesday'=>'',
	'UNL'=>'',
	'Unable to login to account: %s'=>'',
	'Unique countries'=>'',
	'Unique listeners'=>'',
	'Unknown / Local'=>'',
	'Unlimited disk quota not permitted for this reseller account'=>'',
	'Unlimited transfer not permitted for this reseller account'=>'',
	'Unsuspend this account'=>'',
	'Updating reseller totals ...'=>'',
	'Use server'=>'',
	'Used data transfer'=>'',
	'Used disk space'=>'',
	'User'=>'',
	'User Agent'=>'',
	'User Agents'=>'',
	'User account is not owned by this reseller account'=>'',
	'User agent type:'=>'',
	'User agent: %s%s%s'=>'',
	'Using SMTP: %s'=>'',
	'Value'=>'',
	'View Current Listeners'=>'',
	'Warning: This will permanently delete the %s%s%s reseller account and all associated configuration data.'=>'',
	'Wednesday'=>'',
	'Xfer'=>'',
	'You have reached the client limit for your account.'=>'',
	'You may allocate up to %s%s MB%s from your reseller account limit.'=>'',
	'You may allocate up to %s%s%s listeners from your reseller account limit.'=>'',
	'Your name'=>'',
	'administrator'=>'',
	'auto'=>'',
	'by Connections per Minute,'=>'',
	'by Disconnections per Minute,'=>'',
	'day'=>'',
	'days'=>'',
	'default'=>'',
	'disabled'=>'',
	'enabled'=>'',
	'failed'=>'',
	'hr'=>'',
	'hrs'=>'',
	'min'=>'',
	'mins'=>'',
	'no reseller'=>'',
	'past %s days'=>'',
	'reseller'=>'',
	'sec'=>'',
	'secs'=>'',
	'successful'=>'',
	'suspended'=>'',
	'triggered by reseller status change'=>'',
	'%s kbps'=>'',
	'%s/%s kbps'=>'',
	'Allocated bandwidth'=>'',
	'AutoDJ capabilities'=>'',
	'Bandwidth limit'=>'',
	'If enabled, your resellers\' clients will be allowed to upload their media to your<br />server and use Centova Cast\'s autoDJ system to source their streams.  If<br />disabled, an off-site source (i.e., on the client\'s home PC) must be used instead.'=>'',
	'If enabled, your resellers\' clients will be permitted to use Centova Cast\'s<br />port-80 proxy to access streams from behind restrictive firewalls.<br /><br />Note that enabling this feature may dramatically affect your server\'s performance<br />if used on busy streams; consult the documentation for more information.'=>'',
	'Invalid username or password'=>'',
	'Listener slots (total)'=>'',
	'Maximum bandwidth'=>'',
	'Reseller account has reached its bandwidth limit'=>'',
	'Specified bit rate exceeds reseller bitrate limit'=>'',
	'Specified combination of bit rate and listener limit exceeds reseller bandwidth limit'=>'',
	'Specifies a monthly data transfer limit (in megabytes) for this reseller account.<br /><br />If you want to limit traffic based on bandwidth (in kbps) instead, use the<br />\'Bandwidth limit\' option below.'=>'',
	'Specifies the amount of disk space allocated to this client.  Note that this<br />includes any media uploaded for the autoDJ as well as any logs, configuration<br />files, and so-on for this account.'=>'',
	'Specifies the maximum bit rate that this reseller can assign to each<br />client account.  (Note that this is a per-client limit, not a combined total.)'=>'',
	'Specifies the maximum number of client accounts (i.e., streaming<br />servers) the reseller can create.'=>'',
	'Specifies the total amount of bandwidth (in kbps -- NOT data transfer)<br />which this reseller can allocate.  This is an alternative to specifying<br />a data transfer limit.<br /><br />For example, 10 listener slots at 128kbps would use 1280kbps of bandwidth<br />(10 x 128 = 1280).  5 slots at 128kbps and 8 slots at 64kbps would use<br />1152kbps of bandwidth (5 x 128 + 8 x 64 = 1152).<br /><br />If you do not fully understand this feature, leave it set to \'Unlimited\'<br />and assign limits for the values above instead.'=>'',
	'Specifies the total number of potential listeners this reseller can host.<br />This is a combined total limit for all client accounts created by this reseller.'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the bandwidth (in kbps) you have allocated to all of your client accounts.'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the data transfer limits you have allocated to all of your client accounts.'=>'',
	'Total: %s%.1f%%%s.%sThis is the combined total of the disk quotas you have allocated to all of your client accounts.'=>'',
	'Total: %s%.1f%%%s.%sThis is the estimated amount of data transfer you will use this month at the current rate of consumption.'=>'',
	'Virtual host directory for "%s" does not exist'=>'',
	'With a listener limit of %s slots, this means that you can allocate a maximum bit rate of up to %s kbps.'=>'',
	'With bit rate limit of %s kbps, this means that you can allocate up to %s listener slots.'=>'',
	'You have %s%s%s listener slots remaining from your reseller account limit.'=>'',
	'You may allocate up to %s%s kbps%s from your %s%s kbps%s reseller account limit.'=>'',
	'You may allocate up to %s%s%s listener slots from your reseller account limit.'=>'',
	'You may assign a bit rate of up to %s%s kbps%s.'=>'',
	'You may create streams with maximum bit rates of up to %s%s kbps%s.'=>'',
	'slots'=>'',
	'%s events on file.  Displaying page %s of %s.'=>'',
	'Active from'=>'',
	'Active until'=>'',
	'Album name'=>'',
	'Artist name'=>'',
	'Connecting client at %s (via %s).'=>'',
	'Could not update playlist.'=>'',
	'Enable/disable playlist'=>'',
	'General rotation playlists can also be limited to a specific period of the day.  This can be used to play lighter songs in the morning and heavier songs in the afternoon, for example.  If no time period is selected, the playlist will be active for the entire day.'=>'',
	'Listen to preview'=>'',
	'No albums were modified.'=>'',
	'No artists were modified.'=>'',
	'No tracks were modified.'=>'',
	'Rename album'=>'',
	'Rename artist'=>'',
	'Rename track'=>'',
	'Stream control issue detected (%s); log attached'=>'',
	'System'=>'',
	'Allocated: %s%.1f%%%s.%sThis is the combined total of the data transfer limits you have allocated to all of your client accounts.'=>'',
	'Allocated: %s%.1f%%%s.%sThis is the combined total of the disk quotas you have allocated to all of your client accounts.'=>'',
	'Diagnostic mode'=>'',
	'Diagnostic output from streaming software:'=>'',
	'Displays the Centova Cast event log.'=>'',
	'Event Log'=>'',
	'ISRC'=>'',
	'If enabled, the autoDJ will include a small tracking code at the end of the<br />song titles shown in your listeners\' media players.  For example, instead of:<br /><br /><strong>Artist Name - Song Title</strong><br /><br />You might see the following instead:<br /><br /><strong>Artist Name - Song Title [C51B]</strong><br /><br />This allows detailed reports to be generated (on the \'Tracks\' tab of the<br />\'View Statistics\' page) containing most of the information needed to make<br />reports to the appropriate entities for royalty determination purposes.<br /><br />If this option is disabled, the generated reports will be much less detailed<br />and may not contain sufficient information for royalty reporting purposes.'=>'',
	'Log does not exist; this often (although not always) indicates a permissions/ownership error.  Consult the Centova Cast knowledge base.'=>'',
	'Note: Because diagnostic mode generates an inordinate amount of log data, this successful startup has been terminated.  To perform a normal startup, please try again in normal (non-diagnostic) mode.'=>'',
	'Royalty reporting capability'=>'',
	'Royalty reporting mode'=>'',
	'Tip: Diagnostic mode may provide additional information about the cause of certain problems such as the above.  %s%s%sClick here%s if you would like to retry this operation in diagnostic mode.'=>'',
	'Track title'=>'',
	'Used: %s%.1f%%%s.%sThis is the combined total of the actual disk space usage for all of your client accounts.'=>'',
	'Always'=>'',
	'Automatic (determined by source)'=>'',
	'Configures relaying of other streams by your server.  The remote server will act as a source for your stream.'=>'',
	'Configures relaying of your stream by other servers.  Your stream will act as a source for the remote server.'=>'',
	'Controls the title and URL shown in media players.  Use %s to insert the title/URL provided by the source.'=>'',
	'Directory port (Yport)'=>'',
	'Disabled (use IP addresses only)'=>'',
	'Enabled (may cause delays)'=>'',
	'Hostname lookups'=>'',
	'Never'=>'',
	'Public server determines whether the stream will appear in public yellow-pages services.'=>'',
	'The following master server relay settings control relaying all mount points on an entire remote IceCast server.'=>'',
	'The following mountpoint relay settings control relaying a single, specific mount point on a remote server.'=>'',
	'minute(s) (0 for never)'=>'',
	'%s track(s) were not found or could not be imported:'=>'',
	'%s track(s) were successfully imported into this playlist.'=>'',
	'Import M3U Playlist'=>'',
	'Import Results'=>'',
	'M3U file not received.'=>'',
	'M3U playlist file'=>'',
	'No errors occurred.'=>'',
	'Return to media library'=>'',
	'Upload'=>'',
	're-index known files even if unchanged'=>'',
	'Login transfer failed'=>'',
	'The remote server returned the following error:%s%s'=>'',
	'Access the complete documentation for this control panel software'=>'',
	'Enter this information into your FTP client software to upload your media for the autoDJ'=>'',
	'Enter this information into your live source software to perform a live broadcast'=>'',
	'FTP Client Connections'=>'',
	'FTP Hostname'=>'',
	'FTP Password'=>'',
	'FTP Username'=>'',
	'Live Source Connections'=>'',
	'Manuals'=>'',
	'Provides helpful links and information for using your stream.'=>'',
	'Quick Links'=>'',
	'Server hostname'=>'',
	'Server port'=>'',
	'The \'Source password\' value from your %sstream settings%s'=>'',
	'Tune-In Links'=>'',
	'Your administrator password'=>'',
	'Your stream start page'=>'',
	'Your streaming server index page'=>'',
	'Account Templates'=>'',
	'Account template saved successfully.'=>'',
	'Account templates'=>'',
	'An error occurred while saving this template.'=>'',
	'Delete account template'=>'',
	'Edit account template'=>'',
	'From template'=>'',
	'Invalid server type'=>'',
	'Invalid source type'=>'',
	'Manages templates for creation of new accounts.'=>'',
	'Manual entry'=>'',
	'New account template'=>'',
	'No account templates have been created.'=>'',
	'Select template...'=>'',
	'Server and/or source type not specified'=>'',
	'Template description'=>'',
	'Template name'=>'',
	'Template title'=>'',
	'Unable to load template'=>'',
	'for your reference only'=>'',
	'letters and numbers only'=>'',
	'A reseller account cannot create another reseller account'=>'',
	'The specified template "%s" does not exist'=>'',
	'14-day trend'=>'',
	'AAC+'=>'',
	'Apply replay gain'=>'',
	'Audio encoder'=>'',
	'CBR'=>'',
	'Calculate replay gain'=>'',
	'Crossfade threshold'=>'',
	'Fast'=>'',
	'High quality'=>'',
	'MP3'=>'',
	'MP3 CBR/VBR mode'=>'',
	'MP3 encoder quality'=>'',
	'MP3 quality'=>'',
	'VBR High'=>'',
	'VBR Low'=>'',
	'VBR Medium'=>'',
	'VBR Medium-High'=>'',
	'VBR Medium-Low'=>'',
	'Note: immediate playlists are unavailable because the %s streaming source is in use, which does not support scheduling.'=>'',
	'Note: scheduled playlists are unavailable because the %s streaming source is in use, which does not support scheduling.'=>'',
	'Note: time-of-day settings are unavailable because the %s streaming source is in use, which does not support scheduling.'=>'',
	'Alternate Character Encodings'=>'',
	'If accented or localized characters in the widgets display incorrectly on your web site, select the character encoding that your web site uses below and copy the updated widget code above.'=>'',
	'Checking for news...'=>'',
	'Hide this news box.'=>'',
	'News'=>'',
	'IceCast\'s logs only include the start time of each track; they do not provide information about the%slength of each song.  As such, Centova Cast\'s system must determine the length by checking the%sduration between the start times of each song.  If the server is stopped between songs, however,%sthe song will appear to last for the duration of the outage.%sThis limit is used to ensure that if any song \'appears\' to last longer than a certain number of%sminutes, it will not be included in the track statistics.'=>'',
	'Select autoDJ type...'=>'',
	'Song length detect limit'=>'',
	'minute(s)'=>'',
	'Processing logs...'=>'',
	'second(s) (0 for never)'=>'',
	'Must specify a valid %s value'=>'',
	'Centova Cast CANNOT reach the Centova Technologies license servers.'=>'',
	'Centova Cast appears to be able to send E-mails.  A test message has been sent.'=>'',
	'Centova Cast can successfully communicate with the Centova Technologies license servers.'=>'',
	'Centova Cast does NOT appear to be able to send E-mails; an error occurred while attempting to send a test message.'=>'',
	'E-mail connectivity test'=>'',
	'E-mail delivery test'=>'',
	'E-mail test'=>'',
	'For assistance in diagnosing this problem, please consult the %sCron Job Problems article%s in the Centova Cast knowledge base.'=>'',
	'For assistance in diagnosing this problem, please consult the %sE-mail Notifications article%s in the Centova Cast knowledge base.'=>'',
	'For assistance in diagnosing this problem, please consult the %sStream Start Pages article%s in the Centova Cast knowledge base.'=>'',
	'Licensing server connectivity test'=>'',
	'Licensing test'=>'',
	'Message sent from %s to %s'=>'',
	'Please refer to the %sNotification E-mails article section%s in the Centova Cast knowledge base for assistance with setting up an SMTP server to resolve this problem.'=>'',
	'Please refer to the %slicensing server connectivity article%s in the Centova Cast knowledge base for assistance in diagnosing this problem.'=>'',
	'Skipping %s'=>'',
	'This message was sent as part of the Centova Cast E-mail test.  If you are receiving this message, your Centova Cast server can send E-mail correctly.'=>'',
	'Tip: Centova Cast was recently unable to send one or more E-mail messages to administrators and/or clients due to a possible mail system configuration problem.  The complete error details can be found in the Centova Cast Event Log to the left.'=>'',
	'Tip: Centova Cast\'s cron job appears to be taking an unusually long time to run.  This does not necessarily represent a problem in itself, however it may indicate that your server load is too high and/or cannot handle the workload assigned to it.  Please consult with your systems administrator if you require further assistance in diagnosing this problem.'=>'',
	'Tip: Centova Cast\'s cron job is not running on schedule (possibly not at all).  This may result in various Centova Cast problems ranging from statistics problems to licensing errors.  Most often this is the result of a cron configuration error.'=>'',
	'Tip: Centova Cast\'s cron job is starting normally on a regular basis, however it appears to be failing with an error before completing.  This may result in various Centova Cast problems ranging from statistics problems to licensing errors.'=>'',
	'Browse by folders'=>'',
	'Import M3U playlist'=>'',
	'IP/port combination'=>'',
	'Server is up and autoDJ is deactivated, but no live source is connected; automatically reactivating autoDJ'=>'',
	'hostname'=>'',
	'Amazon Web Services%s Secret Key'=>'',
	'Amazon%s AWS Key ID'=>'',
	'Amazon%s AWS Secret Key'=>'',
	'DefaultAmazon%s affiliate ID'=>'',
	'Used in conjunction with the Access Key ID above.'=>'',
	'WARNING: This account was suspended because it exceeded its resource limits.  If you unsuspend this account now, and its further resource consumption causes its reseller to exceed its reseller account limits, the entire reseller account (including all of its client accounts) will be suspended as a result.  Are you sure you want to unsuspend this account?'=>'',
	'WARNING: This account was suspended because it exceeded its resource limits.  If you unsuspend this account now, and its further resource consumption causes you to exceed the limits of your reseller account, your entire reseller account (including all of your client accounts) will be suspended as a result.  Are you sure you want to unsuspend this account?'=>'',
);
?>
