<?php

/*
 * Centova Cast Localization
 * Spanish Argentinian Language
 *
 *
 * TRANSLATOR
 * ========================================================================
 * Author: -
 * Date: September, 2008
 *
 * CONTRIBUTORS
 * ========================================================================
 * Carlos Perren <info@mundostreaming.com> - 09, 2008
 * 
 *
 * 
 */

$localization = array(
	// Name of language (in target language, eg: Deutsch for German, Francais for French, etc.)
	"_LANGUAGE"=>"Español (es-AR)",
	// Name of translator
	"_AUTHOR"=>"Carlos Perren",
	// Version of Centova Cast for which this language file was created
	"_VERSION"=>"2.2.0",
	
	// Specify the format for dates; M=month (3-letter), F=month (full), d=day (2-digit), Y=year (4-digit)
	"_DATEFORMAT"=>"d M, Y",
	
	// Specify the format for times; h=12-hour hour, H=24-hour hour, i=minutes, A=am/pm
	"_TIMEFORMAT"=>"H:i",
	
	// Specify the format for dates without the day number; M=month, Y=year
	"_NODAYFORMAT"=>"M, Y",

	// Specify the format for dates without the year; M=month, d=day
	"_NOYEARFORMAT"=>"d M",
	
	// String translations
	'%%s for %s'=>'%%s para %s',
	'%s Kbps'=>'%s Kbps',
	'%s MB'=>'%s MB',
	'%s account(s)'=>'%s cuenta(s)',
	'%s is a registered trademark of %s'=>'%s es marca registrada de',
	'%s is not executable or not found'=>'%s no es ejecutable o no se encuentra',
	'%s was designed by %s'=>'%s fue diseñado por',
	'%s/%s MB'=>'%s/%s MB',
	'0 for auto'=>'0 para automático',
	'0 to disable'=>'0 para desativar',
	'A database error occurred while creating this account'=>'Ocurrió un error de base de datos al crear esta cuenta',
	'A database error occurred while updating this account'=>'Ocurrió un error de base de datos al actualizar esta cuenta',
	'About'=>'Acerca de',
	'Access Log'=>'Registro de acceso',
	'Access denied to selected playlist.'=>'No se tiene autorización para acceder a la lista de reproducción seleccionada',
	'Account'=>'Cuenta',
	'Account Information'=>'Información de cuenta',
	'Account Management'=>'Administración de cuenta',
	'Account could not be created'=>'No se pudo crear la cuenta',
	'Account could not be deleted'=>'No se pudo borrar la cuenta',
	'Account created'=>'Cuenta creada',
	'Account created successfully.'=>'Cuenta creada exitosamente',
	'Account deleted successfully.'=>'Cuenta borrada exitosamente',
	'Account does not exist'=>'La cuenta no existe',
	'Account does not exist in database'=>'La cuenta no existe en la base de datos',
	'Account is disabled'=>'La cuenta está desactivada',
	'Account removed'=>'Cuenta borrada',
	'Account status updated'=>'Estado de cuenta actualizado',
	'Account updated'=>'Cuenta actualizada',
	'Accounts on %s'=>'Cuentas en %s',
	'Activate Source'=>'Activar fuente',
	'Active accounts'=>'Cuentas activas',
	'Add remote server'=>'Agregar servidor remoto',
	'Add track from library to playlist'=>'Agregar pista desde la librería a la lista de reproducción',
	'Add track to playlist'=>'Agregar pista a la lista de reproducción',
	'Administrative notices will be sent to the above address.'=>'Las notas administrativas se enviarán a la dirección de arriba',
	'Administrator password'=>'Clave del administrador',
	'All outbound messages will use the above as a return address.'=>'Todos los mensajes salientes usarán la dirección de arriba para las respuestas',
	'Allow this server to be controlled remotely'=>'Permitir que este servidor sea controlado de forma remota',
	'Allows you to administer your server directly.'=>'Permitir que usted administre su servidor directamente',
	'An error occurred while attempting to save this update.'=>'Ocurrió un error al intentar cargar esta actualización',
	'An error occurred while attempting to update this message'=>'Ocurrió un error al intentar actualizar este mensaje',
	'An error occurred while attempting to update your settings.'=>'Ocurrió un error al intentar actualizar su configuración',
	'An error occurred while copying this file'=>'Ocurrió un error al copiar el archivo',
	'An internal %s has occurred'=>'Ocurrió un %s interno',
	'Another cron job instance is already running'=>'Ya se está ejecutando otra instancia cron job',
	'Any media you have uploaded will not appear within Centova Cast until you update your media library.'=>'Cualquier contenido multimedia que haya subido, no aparecerá en Centova hasta que actualice su librería de medios',
	'Any unsaved changes you have made to this playlist will be lost.  Click OK to discard all changes, or Cancel to return to the editor.'=>'Perderá los cambios sin grabar que haya hecho a esta lista de reproducción. Presione Ok para descargarlos o Cancelar para retornar al editor',
	'Application %s does not exist.'=>'No se encuentra la aplicación %s',
	'Application %s is not executable.'=>'La aplicación %s no es ejecutable',
	'April'=>'Abril',
	'Are you sure you want to disable this account?'=>'Está seguro que desea deshabilitar esta cuenta?',
	'Are you sure you want to permanently delete the %s%s%s server account and all associated configuration data and logs?'=>'Está seguro que desea borrar la cuenta de servidor %s%s%s y todos los datos de configuración y registros asociados?',
	'Are you sure you want to permanently delete this playlist?'=>'Está seguro que desea borrar esta lista de reproducción?',
	'Artists'=>'Artistas',
	'August'=>'Agosto',
	'Authenticated'=>'Autenticado',
	'Auto'=>'Auto',
	'Automatically unsuspend it the following month'=>'Reactivarla automáticamente el próximo mes',
	'Bad secret.  Argument 2 must specify the "secret" column from the accounts database table.'=>'Secreto erróneo. El argumento 2 debe especificar la columna "secreta" de la tabla de cuentas de la base de datos',
	'Basic Mode'=>'Modo básico',
	'Bit rate'=>'Tasa de bits',
	'Bitrate'=>'Bitrate',
	'Cancel'=>'Cancelar',
	'Cannot create lock file'=>'No se puede crear el archivo de bloqueo',
	'Cannot open playlist file.'=>'No se puede abrir el archivo de la lista de reproducción',
	'Cannot reload server; you will need to restart the server instead.'=>'No se puede recargar el servidor, deberá reiniciarlo',
	'Centova Cast URL'=>'Dirección (URL) de Centova Cast',
	'Channels'=>'Canales',
	'Check complete'=>'Chequeo completo',
	'Checking for crashed servers...'=>'Chequeando servidores caídos ...',
	'Checking for missing files...'=>'Chequeando archivos faltantes ...',
	'Checking server process for %s (expected: %s)'=>'Chequeando proceso servidor para %s (se espera: %s)',
	'Checking source process for %s (expected: %s)'=>'Chequeando proceso fuente para %s (se espera: %s)',
	'Click the link below to update your media library now.'=>'Pulse el enlace debajo para actualizar su librería de medios ahora',
	'Code Snippets'=>'Fragmentos de código',
	'Company/organization'=>'Empresa/organización',
	'Complete'=>'Completo',
	'Configuration could not be updated'=>'La configuración no pudo ser actualizada',
	'Configuration updated successfully.  Note that you will need to restart your server for the changes to take effect.'=>'Se ha actualizado la configuración. Necesitará reiniciar su servidor para que los cambios surtan efecto',
	'Configure Server'=>'Configurar servidor',
	'Configure Server Account'=>'Configurar cuenta',
	'Configures the E-mail messages sent by your server.'=>'Configura los mensajes de email enviados por su servidor',
	'Configures the settings for your server.'=>'Configura las especificaciones para su servidor',
	'Configures this server account.'=>'Configura esta cuenta de servidor',
	'Configures your streaming server.'=>'Configura su servidor de streaming',
	'Confirm password'=>'Confirmar clave',
	'Construct your playlist by copying tracks from your media library to your playlist.'=>'Construye su lista de reproducción copiando canciones desde su librería de medios',
	'Contacting remote servers ...'=>'Contactando servidores remotos ...',
	'Control Server'=>'Controlar servidor',
	'Controls the use of a locally hosted streaming source instead of a remote source.'=>'Controla el uso de una fuente de streaming alojada localmente, en lugar de una fuente remota',
	'Copyright'=>'Derechos de copia',
	'Could not create account'=>'No se pudo crear la cuenta',
	'Could not create host directory'=>'No se pudo crear el directorio de equipos',
	'Could not create server PID file'=>'No se pudo crear el archivo PID para el servidor',
	'Could not create source PID file'=>'No se pudo crear el archivo PID para la fuente',
	'Could not create streaming server object'=>'No se pudo crear el objeto para el servidor',
	'Could not create streaming source object'=>'No se pudo crear el objeto para la fuente',
	'Could not create token'=>'No se pudo crear el token',
	'Could not instantiate server control object'=>'No se pudo instanciar el objeto de control del servidor',
	'Could not locate the requested item.'=>'No se puede localizar el item solicitado',
	'Could not open log file'=>'No se puede abrir el archivo de registro',
	'Could not remove account'=>'No se puede borrar la cuenta',
	'Could not start server'=>'No se puede iniciar el servidor',
	'Could not start source'=>'No se puede iniciar la fuente',
	'Could not to connect to Centova Cast daemon on %s:%s'=>'No es posible conectar al servicio Centova Cast en %s:%s',
	'Could not update account'=>'No se puede actualizar la cuenta',
	'Could not write to %s'=>'No se puede escribir a %s',
	'Create'=>'Crear',
	'Create playlist'=>'Crear lista de reproducción',
	'Crossfade length'=>'Longitud de frecuencia',
	'Current listeners'=>'Oyentes actuales',
	'Current song'=>'Canción actual',
	'Current song not available'=>'Canción actual no disponible',
	'Currently'=>'Actualmente',
	'Daily'=>'Diariamente',
	'Dashboard'=>'Panel',
	'Data Transfer (MB)'=>'Transferencia de datos (MB)',
	'Data Transfer for %s'=>'Transferencia de datos para %s',
	'Data Xfer'=>'Datos Transf',
	'Data transfer'=>'Transferencia',
	'Data transfer limit'=>'Límite de transferencia',
	'Day'=>'Día',
	'Deactivate Source'=>'Desactivar fuente',
	'December'=>'Diciembre',
	'Default IP address for new servers'=>'IP por defecto para servidores nuevos',
	'Defaults'=>'Predeterminados',
	'Delete Account'=>'Borrar Cuenta',
	'Delete account'=>'Borrar cuenta',
	'Delete playlist'=>'Borrar lista de reproducción',
	'Delete remote server'=>'Borrar servidor remoto',
	'Delete server account'=>'Borrar cuenta de servidor',
	'Destination path %s does not exist'=>'La ruta %s no existe',
	'Details'=>'Detalles',
	'Disabled'=>'Desactivado',
	'Discard'=>'Descartar',
	'Disk Quota'=>'Cuota de Disco',
	'Disk Space'=>'Espacio disco',
	'Disk quota'=>'Cuota de disco',
	'Display calendar'=>'Mostrar calendario',
	'Displays an overview of your stream.'=>'Mostrar un resumen de su señal',
	'Displays statistics for this server account.'=>'Mostrar las estadísticas para esta cuenta de servidor',
	'Displays statistics for your stream.'=>'Mostrar las estadísticas para su señal',
	'Displays the logs for this server account.'=>'Mostrar el registro para esta cuenta de servidor',
	'Displays the overall statistics for your server.'=>'Mostrar las estadísticas globales para su servidor',
	'Displays your server logs.'=>'Mostrar el registro de su servidor',
	'Drag tracks from your media library and drop them into your playlist.'=>'Arrastre canciones desde su librería de medios a su lista de reproducción',
	'E-mail Settings'=>'Configuraciones de Email',
	'E-mail address'=>'Dirección de email',
	'Edit Messages'=>'Editar mensajes',
	'Edit message'=>'Editar mensaje',
	'Edit playlist'=>'Editar lista de reproducción',
	'Edit remote server'=>'Editar servidor remoto',
	'Edit server account'=>'Editar cuenta de servidor',
	'Enabled'=>'Activado',
	'Enter a new password below.'=>'Ingrese la nueva clave debajo',
	'Enter password for %s'=>'Ingrese la clave para %s',
	'Enter password for admin'=>'Ingrese la clave para el admin',
	'Enter your E-mail address below continue.'=>'Ingrese su dirección de email debajo',
	'Error Log'=>'Registro de errores',
	'Error copying %s to %s'=>'Error al copiar %s a %s',
	'Error creating directory %s'=>'Error al crear el directorio %s',
	'Error deleting %s'=>'Error al borrar %s',
	'Error importing track'=>'Error al importar el elemento',
	'Error loading %s module.'=>'Error al cargar el módulo %s',
	'Error saving streaming server settings'=>'Error al grabar la configuración del servidor de streaming',
	'Error saving streaming source settings'=>'Error al grabar la configuración de la fuente de streaming',
	'Error updating streaming server settings'=>'Error al actualizar la configuración del servidor de streaming',
	'Failed...'=>'Falló ...',
	'Fallback file'=>'Archivo alternativo',
	'February'=>'Febrero',
	'File copied successfully'=>'Los archivos han sido copiados',
	'First day of month'=>'Primer día del mes',
	'Folder'=>'Carpeta',
	'For support and updates, please visit %s'=>'Para soporte y actualizaciones, por favor visite %s',
	'Forgot password?'=>'Olvidó su clave ?',
	'Fri'=>'Viernes',
	'Full Mode'=>'Modo Completo',
	'General'=>'General',
	'General Rotation'=>'Rotación General',
	'General rotation'=>'Rotación general',
	'General rotation playlist details'=>'Detalles de la lista de reproducción de rotación general',
	'General rotation playlists are used to play media from your library when no scheduled or interval playlists are due to be played.  Most stations spend the majority of their air time playing tracks from general rotation playlists.'=>'Las listas de reproducción de rotación general, se utilizan para reproducir canciones desde su librería cuando no hay listas de intervalo o programadas que estén pendientes de reproducción. La generalidad de las radios emplean la mayor parte de su tiempo de aire en la reproducción de canciones desde listas de rotación generales',
	'General rotation playlists can be \'weighted\' to ensure that tracks from one general rotation playlist are played more or less frequently than tracks from other general rotation playlists.  This can be used to ensure that new releases are played more frequently than older tracks, for example.'=>'Las listas de reproducción de rotación general pueden ser medidas para verificar cuán habitualmente se reproducen sus canciones. Esto se puede aprovechar por ejemplo para asegurar que los lanzamientos nuevos se reproduzcan más veces que los viejos',
	'Go'=>'Ir',
	'Hold Ctrl to%sselect multiple.'=>'Pressione Ctrl para %s seleccionar de forma múltiple',
	'Home'=>'Inicio',
	'Host directory already exists; aborting'=>'El directorio de equipos ya existe; anulando',
	'Host directory does not exist; aborting'=>'El directorio de equipos no existe; abortando',
	'Host directory for server %s not found on disk!'=>'El directorio de equipos para el servidor %s no se pudo encontrar en este disco !',
	'Hostname'=>'Nombre del equipo',
	'Hour'=>'Hora',
	'Hz'=>'Hz',
	'IP address'=>'Dirección IP',
	'If enabled, the stream cannot be started until at least one MP3 is uploaded into the following folder'=>'Si se activa, la señal no se puede iniciar hasta que se haya subido al menos 1 MP3 a la siguiente carpeta',
	'If you have uploaded new media since then, please be sure to update your media library to bring the new media into Centova Cast.'=>'Si ha cargado nuevas canciones, asegúrese de actualizar su librería de medios para que se encuentre disponible en Centova Cast',
	'If you wish to apply any configuration changes to your ShoutCast server itself, you will need to use the Restart Server option instead.'=>'Si desea aplicar cambios de configuración a su servidor Shoutcast, deberá utilizar en su lugar la opción Reiniciar Servidor',
	'Indexing files...'=>'Indexando archivos ...',
	'Individual commands may also accept other options; refer to the manual for details.'=>'Los comandos individuales pueden aceptar alternativamente otras opciones; refiérase al manual para mayores detalles',
	'Installation root'=>'Directorio raíz de instalación',
	'Instructions for resetting your password%shave been sent via E-mail to'=>'Se han enviado instrucciones para resetear su clave %s a',
	'Interval'=>'Intervalo',
	'Interval playlist details'=>'Detalles del intervalo de la lista de reproducción',
	'Interval playlists allow you to play tracks at regular intervals of several minutes or several songs.  These playlists are useful for playing recurring content, such as station identification or commercial advertisements.'=>'Los intervalos de lista de reproducción le permiten reproducir canciones a intervalos regulares de determinados minutos o canciones. Estas listas son de utilidad para reproducir contenido repetitivo, como una identificación de la emisora o avisos comerciales',
	'Introduction file'=>'Archivo de introducción',
	'Invalid E-mail address.'=>'La dirección de email no es válida',
	'Invalid destination path'=>'La ruta destino no es válida',
	'Invalid media path'=>'La ruta de medios no es válida',
	'Invalid password'=>'La clave no es válida',
	'Invalid password reset code.'=>'El código para reseteo de clave no es válido',
	'Invalid sign-on token.'=>'El token de suscripción no es válido',
	'Invalid state for source'=>'El estado de la fuente no es válido',
	'Invalid username'=>'El nombre de usuario no es válido',
	'Invalid username.'=>'El nombre de usuario no es válido.',
	'January'=>'Enero',
	'July'=>'Julio',
	'June'=>'Junio',
	'Last day of month'=>'Ultimo día del mes',
	'Leave it suspended until unsuspended by an administrator'=>'Dejarla suspendida hasta que sea reactivada por el administrador',
	'Length'=>'Longitud',
	'Less frequently'=>'Menos frecuentemente',
	'Listener Minutes'=>'Minutos de escucha',
	'Listeners'=>'Oyentes',
	'Load average'=>'Promedio de carga',
	'Loading, please wait'=>'Cargando, por favor aguarde',
	'Loading, please wait...'=>'Cargando, por favor aguarde ...',
	'Loading...'=>'Cargando ...',
	'Lock already acquired'=>'El bloqueo ya fue adquirido',
	'Lock denied'=>'Bloqueo negado',
	'Lock failed'=>'Falló el bloqueo',
	'Lock has been reacquired by another process'=>'El bloqueo ha sido readquirido por otro proceso',
	'Log Out'=>'Salir',
	'Log processing complete'=>'Se ha completado el procesamiento del registro',
	'Login'=>'Ingresar',
	'Login to Account'=>'Ingresar a la cuenta',
	'Logs in to this account as if you had entered this user\'s username and password.'=>'Ingrese a esta cuenta como si lo hubiese hecho con el nombre y la clave de este usuario',
	'MB (soft quota)'=>'MB (Cuota)',
	'MB/month'=>'MB/mes',
	'Manage Accounts'=>'Administrar cuentas',
	'Manage tracks'=>'Administrar canciones',
	'Manage your playlists.'=>'Administrar sus listas de reproducción',
	'Manage your song playlist.'=>'Administrar su lista de canciones',
	'Management'=>'Administración',
	'Manages remote servers for single-signon.'=>'Administrar servidores remotos para ingreso único',
	'Manages your streaming server accounts.'=>'Administrar sus cuentas de servidores de streaming',
	'March'=>'Marzo',
	'Maximum bit rate'=>'Tasa máxima de bits',
	'Maximum listeners'=>'Oyentes simultáneos',
	'May'=>'Mayo',
	'Media Library'=>'Biblioteca de Medios',
	'Media must be added to playlist before starting stream.'=>'Se deben agregar las canciones a la lista de reproducción antes de arrancar la señal',
	'Message'=>'Mensaje',
	'Message HTML (optional)'=>'Mensaje HTML (opcional)',
	'Message text'=>'Texto del mensaje',
	'Messages'=>'Mensajes',
	'Minutes'=>'Minutos',
	'Minutes for %s'=>'Minutos para %s',
	'Missing argument %d for %s()'=>'Falta el argumento %d para %s()',
	'Mon'=>'Lunes',
	'Month'=>'Mes',
	'Monthly'=>'Mensual',
	'More frequently'=>'Más frecuentemente',
	'Move track down'=>'Mover la canción hacia abajo',
	'Move track to bottom'=>'Mover la canción al final',
	'Move track to top'=>'Mover la canción al principio',
	'Move track up'=>'Mover la canción hacia arriba',
	'Must specify a valid action'=>'Se debe especificar una acción válida',
	'Must specify source file'=>'Se debe especificar el archivo fuente',
	'Must use --%s parameter'=>'Se debe utilizar el parámetro --%s',
	'Name'=>'Nombre',
	'Never (one time only)'=>'Nunca (solo una vez)',
	'New account'=>'Nueva cuenta',
	'No'=>'No',
	'No accounts have been created'=>'No se han creado cuentas',
	'No playlists have been created.'=>'No se han creado listas de reproducción.',
	'No remote servers have been configured.'=>'No se han configurado servidores remotos.',
	'No response; possible configuration problem'=>'No hay respuesta; posiblemente exista un problema de configuraciÃ³n',
	'No streaming source configured'=>'No se ha configurado ninguna fuente de streaming',
	'No such lock'=>'No existe tal bloqueo',
	'No such lock acquired'=>'No se ha adquirido tal bloqueo',
	'None'=>'Ninguno',
	'Note that ShoutCast DNAS does not support reloading its configuration without interrupting your stream.  This reload operation has only flushed your server logs and reloaded your source configuration (if any).'=>'Shoutchas DNAS no soporta la recarga de su configuración sin interrumpir la señal. Esta recarga solo ha actualizado el registro de su servidor y recargado su configuración de fuente (si existe)',
	'Note: Not updated in realtime.  Figures for'=>'Nota: no se actualiza en tiempo real.',
	'Note: altering the channels, sample rate, or crossfade settings may significantly increase CPU usage.'=>'Nota: modificar las configuraciones de canales, muestreo o crossfade, puede aumentar de manera significativa el uso de CPU.',
	'Notification E-mail address'=>'Dirección de email para notificaciones',
	'Notify clients via E-mail when'=>'Notificar a los clientes vía email cuando',
	'November'=>'Noviembre',
	'Now Playing'=>'Reproduciendo en este momento',
	'OK'=>'OK',
	'October'=>'Octubre',
	'Offline'=>'Inactivo',
	'One or more accounts already exist with the specified %s'=>'Ya existen una o más cuentas con el %s especificado',
	'One or more errors were found in your form submission.  Please correct the fields marked with asterisks (*) below.'=>'Se han encontrado uno o más errores en su solicitud. Por favor corrija los campos que se marcan debajo con un asterisco (*)',
	'One or more issues were found with your submission.  Please correct the fields marked with asterisks'=>'Se han detectado una o más situaciones en su solicitud. Por favor corrija los campos que se marcan debajo con un asterisco (*)',
	'Online'=>'Activo',
	'Operating system'=>'Sistema operativo',
	'Optimizing tables...'=>'Optimizando tablas ...',
	'Overview'=>'Resumen',
	'Package Limits'=>'Límites del paquete',
	'Page'=>'Página',
	'Password'=>'Clave',
	'Password do not match.'=>'La clave no coincide.',
	'Password must be at least 4 characters long.'=>'La clave debe tener como mínimo 4 caracteres',
	'Permitted and enabled'=>'Permitido y activado',
	'Permitted, but disabled'=>'Permitido pero desactivado',
	'Place the following code (or any combination of the following <span> elements) on your web page wherever you would like the corresponding information to appear:'=>'Coloque este código (o cualquier combinación de los siguientes elementos <span>) en el lugar de su página web donde desee que aparezca la información correspondiente:',
	'Place the following code at the bottom of the web page, just before your </body> tag:'=>'Coloque este código al pie de su página web, justo antes de la etiqueta </body>:',
	'Place the following code on your web page wherever you would like the summary to appear:'=>'Coloque este código en el lugar de su página web donde deseee que se muestre el resumen:',
	'Play all tracks from this playlist in order'=>'Reproducir todas las canciones de esta lista en orden',
	'Play only one randomly selected track from this playlist'=>'Reproducir solo una canción al azar de esta lista',
	'Playback order'=>'Orden de reproducción',
	'Playback style'=>'Estilo de reproducción',
	'Playback weight'=>'Peso de reproducción',
	'Playlist'=>'Lista de reproducción',
	'Playlist Manager'=>'Administrador de la lista de reproducción',
	'Playlist does not contain any tracks.'=>'La lista de reproducción no contiene canciones',
	'Playlist does not exist.'=>'La lista de reproducción no existe',
	'Playlist file is not readable.'=>'El archivo de la lista de reproducción no puede ser leído',
	'Playlist must be created before starting stream.'=>'Se debe crear la lista de reproducción antes de arrancar la señal.',
	'Playlist permissions must be corrected before starting stream.'=>'Se deben corregir los permisos de la lista de reproducción antes de arrancar la señal.',
	'Playlist rebuilt'=>'Reconstruir la lista de reproducción',
	'Playlist saved successfully.'=>'Se ha guardado la lista de reproducción',
	'Playlist settings'=>'Configuración de la lista de reproducción',
	'Playlist sort details'=>'Detalles del orden de la lista de reproducción',
	'Playlists'=>'Listas de reproducción',
	'Please check your E-mail.'=>'Por favor chequee su email.',
	'Polling %s'=>'Votación %s',
	'Port'=>'Puerto',
	'Port range for new servers'=>'Rango de puertos para servidores nuevos',
	'Process check disabled, skipping...'=>'El chequeo de procesos está deshabilitado, omitiendo ...',
	'Processing and rotating logs...'=>'Procesando y rotando registros ...',
	'Processing logs for %s ...'=>'Procesando registros para %s ...',
	'Progress: %s%%; indexing %s'=>'Progreso: %s%%; indexando %s',
	'Prohibited (stream MUST use an offsite source)'=>'Prohibido (la señal DEBE USAR una fuente externa)',
	'Projected data transfer'=>'Transferencia de datos proyectada',
	'Provides integration code for you to use on your web site.'=>'Provee integración de código para que utilice en su propio sitio web.',
	'Random (shuffled)'=>'Aleatorio (revuelto)',
	'Randomize playlist'=>'Pasar lista de reproducción a aleatoria',
	'Realtime Stats'=>'Estadísticas en tiempo real',
	'Rebuild playlist on startup'=>'Reconstruir la lista de reproducción al iniciar',
	'Recent tracks'=>'Canciones recientes',
	'Reference to unknown class: %s'=>'Referencia a clase desconocida: %s',
	'Reload Server'=>'Recargar servidor',
	'Remember me'=>'Recordarme',
	'Remote'=>'Remoto',
	'Remote Servers'=>'Servidores Remotos',
	'Remote server details'=>'Detalles del servidor remoto',
	'Remote servers'=>'Servidores remotos',
	'Remove fallback file'=>'Quitar archivo alternativo',
	'Remove introduction file'=>'Quitar archivo de introducción',
	'Remove track from playlist'=>'Quitar la canción de la lista de reproducción',
	'Repeat every'=>'Repetir siempre',
	'Repeat on'=>'Repetir en',
	'Repeat schedule'=>'Repetir programación',
	'Required only if you need to use an SMTP server.'=>'Se requiere solo si necesita utilizar un servidor SMTP',
	'Reset password'=>'Resetear clave',
	'Restart Server'=>'Reiniciar Servidor',
	'Retrieving current song...'=>'Recuperando canción actual ...',
	'Return'=>'Retornar',
	'Return to control server'=>'Retornar para controlar el servidor',
	'Return to the control server.'=>'Retornar al servidor de control',
	'SMTP password'=>'Clave SMTP',
	'SMTP port'=>'Puerto SMTP',
	'SMTP server'=>'Servidor SMTP',
	'SMTP username'=>'Usuario SMTP',
	'SQL insert failed: %s'=>'Falló la ejecución SQL: %s',
	'Sample rate'=>'Muestreo',
	'Sat'=>'Sábado',
	'Save'=>'Guardar',
	'Scheduled'=>'Agendado',
	'Scheduled date'=>'Fecha preprogramada',
	'Scheduled playlist details'=>'Detalles de la lista de reproducción preprogramada',
	'Scheduled playlists allow you to schedule a list of tracks to be played at a specific date and time.  These playlists can also be setup to repeat at given intervals, making them ideal for daily/weekly countdowns or pre-recorded shows.'=>'Las listas de reproducción preprogramadas le permiten programar una lista de canciones que se reproduzcan en una fecha y hora determinados. Estas listas se pueden ajustar también para repetir el proceso a intervalos dados, siendo ideales para shows pregrabados y situaciones similares.',
	'Scheduled time'=>'Hora preprogramada',
	'Select a message'=>'Seleccione un mensaje',
	'Select a weight for this playlist below.  Songs in playlists with higher weights play more frequently than songs in playlists with lower weights.'=>'Seleccione un peso para esta lista de reproducción. Las canciones de listas de mayor peso se reproducen de forma más frecuente que las de otras de menor peso.',
	'Sender E-mail address'=>'Dirección de email del remitente',
	'September'=>'Septiembre',
	'Sequential (in order)'=>'Secuencial (en orden)',
	'Server %s is broadcasting at %skbps, exceeding limit of %skbps; stopping'=>'El servidor %s está transmitiendo a %skbps, excediendo el límite de %skbps configurado; bajándolo',
	'Server %s is down and should be up; restarting'=>'El servidor %s está inactivo momentáneamente, pero deberá estar nuevamente activo a la brevedad; reiniciando',
	'Server Access Log'=>'Registro de accesos',
	'Server Account Logs'=>'Registros del servidor',
	'Server Account Statistics'=>'Estadísticas del servidor',
	'Server Administration'=>'Administración del Servidor',
	'Server Control'=>'Control del Servidor',
	'Server Error Log'=>'Registro de errores del Servidor',
	'Server Logs'=>'Registros del servidor',
	'Server Status'=>'Estado del Servidor',
	'Server exited immediately after startup'=>'El servidor se detuvo inmediatamente después de arrancar',
	'Server is not running'=>'El servidor no está funcionando',
	'Server restarted gracefully.'=>'El servidor ha sido reiniciado normalmente.',
	'Server started successfully'=>'El servidor ha sido iniciado normalmente',
	'Server status'=>'Estado del servidor',
	'Server stopped'=>'Servidor detenido',
	'Server title'=>'Título del Servidor',
	'Server type'=>'Tipo de Servidor',
	'Session timed out.  Please login again to proceed.'=>'Tiempo de sesión excedido. Por favor ingrese nuevamente su usuario y clave para continuar.',
	'SetUID binary'=>'SetUID binario',
	'Settings'=>'Configuraciones',
	'Settings updated successfully.'=>'Las configuraciones han sido actualizadas.',
	'Show this help summary'=>'Mostrar este resumen de ayuda',
	'Shutdown streaming server and suspend account'=>'Bajar servidor de streaming y suspender cuenta',
	'Single Sign-on'=>'Asignación única',
	'Single sign-on has not been enabled for this server.'=>'La asignación única no ha sido habilitada para este servidor',
	'Single sign-on login active'=>'Asignatura única del login activo',
	'Site name'=>'Nombre del sitio',
	'Skip Song'=>'Omitir canción',
	'Song skipped'=>'Canción omitida',
	'Songs'=>'Canciones',
	'Sorry, a database connection could not be established.  Please double-check your configuration and try again.%sDetails: %s'=>'No se puede establecer una conexión de base de datos. Por favor repase su configuración e intente nuevamente.%sDetalles: %s',
	'Sorry, an error occurred while attempting to update your playlist'=>'Ocurrió un error al intentar actualizar su lista de reproducción',
	'Sorry, this server is currently experiencing heavy load and cannot process your request at this time.  Please try again later.'=>'Este servidor está experimentando una alta carga, por lo cual no puede procesar su solicitud en este momento. Por favor intente nuevamente más tarde.',
	'Source Connected'=>'Fuente Conectada',
	'Source Log'=>'Registro de la fuente',
	'Source Status'=>'Estado de la fuente',
	'Source does not support current song retrieval or no current song info available.'=>'Esta fuente no soporta la recuperación de la canción actualmente en reproducción, o no hay disponible información al respecto.',
	'Source exited immediately after startup'=>'La fuente se detuvo inmediatamente después de arrancar',
	'Source file does not exist or is not readable'=>'El archivo fuente no existe o no puede ser leído',
	'Source is not running'=>'La fuente no está funcionando',
	'Source password'=>'Clave de la fuente',
	'Source path %s does not exist'=>'No existe la ruta de fuente %s',
	'Source state changed'=>'El estado de la fuente ha sido cambiado',
	'Source status'=>'Estado de la Fuente',
	'Source support is not enabled for this host'=>'El soporte para fuentes no está habilitado para este servidor',
	'Source type'=>'Tipo de fuente',
	'Start Server'=>'Iniciar Servidor',
	'Statistics'=>'Estadísticas',
	'Statistics for'=>'Estadísticas para',
	'Status'=>'Estado',
	'Status could not be updated'=>'No se puede actualizar el estado',
	'Status updated successfully'=>'El estado ha sido actualizado',
	'Stop Server'=>'Detener Servidor',
	'Stream %s successfully.'=>'Stream %s.',
	'Stream Details'=>'Detalles de la señal',
	'Stream Status Summary'=>'Resumen de estado de la señal',
	'Stream Title'=>'Título de la Señal',
	'Stream could not be %s'=>'La señal no puede ser %s',
	'Stream title'=>'Título de la señal',
	'Streaming Server Control Panel'=>'Panel de control del servidor de streaming',
	'Streaming server accounts'=>'Cuentas del servidor de streaming',
	'Streaming source'=>'Fuente de streaming',
	'Streaming source %s is down and should be up; restarting'=>'La fuente de streaming %s está inactiva temporalmente, pero debe reactivarse a la brevedad; reiniciando',
	'Streaming source is not running'=>'La fuente de streaming no está funcionando',
	'Streaming source started successfully'=>'La fuente de streaming ha sido iniciada',
	'Subject'=>'Asunto',
	'Sun'=>'Domingo',
	'Support'=>'Soporte',
	'Suspended'=>'Suspendida',
	'System Information'=>'Información del sistema',
	'Take no action'=>'Omitir cualquier acción',
	'Terminates this administration session.'=>'Finaliza esta sesión de administración.',
	'The fallback file is an MP3 file that is played in a loop if the source stream disconnects.'=>'El archivo alternativo es un MP3 que se ejecuta recursivamente si la fuente de streaming se desconecta.',
	'The introduction file is an MP3 file that is played immediately after each listener connects, before tuning in to the live stream.'=>'El archivo de introducción es un MP3 que se reproduce ni bien se conecta cada oyente, antes de pasar a la señal en vivo.',
	'The server is not currently running.  Please start the server, then try again.'=>'El servidor no está funcionando en estos momentos. Por favor arránquelo e intente nuevamente.',
	'This server is already running.'=>'Este servidor ya se encuentra funcionando.',
	'This server is not running.'=>'Este servidor no está funcionando.',
	'This snippet is similar to the above, but it allows you to control the exact placement of various information about your stream through the use of individual <span> tags.'=>'Este componente es similar al de arriba, pero le permite controlar la ubicación exacta de varios datos informativos de su señal, empleando marcadores <span> individuales',
	'This snippet will display the current song title and artist on your web page, refreshing once every minute.'=>'El componente mostrará el título de la canción actual y el intérprete en su sitio web, refrescando los datos cada 1 minuto.',
	'This will deactivate your server-side streaming source.  Note that any listeners will hear only silence after you perform this action, so you should be ready to activate your offsite source (a live broadcast, for example) immediately.  Are you sure you want to proceed?'=>'Esto desactivará su fuente de streaming del lado del servidor. Tenga en cuenta que los oyentes solo escucharán silencio luego de que realice esta acción, por lo tanto debe estar listo para activar una fuente externa de forma inmediata (una señal en vivo por ejemplo). Está seguro que desea proceder ?',
	'This will reactivate your server-side streaming source.  You should make sure you have disconnected your off-site streaming source (if any) before you continue.  Are you sure you want to proceed?'=>'Esto reactivará su fuente de streaming del lado del servidor. Debe asegurarse de haber desconectado su fuente externa antes de continuar. Está seguro que desea proceder ?',
	'This will reload your server configuration without interrupting the stream.'=>'Esto recargará la configuración de su servidor sin interrumpir la señal.',
	'This will shut down your server and disconnect all listeners.'=>'Esto apagará su servidor y desconectará a todos los oyentes !.',
	'This will shut down your server and disconnect any listeners.  Are you sure you want to proceed?'=>'Esto apagará su servidor y desconectará a todos los oyentes !. Está seguro que desea proceder ?',
	'This will skip to the next song in the playlist.'=>'Esto saltará a la próxima canción en la lista de reproducción.',
	'This will start your server.'=>'Esto arrancará su servidor.',
	'This will stop your server, then start it again.  All listeners will be disconnected.'=>'Esto parará su servidor y lo arrancará nuevamente. Se desconectará a todos los oyentes.',
	'This will switch to the basic (non-drag-and-drop) playlist editor.  Any unsaved changes you have made to this playlist will be lost.  Click OK to proceed to the basic editor, or Cancel to return.'=>'Esto cambiará al editor básico de listas de reproducción (sin capacidad de arrastrar y soltar). Los cambios sin guardar que haya realizado a la lista se perderán. Pulse OK para proceder o Cancelar para retornar.',
	'This will switch to the full (drag-and-drop) playlist editor.  Any unsaved changes you have made to this playlist will be lost.  Click OK to proceed to the full editor, or Cancel to return.'=>'Esto cambiará al editor completo de listas de reproducción (con capacidad de arrastrar y soltar). Los cambios sin guardar que haya realizado a la lista se perderán. Pulse OK para proceder o Cancelar para retornar.',
	'This will temporarily interrupt your stream and disconnect any listeners.  Are you sure you want to proceed?'=>'Esto interrumpirá temporalmente su señal y desconectará a los oyentes. Está seguro que desea continuar ?',
	'Thu'=>'Jueves',
	'Title'=>'Título',
	'Toggles your streaming source on or off, which may be useful during live streaming.'=>'Activa / desactiva su fuente de streaming, lo cual puede ser útil para emisiones en vivo.',
	'Total'=>'Total',
	'Total accounts'=>'Cuentas totales',
	'Track #%s from playlist #%s'=>'Canción #%s de la lista de reproducción #%s',
	'Track %s is missing; removing'=>'No se encuentra la canción %s: quitándola',
	'Track list not available.'=>'La lista de canciones no está disponible',
	'Tracks'=>'Canciones',
	'Tracks reindexed'=>'Canciones reindexadas',
	'Transfer'=>'Transferencia',
	'Transfer Limits'=>'Límite de transferencia',
	'Tue'=>'Martes',
	'Tune In'=>'Sintonizar',
	'Type'=>'Tipo',
	'URL'=>'Dirección (URL)',
	'Unable to access log file: %s'=>'No es posible acceder al archivo de registro: %s',
	'Unknown'=>'Desconocido',
	'Update'=>'Actualizar',
	'Update completed successfully: %s'=>'Se ha completado la actualización: %s',
	'Update media library'=>'Actualizar la librería de medios',
	'Update progress'=>'Progreso de la actualización',
	'Updated failed: %s'=>'Error en la actualización: %s',
	'Updating media library...'=>'Actualizando librería de medios ...',
	'Uptime'=>'Tiempo activo (uptime)',
	'Usage'=>'Uso',
	'Username'=>'Usuario',
	'Valid administrator commands include:'=>'Los comandos de administrador válidos incluyen:',
	'Valid options include:'=>'Las opciones válidas incluyen:',
	'Valid passwordless commands include:'=>'Los comandos sin clave válidos incluyen:',
	'Valid user commands include'=>'Los comandos de usuario válidos incluyen:',
	'View'=>'Ver',
	'View Logs'=>'Ver Registros',
	'View Statistics'=>'Ver Estadísticas',
	'Website URL'=>'Sitio web (URL)',
	'Wed'=>'Miércoles',
	'Weekly'=>'Semanalmente',
	'When an account has been suspended'=>'Cuando una cuenta ha sido suspendida',
	'When disk quota is exceeded'=>'Cuando se excede la cuota de disco',
	'When transfer limit is exceeded'=>'Cuando se excede el límite de tráfico',
	'Yearly'=>'Anualmente',
	'Yes'=>'Si',
	'You may now %slogin%s.'=>'Usted puede %singresar%s ahora.',
	'Your account has been suspended.'=>'Su cuenta ha sido suspendida.',
	'Your media library has never been updated.'=>'Su librería de medios nunca ha sido actualizada.',
	'Your media library was last updated on'=>'Su librería de medios ha sido actualizada por última vez el',
	'Your password has been reset successfully.'=>'Su clave ha sido reseteada.',
	'am'=>'am',
	'at'=>'a',
	'at %skbps'=>'a %skbps',
	'cannot be modified while stream is online'=>'no se puede modificar mientras la señal está activa',
	'checks/restarts crashed servers (included in "cronjob")'=>'chequea/reinicia los servidores caídos incluídos en las tareas programadas (cronjobs)',
	'command'=>'comando',
	'displays the Centova Cast version'=>'muestra la versión de Centova Cast',
	'execute the system cronjob'=>'ejecutar las tareas programadas del sistema (cronjobs)',
	'forwarded to an administrator for review'=>'reenviado a un administrador para revisión',
	'kbps'=>'kbps',
	'of data transfer limit is reached'=>'del límite de transferencia esté cubierto',
	'of disk quota is used'=>'de la cuota de disco se haya utilizado',
	'on %s'=>'en %s',
	'options'=>'opciones',
	'pm'=>'pm',
	'processes all server logs (included in "cronjob")'=>'procesa todos los registros del servidor (incluídos en las tareas del sistema (cronjobs))',
	'provisions a new server'=>'dispone un nuevo servidor',
	'reconfigure a server'=>'reconfigura un servidor',
	'reload a server'=>'recarga un servidor',
	'restart a server'=>'reinicia un servidor',
	'retrieve information about a server'=>'recupera información acerca de un servidor',
	'retrieve song/listener information for a server'=>'recuperar información de canciones/oyentes para un servidor',
	'returns a list of all accounts and limited details for each'=>'retorna una lista de todas las cuentas y los detalles de límites de cada una',
	'returns expected and actual server states'=>'retorna el estado esperado y actual del servidor',
	'second(s)'=>'segundo(s)',
	'sets the status of a server (enabled/disabled)'=>'ajusta el estado del servidor (habilitado/deshabilitado)',
	'source deactivated'=>'fuente desactivada',
	'source reactivated'=>'fuente reactivada',
	'start a server'=>'iniciar un servidor',
	'stop a server'=>'parar un servidor',
	'suspended until further notice'=>'suspendido hasta tener novedades',
	'terminates (deletes) an existing server'=>'termina (borra) un servidor existente',
	'username'=>'nombre de usuario',
	'will always be rebuilt if it does not exist'=>'será siempre reconstruída si no existe',
	'will not be accurate for at least %s hour(s).'=>'no será necesario al menos por %s hora(s)',
	'%skbps stream'=>'señal de %skbps',
	'(optional; required for album covers and buy-now links in recent tracks list)'=>'(opcional; requerido para tapas de album y enlaces compre-ahora en listas de canciones recientes)',
	'Activate start page'=>'Activar página de inicio',
	'Album'=>'Album',
	'Albums'=>'Albumes',
	'All'=>'Todos',
	'All genres'=>'Todos los géneros',
	'Allows retrieval of album covers and affiliate sales.'=>'Permite recuperar las tapas de album y las ventas afiliadas',
	'Amazon access key ID'=>'Llave ID de acceso Amazon',
	'An error occurred while attempting to update this password.  Please correct the fields marked below.'=>'Ocurrió un error al intentar actualizar esta clave. Por favor corrija los campos marcados debajo.',
	'Are you sure you want to revert this playlist?  Click OK to discard your changes and revert to the original, or Cancel to resume editing this playlist.'=>'Está seguro que desea invertir esta lista de reproducción ?. Pulse OK para descartar los cambios y volver a la original, o Cancelar para resumir la edición.',
	'Bottom'=>'Parte inferior',
	'Change administrator password'=>'Cambiar clave de administrador',
	'Confirm new administrator password'=>'Confirmar nueva clave de administrador',
	'Create and manage your playlists.'=>'Crear y administrar sus listas de reproducción',
	'Create new playlist'=>'Crear nueva lista de reproducción',
	'Current administrator password'=>'Clave actual de administrador',
	'Dedicated to'=>'Dedicado para',
	'Down'=>'Abajo',
	'Enable Amazon integration'=>'Activar integración con Amazon',
	'Enable on-demand content widget'=>'Activar componente (widget) de contenido bajo demanda',
	'Enable recent tracks widget'=>'Activar componente (widget) de canciones recientes',
	'Enable song request widget'=>'Activar componente (widget) de solicitud de canciones',
	'Features'=>'Características',
	'Hosted by %s'=>'Hospedado por %s',
	'Immediate'=>'Inmediato',
	'Immediate playlists allow you to queue tracks to be played immediately after the end of the current track.  These playlists are useful for playing tracks on demand, such as song requests.'=>'Las listas de reproducción inmediatas le permiten colocar en cola de reproducción algunas canciones, para ser reproducidos ni bien termine la canción actual. Estas listas son útiles para ejecutar canciones bajo demanda, como solicitudes de canciones.',
	'Invalid account'=>'Cuenta no válida',
	'Invalid track addition request.'=>'Solicitud de agregado de canción no válida',
	'Keyword'=>'Palabra clave',
	'Launch media library'=>'Lanzar librería de medios',
	'License details'=>'Detalles de la licencia',
	'Loading ...'=>'Cargando ...',
	'Manage Playlists'=>'Administrar Listas de reproducción',
	'Manage playlists'=>'Administrar listas de reproducción',
	'Manage your media library and add tracks to playlists.'=>'Administrar su librería de medios y agregar canciones a listas de reproducción.',
	'Media'=>'Medios',
	'Media library was last updated'=>'La librería de medios ha sido actualizada',
	'New administrator password'=>'Nueva clave de administrador',
	'No on-demand content is available at this time.'=>'En este momento no hay contenido bajo-demanda disponible.',
	'No playlists are active for this account'=>'Esta cuenta no tiene listas de reproducción activas',
	'Not authorized to access playlist.'=>'No tiene autorización para acceder a la lista de reproducción.',
	'Not found'=>'No encontrado',
	'Note: An Amazon access key ID has been configured for this account.  This may cause the import to take an unusally long time as album covers and affiliate information are retrieved from Amazon.com.'=>'Nota: se ha configurado una llave ID de acceso a Amazon para esta cuenta. Esto puede causar que la importación tome un tiempo muy prolongado, mientras se recuperan desde Amazon.com las tapas de album y la información afiliada.',
	'Note: scheduling is unavailable because the %s streaming source is in use, which does not support scheduling.'=>'Nota: la preprogramación de tareas no se encuentra disponible porque la fuente de señal %s que está en uso, no lo soporta.',
	'Now playing:'=>'Reproduciendo en este momento:',
	'On-demand Content'=>'Contenido bajo-demanda',
	'On-demand content'=>'contenido bajo-demanda',
	'On-demand content has been disabled for this stream.'=>'El contenido bajo-demanda ha sido deshabilitado para esta señal.',
	'Parent folder'=>'Carpeta superior',
	'Password Change'=>'Cambiar clave',
	'Password updated successfully.'=>'La clave ha sido actualizada existosamente.',
	'Place the following code on your web page wherever you would like the on-demand content browser to appear:'=>'Coloque el siguiente código en el lugar de su sitio web donde desee que se muestre la lista de contenido bajo-demanda:',
	'Place the following code on your web page wherever you would like the recent tracks list to appear:'=>'Coloque el siguiente código en el lugar de su sitio web donde desee que aparezca la lista de canciones recientes:',
	'Place the following code on your web page wherever you would like the request form to appear:'=>'Coloque el siguiente código en el lugar de su sitio web donde desee que aparezca el formulario de solicitud:',
	'Play selected files.'=>'Reproducir los archivos seleccionados.',
	'Please enter a valid E-mail address.'=>'Por favor ingrese una dirección de email válida.',
	'Please provide a valid song request.'=>'Por favor provea una solicitud de canción válida',
	'Please wait'=>'Aguarde por favor',
	'Please wait...'=>'Aguarde por favor ...',
	'Powered by '=>'Asistido por ',
	'Recent Tracks'=>'Canciones recientes',
	'Recent tracks list has been disabled for this stream.'=>'La lista de canciones recientes ha sido deshabilitada para esta señal.',
	'Remove'=>'Quitar',
	'Request a song'=>'Pedir una canción',
	'Return to control panel'=>'Retornar al panel de control',
	'Revert'=>'Deshacer',
	'Revert playlist changes'=>'Deshacer los cambios en la lista de reproducción',
	'Save playlist changes'=>'Guardar los cambios en la lista de reproducción',
	'Saving, please wait...'=>'Guardando, aguarde por favor ...',
	'Scheduled playlists allow you to schedule a list of tracks to be played at a specific date and time.  These playlists can also be setup to repeat on a schedule, making them ideal for daily/weekly countdowns or pre-recorded shows.'=>'Las listas de reproducción preprogramadas le permiten definir un paquete de canciones para ser reproducidos en una fecha y hora determinadas. Estas listas se pueden configurar también para repetir una programación, siendo ideales para shows grabados diarios o semanales por ejemplo.',
	'Search'=>'Buscar',
	'Song (artist/title)'=>'Canción (artista/título)',
	'Song Requests'=>'Pedidos de canciones',
	'Sorry, song requests have been disabled for this stream.'=>'Lo sentimos, las solicitudes de canciones han sido deshabilitadas para esta señal.',
	'Sorry, your song request could not be submitted at this time.'=>'Lo sentimos, no es posible procesar su solicitud de canción en este momento.',
	'Sorry, your song request was not valid and could not be submitted.'=>'Lo sentimos, su solicitud de canción no es válida y por ende no puede ser procesada.',
	'Submit song request'=>'Enviar una solicitud de canción',
	'The requested page could not be found.'=>'No se puede encontrar la página solicitada.',
	'This snippet will display a browser for your on-demand content, and allow your visitors to listen to and create playlists for your content.'=>'Este componente mostrará una lista con su contenido bajo-demanda, permitiendo a sus visitantes escuchar y crear listas de reproducción para dicho contenido.',
	'This snippet will display a form with which users can submit song requests.  Note that requests are NOT handled by Centova Cast itself, they are simply sent via E-mail to the E-mail address configured for your stream.  Your E-mail address will not be disclosed to the public.'=>'Este componente mostrará un formulario a través del cual los usuarios podrán enviar solicitudes de canciones. Tenga en cuenta que las solicitudes NO SERAN procesadas por el panel Centova Cast, sino simplemente enviadas por mail a la casilla configurada para su señal. Su dirección de email no será expuesta al público.',
	'This snippet will display a list of recently played tracks (including Amazon affiliate links and album cover images if Amazon integration is enabled).'=>'Este componente mostrará una lista de las canciones reproducidas recientemente (incluyendo los enlaces afiliados de Amazon y las imagenes de tapas de albumes, si la integración con Amazon se encuentra habilitada).',
	'Top'=>'Arriba de todo',
	'Track cover'=>'Tapa de la canción',
	'Unknown stream'=>'Señal desconocida',
	'Up'=>'Arriba',
	'Update password'=>'Actualizar clave',
	'Update your Media Library'=>'Actualizar su librería de medios',
	'Updating media library, please wait...'=>'Actualizando librería de medios, aguarde por favor ...',
	'Web Audio Player'=>'Reproductor de audio para la web',
	'You have not saved your changes to this playlist.  Click OK to discard your changes, or Cancel to return to this playlist to save your changes.'=>'No ha guardado los cambios realizados en esta lista de reproducción. Pulse OK para descartarlos o Cancelar para retornar a la lista y guardar dichas modificaciones.',
	'You must select at least one item.'=>'Debe elegir al menos un item.',
	'Your E-mail'=>'Su email',
	'Your media library is currently empty.  After you have uploaded your media, click the %sUpdate media library%s button at the bottom-right corner of the screen to allow Centova Cast to import your media.%sEach time you add more media to your library in future, you\'ll need to click %sUpdate media library%s again to add the new media to Centova Cast.'=>'Su librería de medios está vacía. Después de cargar contenidos en ella, pulse el botón %sActualizar librería de medios%s (ubicado en la esquina inferior derecha de la pantalla) para permitir que Centova Cast los importe. %sCada vez que agregue contenidos, deberá pulsar nuevamente este botón para que Centova Cast liste los cambios.',
	'Your selection returned more than %d results.  For performance reasons, only the first %d results have been displayed.'=>'Su selección retornó más de %d resultados. Por razones de rendimiento solo se muestran los primeros %d.',
	'Your song request has been submitted - thank you.'=>'Su solicitud de canción ha sido enviada. Muchas gracias.',
	'Archive'=>'Archivo',
	'Audio File'=>'Archivo de audio',
	'CSS File'=>'Archivo CSS',
	'Calendar File'=>'Archivo de calendario',
	'GZipped Archive'=>'Archivo compactado con GZip',
	'HTML File'=>'Archivo HTML',
	'Heavy Rotation'=>'Rotación brusca',
	'Image File'=>'Archivo de imagen',
	'Light Rotation'=>'Rotación leve',
	'Medium Rotation'=>'Rotación media',
	'Microsoft Excel File'=>'Archivo de Microsoft Excel',
	'Microsoft Powerpoint File'=>'Archivo de Microsoft Powerpoint',
	'Microsoft Word File'=>'Archivo de Microsoft Word',
	'Must specify %s value'=>'Debe especificar el valor %s',
	'PDF File'=>'Archivo PDF',
	'Prohibited'=>'Prohibido',
	'Station identification'=>'Identificación de la emisora',
	'Text File'=>'Archivo de texto',
	'Unknown/Binary File'=>'Archivo desconocido/binario',
	'Video File'=>'Archivo de video',
	'Weekly Top 10 Countdown'=>'Top 10 semanal',
	'Windows Binary File'=>'Archivo binario de Windows',
	'%s Hz'=>'%s Hz',
	'Added %s new tracks to playlist %d.'=>'Se han agregado %s canciones nuevas a la lista de reproducción %d.',
	'Checking for missing album covers...'=>'Verificando tapas de album faltantes ...',
	'Enable re-encoding on new servers'=>'Activar la recodificación en servidores nuevos',
	'Error'=>'Error',
	'Error adding new tracks to playlist'=>'Error al agregar nuevas canciones a la lista de reproducción',
	'Host: %s%s%s Port: %s%s%s'=>'Equipo: %s%s%s Puerto: %s%s%s',
	'If you do not plan to use start page support, %sclick here%s to permanently dismiss this error message.'=>'Si no tiene previsto usar el soporte de página de inicio, %spulse aquí%s para que no se muestre más este mensaje de error.',
	'Mono'=>'Mono',
	'No, disable re-encoding (if supported by source)'=>'No, deshabilitar la recodificación (si está soportado por la fuente)',
	'Preview'=>'Previsualizar',
	'Preview track(s)'=>'Previsualizar canción(es)',
	'Standard Rotation'=>'Rotación standard',
	'Stereo'=>'Stereo',
	'The specified playlist does not exist.'=>'La lista de reproducción especificada no existe.',
	'The start page for this stream (if enabled) is available at: '=>'La página de inicio para esta señal (si ha sido habilitada), se encuentra disponible en: ',
	'There is no playlist that matches the specified keyword.'=>'No se encuentra una lista de reproducción que coincida con la búsqueda especificada.',
	'Tip: Your client start pages are not working at this time.  Please ensure that the Apache mod_layout module is installed on your server and .htaccess file support is not disabled for this web site.  This message will disappear when your server configuration is corrected.'=>'Sugerencia: sus páginas de inicio de cliente no están funcionando en este momento. Asegúrese que el módulo mod_layouy de Apache se encuentra instalado en su servidor, y que el soporte .htaccess no ha sido deshabilitado para este sitio web. Este mensaje desaparecerá automáticamente cuando la configuración de su servidor haya sido corregida.',
	'Yes, re-encode media to stream bit rate'=>'Sí, recodificar el medio a la tasa de la señal',
	'Allows listeners to tune in even behind restrictive firewalls; %sread warning here%s before enabling.'=>'Permite a los oyentes sintonizar la señal, aún estando detrás de un firewall muy restrictivo. %sLea esto%s antes de habilitar la opción.',
	'At least one general rotation playlist must be enabled to start the stream.'=>'Se debe habilitar al menos una lista de reproducción de rotación general para poder iniciar la señal.',
	'At least one general rotation track must be available to start the stream.'=>'Se debe disponer de al menos una canción de rotación general para poder iniciar la señal.',
	'Default channels for re-encoding'=>'Canales por defecto para recodificación',
	'Default crossfade length for re-encoding'=>'Longitud de crossfade por defecto para recodificación',
	'Default sample rate for re-encoding'=>'Tasa de muestreo por defecto para recodificación',
	'Enable port 80 proxying'=>'Activar proxeado por puerto 80',
	'Error creating playlist: %s'=>'Error al crear la lista de reproducción: %s',
	'Interruptible'=>'Puede interrumpirse',
	'No active general rotation playlists exist for this stream.'=>'No existen listas de reproducción de rotación general para esta señal.',
	'No tracks exist in the active playlists for this account'=>'No hay canciones cargadas en las listas de reproducción activas para esta señal.',
	'No tracks have been added to the general rotation playlist(s) for this stream.'=>'No se han agregado canciones a la(s) lista(s) de reproducción general para esta señal.',
	'No, always play to completion'=>'No, reproducir siempre hasta terminar',
	'This snippet will display a form with which users can submit song requests.  Note that requests are NOT handled internally, they are simply sent via E-mail to the E-mail address configured for your stream.  Your E-mail address will not be disclosed to the public.'=>'Este componente mostrará un formulario a través del cual los usuarios podrán enviar solicitudes de canciones. Tenga en cuenta que las solicitudes NO SON procesadas internamente, simplemente son enviadas por email a la casilla configurada para su señal. Su email no será expuesto al público.',
	'Unable to identify account to check playlist state.'=>'No es posible identificar la cuenta para chequear el estado de la lista de reproducción.',
	'Yes, terminate if another scheduled playlist is due to begin'=>'Sí, finalizar si otra lista de reproducción preprogramada está lista para comenzar',
	'advanced to next song'=>'avanzar a la canción siguiente',
	'reloaded'=>'recargada/o',
	'restarted'=>'reiniciada/o',
	'started'=>'iniciada/o',
	'stopped'=>'detenida/o',
	'The specific problems detected included:'=>'Los problemas específicos detectados incluyeron:',
	'This message will disappear (and the graphs will appear) when your server configuration is corrected.'=>'Este mensaje desaparecerá (y aparecerán los gráficos) cuando se corrija la configuración de su servidor.',
	'Tip: Your statistics graphs are not working at this time.  Please ensure that PHP\'s GD extension is installed (including PNG and FreeType support).'=>'Sugerencia: sus gráficos estadísticos no están funcionando en este momento. Asegúrese que la extensión GD se encuentre instalada en su PHP (incluyendo el soporte PNG y FreeType).',
	'imagecreate() not available - PHP\'s GD extension is not installed'=>'No está disponible la función imagecreate(). La extensión GD para PHP no está instalada',
	'imagepng() not available - PHP was not built with libpng support'=>'No está disponible la función imagepng(). No se compiló PHP con soporte libpng',
	'imagettftext() not available - PHP was not built with FreeType support'=>'No está disponible la función imagettftext(). No se compiló PHP soporte FreeType',
	'An internal %s has occurred (%s)'=>'Ocurrió un %s interno',
	'No response, possible configuration problem'=>'No hay respuesta. Posiblemente exista un problema de configuración',
	'%s in %s track(s)'=>'%s en %s canción(es)',
	'Account created successfully, but stream could not be started'=>'La cuenta ha sido creada exitosamente, pero no se pudo iniciar la señal de streaming',
	'Disable playlist'=>'Desactivar lista de reproducción',
	'Disk usage'=>'Uso de disco',
	'Enable playlist'=>'Activar lista de reproducción',
	'GMT'=>'GMT',
	'Genre'=>'Género',
	'Invalid track addition request'=>'Solicitud de agregado de canción no válida',
	'No, always play to completion or stop time'=>'No, reproducir siempre hasta el final o hasta el tiempo de detención',
	'Note: statistics are recorded in the server\'s time zone (GMT %s), which differs from yours by %s hour(s).'=>'Nota: las estadísticas son generadas utilizando la zona horaria del servidor (GMT %s), la cual difiere de la suya en %s hora(s).',
	'Play all tracks randomly (shuffled)'=>'Reproducir todas las canciones de forma aleatoria (revuelta)',
	'Play all tracks sequentially (in order)'=>'Reproducir todas las canciones de forma secuencial (en orden)',
	'Server default'=>'Servidor por defecto',
	'Stop after'=>'Detener después',
	'Time zone'=>'Zona horaria',
	'Unlimited'=>'Ilimitado',
	'Unspecified'=>'No especificado',
	'minutes (0 to play to completion)'=>'minutos (0 para reproducir hasta terminar)',
	'Re-indexing media without import as destination playlist does not exist...'=>'Reindexar el medio sin importar que la lista de reproducción de destino no exista ...',
	'Administrator E-mail address'=>'Dirección de email del administrador',
	'Continue'=>'Continuar',
	'Database name'=>'Nombre de la base de datos',
	'Include in API cluster'=>'Incluir en el cluster API',
	'License key'=>'Llave de licencia',
	'MySQL hostname'=>'Máquina MySQL',
	'MySQL password'=>'Clave MySQL',
	'MySQL username'=>'Usuario MySQL',
	'Next'=>'Siguiente',
	'Provisioning server for API clustering'=>'Proveer servidor para API clustering',
	'Server %s'=>'Servidor %s',
	'The server with the fewest accounts'=>'El servidor con menor cantidad de cuentas',
	'This server (%s)'=>'Este servidor (%s)',
	'This setting is used only when API clustering is enabled, and does not affect accounts created manually.'=>'Esta configuración se utiliza solamente cuando se encuentra habilitado el API clustering, no afecta a las cuentas creadas manualmente.',
	'Aborted by event notification script'=>'Abortado por el script de notificación de eventos',
	'An error occurred while updating this playlist'=>'Ocurrió un error al actualizar esta lista de reproducción',
	'Individual commands may also accept other options; refer to the manual for'=>'Los comandos individuales pueden aceptar eventualmente otras opciones; refiérase al manual correspondiente',
	'No matching playlist found'=>'No se encontró una lista de reproducción que cumpla el criterio',
	'No matching tracks found'=>'No se encontraron canciones que cumplan el criterio',
	'Playlist updated'=>'Lista de reproducción actualizada',
	'The specified username does not exist.'=>'El usuario especificado no existe.',
	'activate or deactivate the playlist'=>'activa o desactiva la lista de reproducción',
	'activate or deactivate the source'=>'activa o desactiva la fuente',
	'activate/deactivate server-side source (autodj)'=>'activa/desactiva la fuente del lado del servidor (autodj)',
	'add new media to first playlist matching TEXT'=>'agregar nuevos contenidos a la primer lista de reproducción que coincida con TEXTO',
	'add new media to playlist with specified ID'=>'agregar nuevos contenidos a la lista de reproducción con el ID especificado',
	'add/remove tracks to/from the playlist'=>'agregar/quitar canciones de la lista de reproducción',
	'apply (i.e., cronjob, version, etc.)'=>'aplicar (cronjob, version, etc)',
	'details.  Use "all" as the username for commands where a username does not'=>'detalles. Utilice "all" como usuario para los comandos que no tienen',
	'modify playlists for a server'=>'modificar listas de reproducción para un servidor',
	'only accounts with usernames matching TEXT'=>'solo cuentas con nombres de usuario que coincidan con TEXTO',
	'reconfigure a server (see XML API documentation)'=>'reconfigurar un servidor (ver la documentación XML API)',
	'reindex the media library for a server'=>'reindexar la librería de medios para un servidor',
	'retrieve last 10 songs played on a server'=>'recuperar las últimas 10 canciones reproducidas en un servidor',
	'skips to the next song on a server'=>'saltar a la próxima canción en un servidor',
	'specifies new account status'=>'especifica el estado de la cuenta nueva',
	'tracks by artists whose names match TEXT'=>'canciones de artistas cuyos nombres concidan con TEXTO',
	'tracks from albums whose names match TEXT'=>'canciones de albumes cuyos nombres concidan con TEXTO',
	'tracks whose filesystem paths match TEXT'=>'canciones cuyas rutas coincidan con TEXTO',
	'tracks whose titles match TEXT'=>'canciones cuyos títulos coincidan con TEXTO',
	'use first playlist matching TEXT'=>'usar la primer lista de reproducción que coincida con TEXTO',
	'use first playlist with specified ID'=>'usar la primer lista de reproducción con el ID especificado',
	'Cast Daemon'=>'Iniciar servicio',
	'Character set'=>'Set de caracteres',
	'Event scripts'=>'Scripts de eventos',
	'Last cron job'=>'Ultima tarea programada (cronjob)',
	'Locale'=>'Lugar',
	'Note that this file must match the bit rate, sample rate, and number of channels configured for your stream.'=>'Tenga en cuenta que este archivo debe coincidir con el bitrate y cantidad de canales configurados en su sistema.',
	'Started %s, completed %s'=>'Iniciado %s, completo %s',
	'The fallback file is an audio file that is played in a loop if the source stream disconnects.'=>'El archivo alternativo es un audio que se reproduce repetitivamente si la fuente de la señal se desconecta.',
	'The introduction file is an audio file that is played immediately after each listener connects, before tuning in to the live stream.'=>'El archivo de introducción es un audio que se reproduce ni bien un oyente se conecta, justo antes de pasar a la señal en vivo.',
	'Character encoding'=>'Codificación de caracteres',
	'Default character encoding for new servers'=>'Codificación de caracteres por defecto para servidores nuevos',
	'Note that if you have already imported any media, you should %sclick here%s now to update your media library with the new character encoding.'=>'Tenga en cuenta que si ha importado contenidos nuevos, debe %spulsar aquí%s para actualizar su librería de medios con la nueva codificación de caracteres.',
	'Perform full library update'=>'Realizar una actualización completa de la librería',
	'Your preferred character encoding has also been changed.'=>'Su codificación de caracteres preferida también ha sido modificada.',
	'%.1f KB'=>'%.1f KB',
	'%.1f MB'=>'%.1f MB',
	'%.1f minute(s)'=>'%.1f minuto(s)',
	'%.1f%%'=>'%.1f%%',
	'%.2f'=>'%.2f',
	'%.2f listeners'=>'%.2f oyentes',
	'%.2f track(s)'=>'%.2f canción(es)',
	'%.2f%%'=>'%.2f%%',
	'%s'=>'%s',
	'%s Software Configuration'=>'%s Configuración de Software',
	'%s countries'=>'%s países',
	'%s events on file.  Displaying page %s of %s.'=>'%s eventos en el archivo. Mostrando la página %s de %s.',
	'%s kbps'=>'%s kbps',
	'%s listener(s)'=>'%s oyentes(s)',
	'%s minute(s)'=>'%s minuto(s)',
	'%s session(s)'=>'%s sesión(es)',
	'%s track(s)'=>'%s canción(es)',
	'%s%.1f%%%s of total minutes'=>'%s%.1f%%%s de los minutos totales',
	'%s%.1f%%%s of total sessions'=>'%s%.1f%%%s de las sesiones totales',
	'%s/%s'=>'%s/%s',
	'%s/%s kbps'=>'%s/%s kbps',
	'%sError%s: %s.'=>'%sError%s: %s.',
	'(provides realtime geographic mapping of your listeners\' locations'=>'(provee localización geográfica de la ubicación de sus oyentes en tiempo real',
	'0 - 30 sec'=>'0 - 30 segs',
	'1 hour - 4 hours'=>'1 hora - 4 horas',
	'15 - 30 min'=>'15 - 30 mins',
	'2 - 5 min'=>'2 - 5 mins',
	'30 min - 1 hour'=>'30 mins - 1 hora',
	'30 sec - 2 min'=>'30 segs - 2 mins',
	'30-day trend'=>'Tendencia a 30 días',
	'4hours +'=>'4 horas +',
	'5 - 15 min'=>'5 - 15 mins',
	'60-day trend'=>'Tendencia a 60 días',
	'7-day trend'=>'Tendencia a 7 días',
	'AIM'=>'AIM',
	'AM'=>'AM',
	'Account Logs'=>'Registros de la cuenta',
	'Account Statistics'=>'Estadísticas de la cuenta',
	'Account could not be loaded; aborting'=>'No se puede cargar la cuenta; abortando',
	'Account does not exist in database, or is not owned by this account'=>'No existe la cuenta en la base de datos, o no es propiedad de este usuario',
	'Account is active.'=>'La cuenta está activa',
	'Account is suspended.'=>'La cuenta está suspendida',
	'Account reparented'=>'Cuenta reasignada',
	'Account settings modified by %s'=>'La configuración de la cuenta ha sido modificada por %s',
	'Accounts'=>'Cuentas',
	'Actiate start page'=>'Activar página de inicio',
	'Active from'=>'Activa desde',
	'Active until'=>'Activa hasta',
	'Adding %s'=>'Agregando %s',
	'Administrator'=>'Administrador',
	'Advanced'=>'Avanzado',
	'Afternoon'=>'Tarde',
	'Agent'=>'Agente',
	'Agent Type'=>'Tipo de agente',
	'Airtime'=>'Tiempo en el aire',
	'Album name'=>'Nombre del album',
	'All logs'=>'Todos los registros',
	'All of its client accounts will be disabled as well.'=>'Todas sus cuentas de cliente serán también deshabilitadas',
	'Allocated bandwidth'=>'Ancho de banda asignado',
	'Allocated data transfer'=>'Valor de transferencia de datos asignado',
	'Allocated disk space'=>'Espacio disco asignado',
	'Allocated listener slots'=>'Slots de oyente asignados',
	'Allocated: %s%.1f%%%s.%sThis is the combined total of the data transfer limits you have allocated to all of your client accounts.'=>'Asignados: %s%.1f%%%s.%sEsta es la combinación total de los límites para transferencia de datos que ha reservado para cada una de sus cuentas de cliente.',
	'Allocated: %s%.1f%%%s.%sThis is the combined total of the disk quotas you have allocated to all of your client accounts.'=>'Asignados: %s%.1f%%%s.%sEsta es la combinación total de las cuotas de disco que ha reservado para cada una de sus cuentas de cliente.',
	'Allow client-specified Amazon%s affiliate IDs'=>'Permitir IDs de afiliado Amazon especificados por el cliente',
	'Allow other servers to relay stream'=>'Permitir a otros servidores retransmitir la señal (relay)',
	'Allow relays to make stream public'=>'Permitir a las retransmisiones (relays) hacer pública la señal',
	'Allow server log downloads'=>'Permitir descargar los registros del servidor',
	'Allows automated retrieval of album covers and affiliate sales.  %sClick here%s to generate your key.'=>'Permitir recuperación automática de tapas de album y ventas afiliadas',
	'Allows realtime geographic mapping of listener locations for each stream.  %sClick here%s to generate your key.'=>'Permitir localización geográfica en tiempo real de oyentes para cada señal',
	'Allows users to download their streaming server/source logs in ZIP or tarball format.  Note that log compression is very CPU-intensive.'=>'Permitir a los usuarios descargar sus registros de streaming (fuente y servidor) en formato ZIP o TAR. Tenga en cuenta que la compresión de registros es un proceso de alto consumo de CPU',
	'Allows you (the hosting provider) to collect affiliate sales credits if the client does not configure his own Amazon%s affiliate ID.'=>'Le permite a usted (el proveedor de hosting) reunir créditos por ventas afiliadas si el cliente no configura su propio ID de afiliado de Amazon',
	'Always disconnect listeners after'=>'Siempre desconectar a los oyentes después de',
	'Amazon Web Services%s Access Key ID'=>'ID de llave de acceso para servicios web de Amazon',
	'Amazon%s affiliate ID'=>'ID de afiliado de Amazon',
	'An error occurred while attempting to compress your logs'=>'Ocurrió un error al intentar comprimir sus registros',
	'Apr'=>'Abr',
	'Archival failed'=>'Falló el proceso de archivamiento',
	'Artist name'=>'Nombre del artista',
	'Aug'=>'Ago',
	'AutoDJ'=>'AutoDJ',
	'AutoDJ capabilities'=>'Capacidades de AutoDJ',
	'AutoDJ status'=>'Estado AutoDJ',
	'Automatically unsuspending account after suspension from previous month'=>'Reactivar automáticamente la cuenta tras la suspensión del mes previo',
	'Available server types'=>'Tipos de servidor disponibles',
	'Available source types'=>'Tipos de fuente disponibles',
	'Average Listener Session Length'=>'Promedio de longitud de sesión del oyente',
	'Average Listeners Per Hour'=>'Promedio de oyentes por hora',
	'Average length'=>'Longitud promedio',
	'Average per hour'=>'Promedio por hora',
	'Average session length'=>'Promedio de longitud de sesión',
	'Back-end password update failed: %s'=>'Falló la actualización de la clave: %s',
	'Bandwidth limit'=>'Límite de ancho de banda',
	'Basic Configuration'=>'Configuración básica',
	'Burst on connect'=>'Arrancar (burst) al conectar',
	'Burst size'=>'Tamaño para burst',
	'Cannot change status until parent reseller account is enabled'=>'No se puede cambiar el estado hasta que la cuenta de revendedor padre sea habilitada',
	'Change password'=>'Cambiar clave',
	'Change reporting period'=>'Cambiar período de reporte',
	'Changed status for account %s from %s to %s%s'=>'Se ha cambiado el estado de la cuenta %s de %s a %s%s',
	'Changing password for reseller: %s%s%s'=>'Cambiando la clave para el revendedor: %s%s%s',
	'Checking stream status ...'=>'Chequeando el estado de la señal...',
	'Client accounts'=>'Cuentas de cliente',
	'Client timeout'=>'Tiempo límite del cliente',
	'Clients'=>'Clientes',
	'Command not available to reseller accounts'=>'Este comando no se encuentra disponible para cuentas de revendedor',
	'Compressing %s ...'=>'Comprimiendo %s ...',
	'Configuration updated successfully.'=>'Se ha actualizado la configuración exitosamente',
	'Configure Account'=>'Configurar cuenta',
	'Configures the E-mail messages sent by your account.'=>'Configura los mensajes de email enviados por su cuenta',
	'Configures the settings for your account.'=>'Configura los parámetros para su cuenta',
	'Configures this account.'=>'Configura esta cuenta',
	'Confirm new password'=>'Confirmar la nueva clave',
	'Conn./Min'=>'Conex./Mins',
	'Connecting client at %s (via %s).'=>'Conectando al cliente a %s (vía %s).',
	'Controls the use of a locally hosted streaming source (autoDJ) instead of a live source.'=>'Controla el uso de una fuente de señal alojada localmente (AutoDJ) en lugar de una fuente en vivo',
	'Could not create reseller directory'=>'No es posible crear el directorio para la cuenta revendedor',
	'Could not to connect to Centova Cast daemon on %s:%s (%s)'=>'No es posible conectar al servicio Centova Cast en %s:%s (%s)',
	'Could not update playlist.'=>'No es posible actualizar la lista de reproducción',
	'Countries'=>'Países',
	'Country'=>'País',
	'Country: %s%s%s'=>'País: %s%s%s',
	'Crossfade mode'=>'Modo Crossfade',
	'Current Listener Locations'=>'Ubicaciones de los oyentes actuales',
	'Current Listeners:'=>'Oyentes actuales:',
	'Current Song:'=>'Canción actual:',
	'Current geographic listener locations (click markers for details)'=>'Ubicaciones geográficas de los oyentes actuales (pulsar los marcadores para más detalles)',
	'Current password'=>'Clave actual',
	'Current top countries'=>'Principales países actuales',
	'Current top user agents'=>'Principales agentes de usuario actuales',
	'Custom logo is active.'=>'El logotipo personalizado está activo.',
	'Data Transfer'=>'Transferencia de datos',
	'Date'=>'Fecha',
	'Dec'=>'Dic',
	'Default Amazon%s affiliate ID'=>'ID de afiliado Amazon por defecto',
	'Delete reseller account'=>'Borrar cuenta de revendedor',
	'Delete the client accounts'=>'Borrar las cuentas del cliente',
	'Delete this account'=>'Borrar esta cuenta',
	'Depending on the size and number of logs in your account, this may take some time -- please be patient.  Navigating away from this web page will cancel your download.'=>'Este proceso puede tomar bastante tiempo, dependiendo de la cantidad y tamaño de los registros de su cuenta, por favor tenga paciencia. Si navega fuera de esta página, cancelará la descarga.',
	'Description'=>'Descripción',
	'Detailed statistics can be reported for any portion of the last 60 days.  (Limited statistics are available for prior dates on the Historical tab.)'=>'Se pueden reportar estadísticas detalladas para cualquier porción de tiempo dentro de los últimos 60 días. (Se dispone también de estadísticas limitadas para períodos anteriores en la pestaña Históricos)',
	'Diagnostic mode'=>'Modo de diagnóstico',
	'Diagnostic output from streaming software:'=>'Resultado de diagnóstico del programa de streaming:',
	'Directory listings URL'=>'URL listado de directorios',
	'Directory listings timeout'=>'Tiempo límite listado de directorios',
	'Disable this account'=>'Deshabilitar esta cuenta',
	'Discon./Min'=>'Descon./Mins',
	'Disconnect idle sources after'=>'Desconectar fuentes inactivas después de',
	'Disconnect listeners if source disconnects'=>'Desconectar a los oyentes si se desconecta la fuente',
	'Disk quota exceeded; account has been automatically %s'=>'Se ha excedido la cuota de disco: la cuenta ha sido %s automaticamente',
	'Displays statistics for this account.'=>'Mostrar estadísticas para esta cuenta',
	'Displays the Centova Cast event log.'=>'Mostrar el registros de eventos de Centova Cast',
	'Displays the logs for this account.'=>'Mostrar los registros para esta cuenta',
	'Download'=>'Descargar',
	'Duration'=>'Duración',
	'E-mail Messages'=>'Mensajes de email',
	'Edit'=>'Editar',
	'Edit server type'=>'Editar tipo de servidor',
	'Edit source type'=>'Editar tipo de fuente',
	'Edit this account'=>'Editar esta cuenta',
	'Enable Google Maps%s widget'=>'Habilitar el widget de Google Maps',
	'Enable server account'=>'Habilitar cuenta de servidor',
	'Enable/disable playlist'=>'Habilitar/Deshabilitar lista de reproducción',
	'End time'=>'Tiempo final',
	'Error loading account: %s'=>'Error al cargar la cuenta: %s',
	'Error processing client account %s:'=>'Error al procesar la cuenta de cliente: %s',
	'Error re-loading account: %s'=>'Error al recargar la cuenta: %s',
	'Error sending message from %s to %s'=>'Error al enviar el mensaje de %s a %s',
	'Error: %s'=>'Error: %s',
	'Evening'=>'Noche',
	'Event Log'=>'Registros de eventos',
	'Failed to initialize server control for account %s!'=>'Error al inicializar el control de servidor para la cuenta %s!',
	'Feb'=>'Feb',
	'Files'=>'Archivos',
	'Frequency'=>'Frecuencia',
	'Friday'=>'Viernes',
	'From %s%s%s to %s%s%s'=>'De %s%s%s a %s%s%s',
	'General rotation playlists can also be limited to a specific period of the day. This can be used to play lighter songs in the morning and heavier songs in the afternoon, for example. If no time period is selected, the playlist will be active for the entire day.'=>'Las listas de reproducción rotativas generales, pueden limitarse también a un período específico del día. Esto se puede aprovechar por ejemplo para reproducir canciones más tranquilas durante la mañana y más movidas a la tarde. Si no se selecciona un período de tiempo, la lista de reproducción estará activa durante todo el día.',
	'Google Maps support is not available for this stream.'=>'No está disponible el soporte Google Maps para esta señal',
	'Google Maps%s API key'=>'Llave API Google Maps',
	'Graveyard'=>'Madrugada',
	'Header timeout'=>'Tiempo límite de la cabecera',
	'Hide full report'=>'Ocultar el reporte completo',
	'Historical'=>'Histórico',
	'Historical statistics for'=>'Estadísticas históricas para',
	'ICQ'=>'ICQ',
	'IP Address'=>'Dirección IP',
	'IRC'=>'IRC',
	'ISRC'=>'ISRC',
	'If enabled, clients can provide their own affiliate IDs to collect credit for affiliate sales.  If disabled, only the default affiliate ID above will be used.'=>'Si se habilita, los clientes pueden suministrar sus propios IDs afiliados para reunir créditos por ventas afiliadas, caso contrario solo se utilizará el ID afiliado por defecto indicado arriba.',
	'If enabled, the autoDJ will include a small tracking code at the end of the<br />song titles shown in your listeners\' media players.  For example, instead of:<br /><br /><strong>Artist Name - Song Title</strong><br /><br />You might see the following instead:<br /><br /><strong>Artist Name - Song Title [C51B]</strong><br /><br />This allows detailed reports to be generated (on the \'Tracks\' tab of the<br />\'View Statistics\' page) containing most of the information needed to make<br />reports to the appropriate entities for royalty determination purposes.<br /><br />If this option is disabled, the generated reports will be much less detailed<br />and may not contain sufficient information for royalty reporting purposes.'=>'Si se habilita, el AutoDJ incluirá un pequeño código de seguimiento al final de la lista de títulos<br />de canciones que se muestra en el reproductor del oyente. Por ejemplo, en lugar de:<br /><br /><strong>Nombre artista - título canción</strong><br /><br />Puede ver en su lugar lo siguiente: <br /></br /><strong>Nombre Artista - Título canción [C51B]</strong><br /><br />Esto permite que se generen reportes detallados (en la pestaña Canciones de la página Ver Estadísticas) conteniendo la mayor parte de la información necesaria para realizar<br />reportes a las entidades apropiadas con el propósito de determinar derechos de autor.<br /><br />Si se deshabilita esta opción, los reportes generados serán mucho menos detallados<br />y puede que no contengan suficiente información en relación al reporte de derechos de autor.',
	'If enabled, your resellers\' clients will be allowed to upload their media to your<br />server and use Centova Cast\'s autoDJ system to source their streams.  If<br />disabled, an off-site source (i.e., on the client\'s home PC) must be used instead.'=>'Si se habilita, los clientes de sus revendedores tendrán la posibilidad de subir sus contenidos multimedia a su<br />servidor y utilizar el sistema AutoDJ de Centova Cast para servir sus señales.<br />Si se deshabilita, se debe utilizar en su lugar una fuente fuera de línea (en la PC personal del cliente).',
	'If enabled, your resellers\' clients will be permitted to use Centova Cast\'s<br />port-80 proxy to access streams from behind restrictive firewalls.<br /><br />Note that enabling this feature may dramatically affect your server\'s performance<br />if used on busy streams; consult the documentation for more information.'=>'Si se habilita, se permitirá a los clientes de sus revendedores utilizar el proxy por puerto 80 de Centova Cast para acceder a la señales desde máquinas que se encuentren detrás de firewalls restrictivos.<br /><br />Tenga en cuenta que habilitar esta característica puede afectar de forma dramática<br />el rendimiento de su servidor, si se utiliza en señales con mucho tráfico. Consulte primero la documentación para mayor información.',
	'Import album cover images when available'=>'Importar imágenes de tapa de albumes si están disponibles',
	'Imports images from folder.jpg, albumartsmall.jpg, and MP3 ID3 tags. %sClick here%s for more information.'=>'Importar imágenes para folder.jpg, albumartsmall.jpg, y marcadores MP3 ID3. %sIngrese aquí%s para mayor información.',
	'Invalid listener limit'=>'Límite de oyentes no válido',
	'Invalid server type: %s'=>'Tipo de servidor no válido: %s',
	'Invalid source type: %s'=>'Tipo de fuente no válido: %s',
	'Invalid username or password'=>'Nombre de usuario o clave no válidos',
	'Jan'=>'Ene',
	'Jul'=>'Jul',
	'Jun'=>'Jun',
	'Last %d lines from the relevant log file:'=>'Ultimas %d líneas del archivo de registro correspondiente:',
	'Last %s%s%s day(s)'=>'Ultimo(s) %s%s%s día(s)',
	'Least Popular Tracks'=>'Canciones menos populares',
	'Limits'=>'Límites',
	'Listen Time'=>'Tiempo de escucha',
	'Listen to preview'=>'Escuchar para probar',
	'Listener'=>'Oyente',
	'Listener slots (total)'=>'Slots de oyentes (totales)',
	'Local mount point'=>'Punto de montaje local',
	'Log compression failed: %s'=>'Error al comprimir el archivo de registro: %s',
	'Log does not exist; this often (although not always) indicates a permissions/ownership error.  Consult the Centova Cast knowledge base.'=>'El archivo de registro no existe; normalmente (si bien no siempre) esto indica un error de permisos/propietario. Por favor consulte la Base de conocimientos de Centova Cast.',
	'Login denied to suspended account %s.'=>'No se acepta el acceso a la cuenta suspendida %s',
	'Login failure for username %s.'=>'Error al acceder para el usuario %s',
	'Login to this account'=>'Ingresar a esta cuenta',
	'Logo image'=>'Imagen para el logo',
	'Logs archived'=>'Registros archivados',
	'Lunch'=>'Mediodía',
	'MB'=>'MB',
	'Manages server software available on this server.'=>'Administrar el software de servidor disponible en este servidor',
	'Manages source software avialable on this server.'=>'Administra el software de fuente disponible en este servidor',
	'Managing client account %s%s%s'=>'Administrando cuenta de cliente %s%s%s',
	'Managing reseller account %s%s%s'=>'Administrando cuenta de revendedor %s%s%s',
	'Mar'=>'Mar',
	'Master Relaying'=>'Repetidor maestro',
	'Master password'=>'Clave',
	'Master port'=>'Puerto',
	'Master server'=>'Servidor',
	'Master update interval'=>'Intervalo de actualización',
	'Maximum accounts'=>'Cantidad máxima de cuentas',
	'Maximum bandwidth'=>'Ancho de banda máximo',
	'Maximum sources'=>'Cantidad máxima de fuentes',
	'Message: %s'=>'Mensaje: %s',
	'Metric'=>'Métrico',
	'Monday'=>'Lunes',
	'Monthly data transfer limit exceeded; account has been automatically %s'=>'Se ha excedido el límite mensual de transferencia de datos; la cuenta ha sido %s automáticamente',
	'Morning'=>'Mañana',
	'Most Popular Tracks'=>'Canciones más populares',
	'Mount point'=>'Punto de montaje',
	'Mountpoint Relaying'=>'Punto de montaje de retransmisión',
	'Move account'=>'Mover cuenta',
	'Move the client accounts to another reseller: '=>'Mover las cuentas del cliente a otro revendedor',
	'Move to another reseller'=>'Mover a otro revendedor',
	'Net Conn.'=>'Red conectada',
	'Net Discon.'=>'Red desconectada',
	'New parent account is not a reseller account'=>'La nueva cuenta padre no es de tipo revendedor',
	'New password'=>'Nueva clave',
	'No (Google Maps API key not configured by administrator)'=>'Llave API de Google Maps no configurada por el administrador',
	'No albums were modified.'=>'No se han modificado albumes',
	'No artists were modified.'=>'No se han modificado artistas',
	'No server types exist.'=>'No existe el tipo de servidor',
	'No source types exist.'=>'No existe el tipo de fuente',
	'No such track report was found.'=>'No se encontró el reporte de canción especificado',
	'No tracks were modified.'=>'No se han modificado canciones',
	'Note that you will need to restart your server for the changes to take effect.'=>'Recuerde que deberá reiniciar su servidor para que los cambios tengan efecto.',
	'Note: Amazon%s integration has been enabled.  This may cause the import to take an unusally long time as album covers and affiliate information are retrieved from Amazon.com.'=>'Nota: se ha habilitado la integración con Amazon. Esto puede ocasionar que la importación lleve un tiempo inusualmente largo, mientras las tapas de album y la información afiliada se recuperan desde Amazon.com.',
	'Note: Because diagnostic mode generates an inordinate amount of log data, this successful startup has been terminated.  To perform a normal startup, please try again in normal (non-diagnostic) mode.'=>'Nota: este arranque exitoso ha sido terminado, debido a que el modo de diagnóstico genera un monto excesivo de datos de registro. Para realizar un arranque normal, por favor intente nuevamente en modo normal (no diagnóstico).',
	'Note: Figures may not be updated for up to %s hour(s).'=>'Nota: puede que las figuras no sean actualizadas por un período de hasta %s hora(s).',
	'Note: Today\'s figures may not be updated for up to %s hour(s).'=>'Nota: puede que las figuras de hoy no sean actualizadas por un período de hasta %s hora(s).',
	'Note: this must specify the full path and filename to the %s server software on your server.  If you have not yet installed the software, you will need to do so before configuring this option.'=>'Nota: se debe especificar la ruta completa y el nombre de archivo del software de servidor %s en su servidor. Si aún no ha cargado ese software, necesitará hacerlo antes de continuar con esta opción.',
	'Note: this must specify the full path and filename to the %s source software on your source.  If you have not yet installed the software, you will need to do so before configuring this option.'=>'Nota: se debe especificar la ruta completa y el nombre de archivo del software de fuente %s instalado en su fuente. Si aún no ha cargado ese software, necesitará hacerlo antes de continuar con esta opción.',
	'Nov'=>'Nov',
	'Number of recent tracks'=>'Número de canciones recientes',
	'Oct'=>'Oct',
	'Other'=>'Otro/a',
	'PM'=>'PM',
	'Pathname'=>'Ruta',
	'Peak Period'=>'Período pico',
	'Performances'=>'Rendimientos',
	'Permitted'=>'Permitido/a',
	'Place the following code on your web page wherever you would like the tune-in links to appear:'=>'Coloque el siguiente código en el lugar de su página donde desee que aparezcan los enlaces tune-in (sintonizar):',
	'Playbacks'=>'Reproducción',
	'Player'=>'Reproductor',
	'Player/Ripper'=>'Reproductor/Ripeador',
	'Please correct these values and try again.'=>'Por favor corrija estos valores e intente nuevamente.',
	'Port 80 proxies'=>'Proxies puerto 80',
	'Port 80 proxy'=>'Proxy puerto 80',
	'Prohibited (streams MUST use an offsite source)'=>'Prohibido (las señales DEBEN usar una fuente fuera del sitio)',
	'Provisioned account %s (server: %s; source: %s)'=>'Cuenta provista %s (servidor: %s; fuente: %s)',
	'Provisioned reseller account %s'=>'Cuenta de revendedor provista %s ...',
	'Provisioning account %s ...'=>'Proveyendo cuenta %s ...',
	'Public server'=>'Servidor público',
	'Queue size'=>'Tamaño queue',
	'Recent Activity'=>'Actividad reciente',
	'Relay metadata'=>'Metadatos retransmisión (relay)',
	'Relay on demand'=>'Retransmisión bajo demanda',
	'Relay password'=>'Clave de retransmisión',
	'Relaying'=>'Retransmitiendo',
	'Remove logo image'=>'Quitar imagen de logo',
	'Removed account %s'=>'Cuenta %s quitada',
	'Removed reseller account %s'=>'Cuenta de revendedor %s quitada',
	'Rename album'=>'Renombrar album',
	'Rename artist'=>'Renombrar artista',
	'Rename track'=>'Renombrar canción',
	'Reparent account'=>'Reposicionar cuenta',
	'Reparented account %s to reseller %s'=>'Cuenta %s reposicionada a revendedor %s',
	'Report'=>'Reporte',
	'Reports are generated in CSV format on the first of each month, and may be useful for licensing/royalty reporting.'=>'Los reportes son generados en formato CSV el primer día de cada mes, pueden ser útiles para informar aspectos de licenciamiento o derechos de autor.',
	'Reseller'=>'Revendedor',
	'Reseller Options'=>'Opciones de revendedor',
	'Reseller account'=>'Cuenta de revendedor',
	'Reseller account does not exist in database'=>'La cuenta de revendedor no existe en la base de datos',
	'Reseller account has reached its bandwidth limit'=>'La cuenta de revendedor ha alcanzado su límite de ancho de banda',
	'Reseller account has reached its client account limit'=>'La cuente de revendedor ha alcanzado su límite de clientes',
	'Reseller account has reached its disk quota'=>'La cuente de revendedor ha alcanzado su límite de cuota de disco',
	'Reseller account has reached its transfer limit'=>'La cuente de revendedor ha alcanzado su límite de transferencia',
	'Reseller accounts cannot be reparented'=>'Las cuentas de revendedor no pueden ser reposicionadas',
	'Return to accounts'=>'Regresar a las cuentas',
	'Ripper'=>'Ripeador',
	'Royalty reporting capability'=>'Capacidad de reporte de derechos de autor',
	'Royalty reporting mode'=>'Modo de reporte de derechos de autor',
	'Saturday'=>'Sábado',
	'Select a new reseller for this account'=>'Seleccione un nuevo revendedor para esta cuenta',
	'Select a reporting period'=>'Seleccione un período de reporte',
	'Select server type...'=>'Seleccione un tipo de servidor...',
	'Select source type...'=>'Seleccione un tipo de fuente',
	'Sep'=>'Sep',
	'Server Overrides'=>'Protección de servidor',
	'Server Software'=>'Software de servidor',
	'Server error: %s'=>'Error de servidor: %s',
	'Server software'=>'software de servidor',
	'Server software: %s%s%s'=>'Software de servidor: %s%s%s',
	'Server:'=>'Servidor:',
	'Session average'=>'Promedio de sesión:',
	'Sessions'=>'Sesiones',
	'Show'=>'Motrar',
	'Show album covers'=>'Mostrar tapas de albumes',
	'Show full report'=>'Mostrar reporte completo',
	'Size'=>'Tamaño',
	'Source Software'=>'Software fuente',
	'Source software'=>'software fuente',
	'Source software: %s%s%s'=>'Software fuente: %s%s%s',
	'Source timeout'=>'Tiempo límite de fuente',
	'Source:'=>'Fuente:',
	'Specified bit rate exceeds reseller bitrate limit'=>'El bitrate especificado excede el límite impuesto en la cuenta de revendedor',
	'Specified combination of bit rate and listener limit exceeds reseller bandwidth limit'=>'La combinación especificada de bitrate y límite de oyentes excede el límite de ancho de banda impuesto en la cuenta de revendedor',
	'Specified disk quota exceeds reseller limits'=>'La cuota de disco especificada excede el límite impuesto en la cuenta de revendedor',
	'Specified listener limit exceeds reseller limits'=>'El límite de oyentes especificado excede el límite impuesto en la cuenta de revendedor',
	'Specified transfer limit exceeds reseller limits'=>'El límite de transferencia especificado excede el límite impuesto en la cuenta de revendedor',
	'Specifies a monthly data transfer limit (in megabytes) for this reseller account.<br /><br />If you want to limit traffic based on bandwidth (in kbps) instead, use the<br />\'Bandwidth limit\' option below.'=>
	'Especifica un límite de transferencia mensual (en MB) para esta cuenta de revendedor.<br /><br />Si en su lugar desea limitar el tráfico en base al ancho de banda (kbps), utilice la opción Límite de ancho de banda debajo.',
	'Specifies the amount of disk space allocated to this client.  Note that this<br />includes any media uploaded for the autoDJ as well as any logs, configuration<br />files, and so-on for this account.'=>
	'Especifica la cantidad de espacio de disco reservada para este cliente.<br />Tenga en cuenta que se ocupa este espacio para cualquier contenido multimedia cargado a través de AutoDJ,<br />como así también cualquier archivo de registro o configuración de esta cuenta.',
	'Specifies the maximum bit rate that this reseller can assign to each<br />client account.  (Note that this is a per-client limit, not a combined total.)'=>'Especifica el bitrate máximo que esta cuenta de revendedor puede asignar a cada cuenta de cliente<br /(Tenga en cuenta que este es un límite por cliente, no un total combinado).>',
	'Specifies the maximum number of client accounts (i.e., streaming<br />servers) the reseller can create.'=>'Especifica el número máximo de cuentas de cliente (servidores de streaming)<br />que el revendedor puede crear.',
	'Specifies the total amount of bandwidth (in kbps -- NOT data transfer)<br />which this reseller can allocate.  This is an alternative to specifying<br />a data transfer limit.<br /><br />For example, 10 listener slots at 128kbps would use 1280kbps of bandwidth<br />(10 x 128 = 1280).  5 slots at 128kbps and 8 slots at 64kbps would use<br />1152kbps of bandwidth (5 x 128 + 8 x 64 = 1152).<br /><br />If you do not fully understand this feature, leave it set to \'Unlimited\'<br />and assign limits for the values above instead.'=>'Especifica el monto total de ancho de banda (en kbps, NO es el valor de tráfico de datos)<br />que esta cuenta de revendedor puede asignar. Esta es una alternativa a especificar un límite para transferencia de datos.<br />Por ejemplo: 10 slots de oyentes a 128 kbps utilizan 1280 kbps de ancho de banda (10 x 128 = 1280)<br />5 slots a 128 y 8 slots a 64 utilizan 1152 kbps (5 x 128 + 8 x 64 = 1152)<br /><br />Si no comprende completamente esta característica, déjela configurada como Ilimitada<br />y en su lugar asigne límites a los valores de arriba.',
	'Specifies the total number of potential listeners this reseller can host.<br />This is a combined total limit for all client accounts created by this reseller.'=>
	'Especifica el número total de oyentes potenciales que esta cuenta de revendedor puede atender.<br />Este es un límite total combinado para todas las cuentas de cliente creadas por este revendedor.',
	'Start Page'=>'Página de inicio',
	'Start Pages'=>'Páginas de inicio',
	'Start time'=>'Tiempo de inicio',
	'Statistics for reporting period:'=>'Estadísticas para período de reporte:',
	'Stream'=>'Señal',
	'Stream URL format'=>'Formato de la URL de la señal',
	'Stream control issue detected (%s); log attached'=>'Se ha detectado un problema de control de señal (%s); registro adjuntado',
	'Stream is offline.'=>'La señal está fuera de línea.',
	'Stream is online and broadcasting.'=>'La señal está en línea y transmitiendo.',
	'Stream mount point'=>'Punto de montaje',
	'Stream password'=>'Clave',
	'Stream port'=>'Puerto',
	'Stream server'=>'Servidor',
	'Stream title format'=>'Formato de título',
	'Stream username'=>'Usuario',
	'Subject: %s'=>'Asunto: %s',
	'Successful login for account %s.'=>'Acceso exitoso para la cuenta %s.',
	'Sunday'=>'Domingo',
	'Suppress metadata'=>'Suprimir metadatos',
	'System'=>'Sistema',
	'TLH'=>'TLH',
	'The following fields contain invalid values:'=>'Los siguientes campos contienen valores no válidos:',
	'The following listeners are tuned-in now'=>'Los siguientes oyentes están sintonizando en este momento',
	'The specified E-mail does not exist.'=>'El email especificado no existe.',
	'The specified account does not exist, or your do not have permission to access it.'=>'La cuenta especificada no existe, o bien no tiene permisos para accederla.',
	'There are currently no listeners tuned-in to your stream.'=>'No hay oyentes sintonizando su señal en este momento',
	'These reports provide the track name, air time, and number of listeners for each track broadcasted during the reporting period.'=>'Estos reportes proveen el nombre de la canción, tiempo en el aire y número de oyentes que tuvo dentro del período reportado.',
	'This account has been suspended.'=>'Esta cuenta ha sido suspendida',
	'This is used only to display the server\'s data transfer usage graph on the administrator\'s accounts page.'=>'Esto se utiliza para mostrar solamente el gráfico de uso de transferencia de datos en el servidor, en la página de cuentas del administrador.',
	'This reseller account currently owns %s%s%s client accounts.  How would you like to handle these accounts?'=>'Esta cuenta de revendedor es propietaria actualmente de %s%s%s cuentas de cliente. Cómo le gustaría manejar esas cuentas?',
	'This snippet will provide a set of tune-in links for various media players.'=>'Este fragmento de código proveerá una serie de enlaces de sintonía para varios reproductores.',
	'Thread pool'=>'Lista de temas',
	'Thursday'=>'Jueves',
	'Tip: Diagnostic mode may provide additional information about the cause of certain problems such as the above.  %s%s%sClick here%s if you would like to retry this operation in diagnostic mode.'=>'Ayuda: el modo de diagnóstico puede proveer información adicional sobre la causa de ciertos problemas como el de arriba. %s%s%sPulse aquí%s%s%s si desea reintentar esta operación en modo diagnóstico.',
	'Tip: This is the free space available on the partition holding Centova Cast\'s \'vhosts\' %sdirectory.  If you have created symbolic links pointing to media on a different partition, %s the reported disk usage may appear to exceed the available disk space.'=>'Ayuda: este es el espacio de disco libre que se encuentra disponible en la partición donde se aloja el directorio vhosts de Centova Cast. Si ha creado enlaces simbólicos apuntando a contenidos multimedia en una partición diferente, %s el uso de disco reportado puede mostrarse como excediendo el espacio de disco disponible.',
	'Tip: You can set your server\'s total data transfer limit under \'Settings\' if you want your data transfer usage to be graphed.'=>'Ayuda: puede configurar el límite total de transferencia de datos para su servidor en Configuraciones, si desea que la transferencia sea graficada.',
	'Tip: Your client start pages are not working at this time.  Please ensure that the Apache mod_rewrite module is installed on your server and .htaccess file support is not disabled for this web site.  This message will disappear when your server configuration is corrected.'=>'Ayuda: las páginas de inicio de su cliente no están operando en este momento. Por favor asegúrese que el módulo mod_rewrite de Apache se encuentre instalado en su servidor y el soporte para el archivo .htaccess no se encuentre deshabilitado para su sitio. Este mensaje desaparecerá cuando corrija la configuración de su servidor.',
	'To add your media to the playlists you\'ve created above, launch your media library below.'=>'Para agregar contenidos a las listas de reproducción que ha creado arriba, lance su librería de medios debajo.',
	'Today'=>'Hoy',
	'Top %d'=>'Mejores %d',
	'Top Agents by Listener Minutes'=>'Agentes más utilizados (minutos por oyente)',
	'Top Agents by Listener Sessions'=>'Agentes más utilizados (sesiones de oyente)',
	'Top Countries by Listener Minutes'=>'Países con más visitas (minutos por oyente)',
	'Top Countries by Listener Sessions'=>'Países con más visitas (sesiones de oyente)',
	'Top Listeners by Listener Minutes'=>'Oyentes con más visitas (minutos por oyente)',
	'Top Listeners by Listener Sessions'=>'Oyentes con más visitas (sesiones de oyente)',
	'Top Tracks by Airtime'=>'Canciones más solicitadas (tiempo en el aire)',
	'Top Tracks by Playbacks'=>'Canciones más solicitadas (reproducciones)',
	'Top agents'=>'Agentes más utilizados',
	'Top countries'=>'Países con más visitas',
	'Total (%s-day)'=>'Total (día %s)',
	'Total Airtime'=>'Tiempo total en el aire',
	'Total data transfer limit for this server'=>'Límite total de transferencia de datos para este servidor',
	'Total listener slots'=>'Total slots oyentes',
	'Total listening hours (TLH)'=>'Horas totales de escucha (HTE / TLH)',
	'Total sessions (%s-day)'=>'Sesiones totales (día %s)',
	'Total streams'=>'Total de señales',
	'Total unique (%s-day)'=>'Total único (día %s)',
	'Total: %s%.1f%%%s.%sThis is the combined total of the actual data transfer usage for all of your client accounts.'=>'Total: %s%.1f%%%s.%sEste es el total combinado del uso de tráfico de datos para todas sus cuentas de cliente.',
	'Total: %s%.1f%%%s.%sThis is the combined total of the bandwidth (in kbps) you have allocated to all of your client accounts.'=>'Total: %s%.1f%%%s.%sEste es el total combinado del ancho de banda (en kbps) que ha asignado a todas sus cuentas de cliente',
	'Total: %s%.1f%%%s.%sThis is the combined total of the data transfer used by all of your streams this month. %sNote that this only includes data transfer from Centova Cast streams; data transfer %sused by other services on the server (if any) is not included.'=>'Total: %s%.1f%%%s.%sEsta es la transferencia de datos combinada total usada por todas sus señales de streaming este mes. %sTenga en cuenta que esto incluye solamente las transferencias de datos desde señales de Centova Cast; las transferencias %srealizadas por otros servicios en el servidor (si hay alguno) no se incluyen.',
	'Total: %s%.1f%%%s.%sThis is the combined total of the disk space used by all of your streams. %sNote that the total available space does not represent your total disk%s size; it represents the total remaining space available to Centova Cast %s(excluding OS files, etc.)'=>'Total: %s%.1f%%%s.%sEste es el total combinado de espacio de disco usado por todas sus señales. %sTenga en cuenta que el espacio total disponible no representa su tamaño total de disco, sino el espacio total disponible para Centova Cast (excluyendo archivos de sistema, etc.)',
	'Total: %s%.1f%%%s.%sThis is the combined total of the listener limits you have assigned to all of your client accounts.'=>'Total: %s%.1f%%%s.%sEste es el total combinado de los límites de usuario que ha asignado a todas sus cuentas de cliente.',
	'Total: %s%.1f%%%s.%sThis is the estimated amount of data transfer you will use this month at the current rate of consumption.'=>'Total: %s%.1f%%%s.%sEste es el volumen de transferencia de datos estimado que utilizará este mes si mantiene la relación de consumo actual.',
	'Total: %s%.1f%%%s.%sThis is the total number of client accounts you have created.'=>'Total: %s%.1f%%%s.%sEste es el número total de cuentas de cliente que ha creado.',
	'Total: %s%.1f%%%s.%sThis is the total number of streams currently managed by%sCentova Cast versus your licensed stream limit.'=>'Total: %s%.1f%%%s.%sEste es el número total de señales administradas actualmente%spor Centova Cast versus su límite licenciado de señales.',
	'Track'=>'Canción',
	'Track Broadcast Reports'=>'Reportes de transmisión de canciones',
	'Track name'=>'Nombre canción',
	'Track title'=>'Título canción',
	'Transfer limit'=>'Límite de transferencia',
	'Tuesday'=>'Martes',
	'UNL'=>'UNL',
	'Unable to login to account: %s'=>'No es posible ingresar a la cuenta: %s',
	'Unique countries'=>'Países únicos',
	'Unique listeners'=>'Oyentes únicos',
	'Unknown / Local'=>'Desconocido / Local',
	'Unknown software to import: %s'=>'Software desconocido para importar: %s',
	'Unlimited disk quota not permitted for this reseller account'=>'No se permite una cuota de disco ilimitada para esta cuenta de revendedor',
	'Unlimited transfer not permitted for this reseller account'=>'No se permite una transferencia de datos ilimitada para esta cuenta de revendedor',
	'Unresolved stream outage detected.'=>'Se ha detectado una caída de señal sin resolver.',
	'Unsuspend this account'=>'Reactivar esta cuenta',
	'Updating reseller totals ...'=>'Actualizando totales del revendedor ...',
	'Use server'=>'Usar servidor',
	'Used data transfer'=>'Transferencia de datos utilizada',
	'Used disk space'=>'Espacio disco utilizado',
	'Used: %s%.1f%%%s.%sThis is the combined total of the actual disk space usage for all of your client accounts.'=>'Usado: %s%.1f%%%s.%sEste es el total combinado de uso de disco para todas sus cuentas de cliente.',
	'User'=>'Usuario',
	'User Agent'=>'Agente de usuario',
	'User Agents'=>'Agentes de usuario',
	'User account is not owned by this reseller account'=>'La cuenta de usuario no es propiedad de esta cuenta de revendedor',
	'User agent type:'=>'Tipo de agente de usuario:',
	'User agent: %s%s%s'=>'Agente de usuario: %s%s%s',
	'Using SMTP: %s'=>'Utilizando SMTP: %s',
	'Value'=>'Valor',
	'View Current Listeners'=>'Ver oyentes actuales',
	'Virtual host directory for "%s" does not exist'=>'El directorio de host virtual para "%s" no existe',
	'Warning: This will permanently delete the %s%s%s reseller account and all associated configuration data.'=>'Advertencia: esta acción borrará de forma PERMANENTE la cuenta de revendedor %s%s%s y toda la información de configuración asociada.',
	'Wednesday'=>'Miércoles',
	'With a listener limit of %s slots, this means that you can allocate a maximum bit rate of up to %s kbps.'=>'Debido a que dispone de un límite de %s slots de oyente, puede asignar un bitrate máximo de %s kbps.',
	'With bit rate limit of %s kbps, this means that you can allocate up to %s listener slots.'=>'Debido a que dispone de un límite de %s kbps, puede asignar un máximo de %s slots de oyentes',
	'Xfer'=>'Transferencia',
	'Yesterday'=>'Ayer',
	'You have %s%s%s listener slots remaining from your reseller account limit.'=>'Le quedan %s%s%s slots de oyente disponibles en base al límite de su cuenta de revendedor.',
	'You have reached the client limit for your account.'=>'Ha alcanzado el límite de cliente para su cuenta.',
	'You may allocate up to %s%s MB%s from your reseller account limit.'=>'Puede asignar hasta %s%s MB%s de su límite de cuenta de revendedor.',
	'You may allocate up to %s%s kbps%s from your %s%s kbps%s reseller account limit.'=>'Puede asignar hasta %s%s kbps%s del límite de %s%s kbps%s en su cuenta de revendedor.',
	'You may allocate up to %s%s%s listener slots from your reseller account limit.'=>'Puede asignar hasta %s%s%s slots de oyente de su límite de cuenta de revendedor.',
	'You may assign a bit rate of up to %s%s kbps%s.'=>'Puede asignar un bitrate de hasta %s%s kbps%s.',
	'You may create streams with maximum bit rates of up to %s%s kbps%s.'=>'Puede crear señales con bitrates máximos de hasta %s%s kbps%s.',
	'Your logs are being compressed now and your download will begin in a few moments.'=>'Se están comprimiendo sus archivos de registro, la descarga comenzará en un momento.',
	'Your name'=>'Su nombre',
	'administrator'=>'administrador',
	'auto'=>'auto',
	'by Connections per Minute,'=>'por Conexiones por Minuto,',
	'by Disconnections per Minute,'=>'por Desconexiones por Minuto,',
	'day'=>'día',
	'days'=>'días',
	'default'=>'por defecto',
	'disabled'=>'deshabilitada/o',
	'enabled'=>'habilitada/o',
	'failed'=>'falló',
	'hr'=>'hr',
	'hrs'=>'hrs',
	'maximum of 10'=>'máximo de 10',
	'min'=>'min',
	'mins'=>'mins',
	'no reseller'=>'no es revendedor',
	'past %s days'=>'%s días hacia atrás',
	'reseller'=>'revendedor',
	'sec'=>'seg',
	'secs'=>'segs',
	'slots'=>'slots',
	'successful'=>'con éxito',
	'suspended'=>'suspendida/o',
	'triggered by reseller status change'=>'modificado por cambio de estado del revendedor',
	'Always'=>'Siempre',
	'Automatic (determined by source)'=>'Automática/o (determinado por la fuente)',
	'Configures relaying of other streams by your server.  The remote server will act as a source for your stream.'=>'Configura la retransmisión de otras señales a través de su servidor. El servidor remoto actuará como una fuente para su señal.',
	'Configures relaying of your stream by other servers.  Your stream will act as a source for the remote server.'=>'Configura la retransmisión de su señal a través de otros servidores. Su señal actuará como fuente para el servidor remoto.',
	'Controls the title and URL shown in media players.  Use %s to insert the title/URL provided by the source.'=>'Controla el título y la URL que se muestra en los reproductores. Utilice %s para insertar el título/URL provistos por la fuente.',
	'Directory port (Yport)'=>'Puerto de directorio (Yport)',
	'Disabled (use IP addresses only)'=>'Deshabilitada/o (utilice solamente direcciones IP)',
	'Enabled (may cause delays)'=>'Habilitada/o (puede causar demoras)',
	'Hostname lookups'=>'Búsquedas de nombres de host',
	'Never'=>'Nunca',
	'Public server determines whether the stream will appear in public yellow-pages services.'=>'Servidor público determina si esta señal aparecerá o no en los servicios de páginas amarillas.',
	'The following master server relay settings control relaying all mount points on an entire remote IceCast server.'=>'La siguiente configuración de servidor maestro controla la retransmisión de todos los puntos de montaje para un servidor Icecast remoto.',
	'The following mountpoint relay settings control relaying a single, specific mount point on a remote server.'=>'La siguiente configuración de punto de montaje controla la retransmisión de un punto de montaje específico en un servidor remoto.',
	'minute(s) (0 for never)'=>'minuto(s) (0 para nunca)',
	'%s track(s) were not found or could not be imported:'=>'Hubo %s canciones que no pudieron encontrarse o importarse:',
	'%s track(s) were successfully imported into this playlist.'=>'Se importaron correctamente %s canciones a esta lista de reproducción.',
	'Import M3U Playlist'=>'Importar lista de reproducción M3U',
	'Import Results'=>'Importar resultados',
	'M3U file not received.'=>'No se ha recibido el archivo M3U',
	'M3U playlist file'=>'Archivo de lista de reproducción M3U',
	'No errors occurred.'=>'No han ocurrido errores.',
	'Return to media library'=>'Regresar a la librería de medios',
	'Upload'=>'Subir',
	're-index known files even if unchanged'=>'reindexar archivos conocidos aún si no han sido modificados',
	'Login transfer failed'=>'Falló la transferencia del login',
	'The remote server returned the following error:%s%s'=>'El servidor remoto retornó el siguiente error: %s%s',
	'Access the complete documentation for this control panel software'=>'Acceder a la documentación completa para este software de panel de control',
	'Enter this information into your FTP client software to upload your media for the autoDJ'=>'Ingrese esta información en su programa cliente FTP para cargar sus contenidos multimedia al AutoDJ',
	'Enter this information into your live source software to perform a live broadcast'=>'Ingrese esta información en su programa de emisión para realizar una transmisión en vivo',
	'FTP Client Connections'=>'Conexiones de clientes FTP',
	'FTP Hostname'=>'Nombre de host',
	'FTP Password'=>'Clave',
	'FTP Username'=>'Usuario',
	'Live Source Connections'=>'Conexiones de fuentes en vivo',
	'Manuals'=>'Manuales',
	'Provides helpful links and information for using your stream.'=>'Suministra enlaces de utilidad e información para utilizar su señal.',
	'Quick Links'=>'Enlaces rápidos',
	'Server hostname'=>'Nombre de host del servidor',
	'Server port'=>'Puerto del servidor',
	'The \'Source password\' value from your %sstream settings%s'=>'El valor clave de fuente (source password) para su %sconfiguración de señal%s',
	'Tune-In Links'=>'Enlaces de sintonía',
	'Your administrator password'=>'Su clave de administrador',
	'Your stream start page'=>'La página de inicio de su señal',
	'Your streaming server index page'=>'La página de inicio de su servidor de streaming',
	'Account Templates'=>'Plantillas de cuenta',
	'Account template saved successfully.'=>'La plantilla de cuenta ha sido grabada.',
	'Account templates'=>'plantillas de cuenta',
	'An error occurred while saving this template.'=>'Ocurrió un error al grabar esta plantilla.',
	'Delete account template'=>'Borrar plantilla de cuenta',
	'Edit account template'=>'Editar plantilla de cuenta',
	'From template'=>'Desde plantilla',
	'Invalid server type'=>'Tipo de servidor no válido',
	'Invalid source type'=>'Tipo de fuente no válido',
	'Manages templates for creation of new accounts.'=>'Administra las plantillas para la creación de cuentas nuevas.',
	'Manual entry'=>'Ingreso manual',
	'New account template'=>'Nueva plantilla de cuenta',
	'No account templates have been created.'=>'No se han creado plantillas de cuenta.',
	'Select template...'=>'Seleccionar plantilla...',
	'Server and/or source type not specified'=>'El tipo de servidor y/o fuente no se han especificado',
	'Template description'=>'Descripción de la plantilla',
	'Template name'=>'Nombre de la plantilla',
	'Template title'=>'Título de la plantilla',
	'Unable to load template'=>'No es posible cargar la plantilla',
	'for your reference only'=>'solo para su referencia personal',
	'letters and numbers only'=>'solo letras y números',
	'A reseller account cannot create another reseller account'=>'Una cuenta de revendedor no puede crear otra cuenta de revendedor',
	'The specified template "%s" does not exist'=>'La plantilla %s especificada no existe',
	'14-day trend'=>'Tendencia a 14 días',
	'AAC+'=>'AAC+',
	'Apply replay gain'=>'Aplicar ganancia (replay gain)',
	'Audio encoder'=>'Codificador de audio',
	'CBR'=>'CBR',
	'Calculate replay gain'=>'Calcular ganancia (replay gain)',
	'Crossfade threshold'=>'Crossfade threshold',
	'Fast'=>'Rápido',
	'High quality'=>'Alta calidad',
	'MP3'=>'MP3',
	'MP3 CBR/VBR mode'=>'Modo MP3 CBR/VBR',
	'MP3 encoder quality'=>'Calidad del encoder MP3',
	'MP3 quality'=>'Calidad MP3',
	'VBR High'=>'Límite alto VBR',
	'VBR Low'=>'Límite bajo VBR',
	'VBR Medium'=>'Media VBR',
	'VBR Medium-High'=>'Media alta VBR',
	'VBR Medium-Low'=>'Media baja VBR',
	'Note: immediate playlists are unavailable because the %s streaming source is in use, which does not support scheduling.'=>'Nota: las listas de reproducción inmediatas no están disponibles, debido a que la fuente de streaming %s se encuentra en uso y no soporta programación.',
	'Note: scheduled playlists are unavailable because the %s streaming source is in use, which does not support scheduling.'=>'Nota: las listas de reproducción programas no están disponibles, porque la fuente de streaming %s se encuentra en uso y no soporta programación.',
	'Note: time-of-day settings are unavailable because the %s streaming source is in use, which does not support scheduling.'=>'Nota: las configuraciones momento-del-día no están disponibles, porque la fuente de streaming %s se encuentra en uso y no soporta programación.',
	'Alternate Character Encodings'=>'Codificaciones de caracteres alternativas',
	'If accented or localized characters in the widgets display incorrectly on your web site, select the character encoding that your web site uses below and copy the updated widget code above.'=>
	'Si los acentos u otros caracteres regionales no se muestran correctamente en los widgets de su sitio web, seleccione la codificación de caracteres que emplea su servidor web, y copie luego el código actualizado del widget.',
	'Checking for news...'=>'',
	'General rotation playlists can also be limited to a specific period of the day.  This can be used to play lighter songs in the morning and heavier songs in the afternoon, for example.  If no time period is selected, the playlist will be active for the entire day.'=>'',
	'Hide this news box.'=>'',
	'IceCast\'s logs only include the start time of each track; they do not provide information about the%slength of each song.  As such, Centova Cast\'s system must determine the length by checking the%sduration between the start times of each song.  If the server is stopped between songs, however,%sthe song will appear to last for the duration of the outage.%sThis limit is used to ensure that if any song \'appears\' to last longer than a certain number of%sminutes, it will not be included in the track statistics.'=>'',
	'News'=>'',
	'Processing logs...'=>'',
	'Select autoDJ type...'=>'',
	'Song length detect limit'=>'',
	'minute(s)'=>'',
	'second(s) (0 for never)'=>'',
	'Must specify a valid %s value'=>'',
	'Centova Cast CANNOT reach the Centova Technologies license servers.'=>'',
	'Centova Cast appears to be able to send E-mails.  A test message has been sent.'=>'',
	'Centova Cast can successfully communicate with the Centova Technologies license servers.'=>'',
	'Centova Cast does NOT appear to be able to send E-mails; an error occurred while attempting to send a test message.'=>'',
	'E-mail connectivity test'=>'',
	'E-mail delivery test'=>'',
	'E-mail test'=>'',
	'For assistance in diagnosing this problem, please consult the %sCron Job Problems article%s in the Centova Cast knowledge base.'=>'',
	'For assistance in diagnosing this problem, please consult the %sE-mail Notifications article%s in the Centova Cast knowledge base.'=>'',
	'For assistance in diagnosing this problem, please consult the %sStream Start Pages article%s in the Centova Cast knowledge base.'=>'',
	'Licensing server connectivity test'=>'',
	'Licensing test'=>'',
	'Message sent from %s to %s'=>'',
	'Please refer to the %sNotification E-mails article section%s in the Centova Cast knowledge base for assistance with setting up an SMTP server to resolve this problem.'=>'',
	'Please refer to the %slicensing server connectivity article%s in the Centova Cast knowledge base for assistance in diagnosing this problem.'=>'',
	'Skipping %s'=>'',
	'This message was sent as part of the Centova Cast E-mail test.  If you are receiving this message, your Centova Cast server can send E-mail correctly.'=>'',
	'Tip: Centova Cast was recently unable to send one or more E-mail messages to administrators and/or clients due to a possible mail system configuration problem.  The complete error details can be found in the Centova Cast Event Log to the left.'=>'',
	'Tip: Centova Cast\'s cron job appears to be taking an unusually long time to run.  This does not necessarily represent a problem in itself, however it may indicate that your server load is too high and/or cannot handle the workload assigned to it.  Please consult with your systems administrator if you require further assistance in diagnosing this problem.'=>'',
	'Tip: Centova Cast\'s cron job is not running on schedule (possibly not at all).  This may result in various Centova Cast problems ranging from statistics problems to licensing errors.  Most often this is the result of a cron configuration error.'=>'',
	'Tip: Centova Cast\'s cron job is starting normally on a regular basis, however it appears to be failing with an error before completing.  This may result in various Centova Cast problems ranging from statistics problems to licensing errors.'=>'',
	'Browse by folders'=>'',
	'Import M3U playlist'=>'',
	'IP/port combination'=>'',
	'Server is up and autoDJ is deactivated, but no live source is connected; automatically reactivating autoDJ'=>'',
	'hostname'=>'',
	'Amazon Web Services%s Secret Key'=>'',
	'Amazon%s AWS Key ID'=>'',
	'Amazon%s AWS Secret Key'=>'',
	'DefaultAmazon%s affiliate ID'=>'',
	'Used in conjunction with the Access Key ID above.'=>'',
	'WARNING: This account was suspended because it exceeded its resource limits.  If you unsuspend this account now, and its further resource consumption causes its reseller to exceed its reseller account limits, the entire reseller account (including all of its client accounts) will be suspended as a result.  Are you sure you want to unsuspend this account?'=>'',
	'WARNING: This account was suspended because it exceeded its resource limits.  If you unsuspend this account now, and its further resource consumption causes you to exceed the limits of your reseller account, your entire reseller account (including all of your client accounts) will be suspended as a result.  Are you sure you want to unsuspend this account?'=>'',
);

?>
