<table cellspacing="1" cellpadding="0" border="0">
	
{check $resellerlimits.maxbandwidth>0}
<tr>
	<td colspan="2">
	{="You may allocate up to %s%s kbps%s from your %s%s kbps%s reseller account limit.","<strong>",$resellerlimits.maxbandwidth,"</strong>","<strong>",$resellerlimits.resellerbandwidth,"</strong>"}
	
	{if $resellerlimits.maxbitrate>0}{="You may create streams with maximum bit rates of up to %s%s kbps%s.","<strong>",$resellerlimits.maxbitrate,"</strong>"}{/if}
	{if $resellerlimits.maxclients>0}{="You have %s%s%s listener slots remaining from your reseller account limit.","<strong>",$resellerlimits.maxclients,"</strong>"}{/if}
	
	<br /><br />

	<div id="bwbylisteners" class="hide">
	{="With a listener limit of %s slots, this means that you can allocate a maximum bit rate of up to %s kbps.","<span id='bwbylisteners_slots' style='font-weight: bold'></span>","<span id='bwbylisteners_bitrate' style='font-weight: bold'></span>"}
	</div>
	<div id="bwbybitrate" class="hide">
	{="With bit rate limit of %s kbps, this means that you can allocate up to %s listener slots.","<span id='bwbybitrate_bitrate' style='font-weight: bold'></span>","<span id='bwbybitrate_slots' style='font-weight: bold'></span>"}
	</div>

	</td>
</tr>
<tr><td colspan="2" style="font-size: 4px">&nbsp;</td></tr>
{/check}
	
<tr>
	<td>{="Maximum listeners"}:</td>
	<td><input type="text" id="maxclients" name="config[maxclients]" size="5" maxlength="5" value="{$config.maxclients|htmlentities}" onchange="{check $resellerlimits.maxbandwidth>0}update_bandwidth(this);{otherwise}check_limits(this){/check}" /> {="slots"} {$errors.maxclients|checkerror}</td>
</tr>
{check ($resellerlimits.maxclients>0) and ($resellerlimits.maxbandwidth<=0)}
<tr>
	<td></td>
	<td>{="You may allocate up to %s%s%s listener slots from your reseller account limit.","<strong>",$resellerlimits.maxclients,"</strong>"}</td>
</tr>
<tr><td colspan="2" style="font-size: 4px">&nbsp;</td></tr>
{/check}
<tr>
	<td>{="Maximum bit rate"}:</td>
	<td><input type="text" id="maxbitrate" name="config[maxbitrate]" size="5" maxlength="5" value="{$config.maxbitrate|htmlentities}" onchange="{check $resellerlimits.maxbandwidth>0}update_bandwidth(this);{otherwise}check_limits(this){/check}" /> {$errors.maxbitrate|checkerror} {="kbps"}</td>
</tr>
{check ($resellerlimits.maxbitrate>0) and ($resellerlimits.maxbandwidth<=0)}
<tr>
	<td></td>
	<td>{="You may assign a bit rate of up to %s%s kbps%s.","<strong>",$resellerlimits.maxbitrate,"</strong>"}</td>
</tr>
<tr><td colspan="2" style="font-size: 4px">&nbsp;</td></tr>
{/check}
<tr>
	<td>{="Transfer limit"}:&nbsp;</td>
	<td><input type="text" id="transferlimit" name="config[transferlimit]" size="8" maxlength="8" value="{$config.transferlimit|htmlentities}" onchange="check_limits(this)" /> {$errors.transferlimit|checkerror} {="MB/month"}&nbsp;</td>
</tr>
<tr>
	<td></td>
	<td>
		{check $resellerlimits.transferlimit>0}
			{="You may allocate up to %s%s MB%s from your reseller account limit.","<strong>",$resellerlimits.transferlimit,"</strong>"}
		{otherwise}
			<input type="checkbox" id="noxferlimit" name="config[noxferlimit]" value="1" {compare $config.noxferlimit,0,"","checked='checked' "}onclick="update_limits();check_limits(this)"/> {="Unlimited"}
		{/check}
	</td>
</tr>
<tr><td colspan="2" style="font-size: 4px">&nbsp;</td></tr>
<tr>
	<td>{="Disk quota"}:</td>
	<td>
		<input type="text" id="diskquota" name="config[diskquota]" size="8" maxlength="8" value="{$config.diskquota|htmlentities}" onchange="check_limits(this)" /> {$errors.diskquota|checkerror} {="MB"}&nbsp;
		{tip type="icon"}{="Specifies the amount of disk space allocated to this client.  Note that this<br />includes any media uploaded for the autoDJ as well as any logs, configuration<br />files, and so-on for this account."}{/tip}
	</td>
</tr>
<tr>
	<td></td>
	<td>
		{check $resellerlimits.diskquota>0}
			{="You may allocate up to %s%s MB%s from your reseller account limit.","<strong>",$resellerlimits.diskquota,"</strong>"}
		{otherwise}
			<input type="checkbox" id="nodiskquota" name="config[nodiskquota]" value="1" {compare $config.nodiskquota,0,"","checked='checked' "}onclick="update_limits();check_limits(this)" /> {="Unlimited"}
		{/check}
	</td>
</tr>
<tr><td colspan="2" style="font-size: 4px">&nbsp;</td></tr>
<tr>
	<td width="100">{="Port 80 proxy"}:</td>
	<td>
		<select name="config[allowproxy]" size="1"{check $proxypermitted==0} disabled="disabled"{/check}>
		<option value="0"{check $config.allowproxy==0} selected="selected"{/check}>{="Prohibited"}</option>
		<option value="1"{check $config.allowproxy>0} selected="selected"{/check}>{="Permitted"}</option>
		</select>
		{$errors.allowproxy|checkerror}
	</td>
</tr>
</table>

<script language="javascript" type="text/javascript">
function update_limits() {
	var dq = document.getElementById('diskquota');
	var ndq = document.getElementById('nodiskquota');
	var tl = document.getElementById('transferlimit');
	var ntl = document.getElementById('noxferlimit');
	
	if (dq) dq.disabled = (ndq && ndq.checked);
	if (tl) tl.disabled = (ntl && ntl.checked);
}
update_limits();

{check $resellerlimits.maxbandwidth>0}
function update_bandwidth(sender) {
	var maxbandwidth = parseInt('{$resellerlimits.maxbandwidth}');
	var absmaxbitrate = parseInt('{$resellerlimits.maxbitrate}');
	var absmaxslots = parseInt('{$resellerlimits.maxclients}');
	
	var mc = document.getElementById('maxclients');
	var mb = document.getElementById('maxbitrate');
	
	var setbyslot = (sender==mc);
	
	var el = document.getElementById('bwbylisteners');
	el.className = setbyslot ? 'show' : 'hide';

	var el = document.getElementById('bwbybitrate');
	el.className = !setbyslot ? 'show' : 'hide';
	
	if (setbyslot) {
		var el = document.getElementById('bwbylisteners_slots');
		el.innerHTML = mc.value;
		
		if (absmaxslots>0) mc.style.color = (mc.value>absmaxslots) ? 'red' : '';
		
		var el = document.getElementById('bwbylisteners_bitrate');
		var maxbitrate = Math.floor(maxbandwidth / mc.value);
		if ( (absmaxbitrate>0) && (maxbitrate>absmaxbitrate) ) maxbitrate = absmaxbitrate;
		el.innerHTML = maxbitrate;
		
		if (mb.value>maxbitrate) mb.value = maxbitrate;
		mb.style.color = '';
		
	} else {
		var el = document.getElementById('bwbybitrate_bitrate');
		el.innerHTML = mb.value;

		if (absmaxbitrate>0) mb.style.color = (mb.value>absmaxbitrate) ? 'red' : '';
		
		var el = document.getElementById('bwbybitrate_slots');
		var maxslots = Math.floor(maxbandwidth / mb.value);
		if ( (absmaxslots>0) && (maxslots>absmaxslots) ) maxslots = absmaxslots;
		el.innerHTML = maxslots;	
		
		if (mc.value>maxslots) mc.value = maxslots;
		mc.style.color = '';
	}
	
}	
update_bandwidth();
{/check}

function check_limits(sender) {
	var absmaxbitrate = parseInt('{$resellerlimits.maxbitrate}');
	var absmaxslots = parseInt('{$resellerlimits.maxclients}');
	var absmaxxfer = parseInt('{$resellerlimits.transferlimit}');
	var absmaxdisk = parseInt('{$resellerlimits.diskquota}');
	
	var mc = document.getElementById('maxclients');
	mc.style.color = ( (absmaxslots>0) && (mc.value>absmaxslots) ) ? 'red' : '';

	var mb = document.getElementById('maxbitrate');
	mb.style.color = ( (absmaxbitrate>0) && (mb.value>absmaxbitrate) ) ? 'red' : '';

	var tl = document.getElementById('transferlimit');
	tl.style.color = ( (absmaxxfer>0) && (tl.value>absmaxxfer) ) ? 'red' : '';

	var dq = document.getElementById('diskquota');
	dq.style.color = ( (absmaxdisk>0) && (dq.value>absmaxdisk) ) ? 'red' : '';
	
	
}
check_limits();
</script>
