{* Includes *}
<script language="JavaScript" src="../system/utility.js"></script>

{* Tabset Requisites *}
<link rel="stylesheet" type="text/css" href="../system/tabset/centova/centova.css" />
<script language="JavaScript" src="../system/tabset/tabset.js"></script>

{* Scripting stuff for current song list/footer/etc. *}
<script language="javascript" type="text/javascript">

window.onload_handlers = new Array();
window.onresize_handlers = new Array();

function add_onload(handler) {
	window.onload_handlers[window.onload_handlers.length] = handler;
}

function do_onload() {
	for (var i=0; i<window.onload_handlers.length; i++) {
		var handler = window.onload_handlers[i];
		handler();
	}
}

function add_onresize(handler) {
	window.onresize_handlers[window.onresize_handlers.length] = handler;
}

function do_onresize() {
	for (var i=0; i<window.onresize_handlers.length; i++) {
		var handler = window.onresize_handlers[i];
		handler();
	}
}

function set_current_song(title,streamname,streamurl,bitrate,servertime) {
	var USE_24HR = 0;
	
	
	var song = '';
	var formatstr = '';
	if (title) {
		song += '<strong>{="Now Playing"}:</strong> ' + title;
		if (streamname) {
			formatstr = '{="on %s"}';
			var fmtname = '';
			if (streamurl) fmtname += '<a target="_blank" href="'+streamurl+'">';
			fmtname += streamname;
			if (streamurl) fmtname += '</a> ';
			
			song += ' ' + formatstr.replace(/%s/,fmtname);
			
		}
		if (bitrate) {
			formatstr = '{="at %skbps"}';
			song += ' ' + formatstr.replace(/%s/,bitrate);
		}
	} else {
		song = '{="Current song not available"}';
	}
	
	song = '<strong>' + servertime + '</strong> - ' + song;
	
	if (window.current_song) window.current_song.innerHTML = song
}

function update_current_song() {
	var rpcframe = document.getElementById('rpcframe');
	rpcframe.src = 'index.php?page=rpc&method=getsong';
	setTimeout('update_current_song()',65000);
}
	
function prepare_current_song() {
	{if $privileged}
	/*
	var footer = document.getElementById('footer');
	if (footer) footer.style.display = 'none';
	*/
	{else}
	window.current_song = document.getElementById('currentsong');
	if (window.current_song) window.current_song.innerHTML = '{="Retrieving current song..."}';
	add_onload(update_current_song);
	{/if}
}

function tune_in() {
	{if $serveronline}
	window.location = '../tunein.php/{$account.username}/playlist.pls';
	{else}
	alert('{="The server is not currently running.  Please start the server, then try again."}');
	{/if}
}

function stop_scroll() {
	window.scrolling = false;
	window.scrolltimer = false;
	if (IE4 && !IE7) window.footerelement.style.top = document.body.scrollTop + document.body.clientHeight - window.footerelement.offsetHeight;
	window.footerelement.style.visibility = 'visible';
}

function do_scroll() {
	if (window.scrolling) {
		if (window.scrolltimer) clearTimeout(window.scrolltimer)
	} else {
		window.footerelement = document.getElementById('footer');
		if (!window.footerelement) return;
		window.footerelement.style.visibility = 'hidden';
	}
	window.scrolling = true;
	window.scrolltimer = setTimeout('stop_scroll()',250);
}

if (IE4) window.onscroll = do_scroll;

add_onresize(do_scroll);

window.onload = do_onload;
window.onresize = do_onresize;
</script>
