
<div style="float: right">
	<img src="../system/images/icons/playlist_add.png" align="absmiddle" /> <a href="{$indexself}&action=add">{="Create playlist"}</a>
</div>
<img src="../system/images/icons/playlist_item.png" align="absmiddle" /> {="Playlists"}<br />
<table class="listtable" width="100%" cellspacing="1" cellpadding="2">
{if $playlists|count==0}
<tr>
	<td class="tdlast">
		<img src="../system/images/icons/playlist_title.png" align="absmiddle" /> {="No playlists have been created."}
	</td>
</tr>

{else}
<tr>
	<th width="21" align="center"></th>
	<th>{="Title"}</th>
	<th>{="Type"}</th>
	<th>{="Status"}</th>
	<th width="60">&nbsp;</th>
</tr>

{/if}
{loop $playlist=$playlists}
<tr>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" align="center"><img src="../system/images/icons/playlist_item.png" align="absmiddle" /></td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}">{$playlist.title}</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}">
		{if $playlist.type=="general"}{="General Rotation"}
		{elseif $playlist.type=="scheduled"}{="Scheduled"}
		{elseif $playlist.type=="interval"}{="Interval"}
		{elseif $playlist.type=="now"}{="Immediate"}
		{else}{="Unknown"}{/if}
	</td>
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}">
		{if $playlist.status=="enabled"}{="Enabled"}{else}{="Disabled"}{/if}
	</td>
	
	<td class="row{if $_loop.odd}odd{else}even{/if}{if $_loop.last} tdlast{/if}" align="center">
		<a href="{$indexself}&action=status&id={$playlist.id}&status={if $playlist.status=="enabled"}0{else}1{/if}"><img title="{if $playlist.status=="enabled"}{="Disable playlist"}{else}{="Enable playlist"}{/if}" src="../system/images/icons/playlist_{if $playlist.status=="enabled"}disable{else}enable{/if}.png" border="0" align="absmiddle" /></a>
		<a href="{$indexself}&action=edit&id={$playlist.id}"><img title="{="Edit playlist"}" src="../system/images/icons/playlist_edit.png" border="0" align="absmiddle" /></a>
		<a href="{$indexself}&action=delete&id={$playlist.id}" onclick="return confirm('{="Are you sure you want to permanently delete this playlist?"}')"><img title="{="Delete playlist"}" src="../system/images/icons/delete.png" border="0" align="absmiddle" /></a>
	</td>
</tr>
{/loop}
</table>

<div style="text-align: center; margin-top: 5px">{="Page"}: {$_multipage.nav}</div>

<br />

<img src="../system/images/list-artist.gif" align="absmiddle" /> {="Media Library"}<br />

<div class="box">

	<table width="100%" cellspacing="0" cellpadding="0" border="0">
	<tr><td width="48%" valign="top">
	
		{="To add your media to the playlists you've created above, launch your media library below."}<br /><br /><br />
		
		<a href="index.php?page=library"><img border="0" alt="*" src="../system/images/list-artist.gif" align="absmiddle" /></a> <a href="index.php?page=library">{="Launch media library"}</a>
	
	<td width="2%" style="border-right: 1px solid #E0E0E0">
	&nbsp;
	</td>
	<td width="2%">
	&nbsp;
	</td>
	</td><td width="48%" valign="top">
	
		{if $lastreindex!=""}
			{="Your media library was last updated on"} {$lastreindex|mysqldatetime:locale:date} {="at"} {$lastreindex|mysqldatetime:locale:time}.  
			
			{="If you have uploaded new media since then, please be sure to update your media library to bring the new media into Centova Cast."}
		{else}
			{="Your media library has never been updated."}
			
			<span style="color: red">{="Any media you have uploaded will not appear within Centova Cast until you update your media library."}</span>
			
			{="Click the link below to update your media library now."}
	
		{/if}

		<br /><br />
		
		<a href="index.php?page=importmedia"><img border="0" alt="*" src="../system/images/icons/update_library.png" align="absmiddle" /></a> <a href="index.php?page=importmedia">{="Update media library"}</a>
	
	</td></tr>
	</table>
</div>