
<script language="javascript" type="text/javascript">
function collapse_table(table,collapsed) {
	var el = document.getElementById(table);
	if (!el) return;
	var classname = el.className;
	classname = classname.replace(/\s*(hide|show)/,'');
	el.className = classname+' '+(collapsed ? 'hide' : 'show');

	var el = document.getElementById(table+'_link');
	if (!el) return;
	el.style.textAlign = 'center';
	el.innerHTML = "<a href='#' onclick='return collapse_table(\""+table+"\","+(collapsed?'false':'true')+")'>" + (collapsed ? '{="Show full report"}' : '{="Hide full report"}') + "</a>";
	return false;
}

function collapse_all_tables() {
	var tables = [ 'tbl_monthxfer','tbl_monthmins','tbl_yearxfer','tbl_yearmins','tbl_daylisten' ];
	for (i in tables) collapse_table(tables[i],true);
}

function edit_period() {
	var summaryel = document.getElementById('periodsummary');
	var chooserel = document.getElementById('periodchooser');
	
	summaryel.className = 'hide';
	chooserel.className = 'boxhighlight';
}
function summarize_period() {
	var summaryel = document.getElementById('periodsummary');
	var chooserel = document.getElementById('periodchooser');
	
	summaryel.className = 'boxhighlight';
	chooserel.className = 'hide';
}
function standard_tab(sender,newindex) {
	summarize_period();
	
	var el = document.getElementById('historicalchooser');
	el.className = 'hide';
}
function historical_tab(sender,newindex) {
	summarize_period();
	
	var el = document.getElementById('periodsummary');
	el.className = 'hide';

	var el = document.getElementById('historicalchooser');
	el.className = 'boxhighlight';

}
add_onload(collapse_all_tables);
</script>

<div style="width: 770px">

	
	{check $timezoneoffset!=0}
	<div class="box">
		{="Note: statistics are recorded in the server's time zone (GMT %s), which differs from yours by %s hour(s).",$defaulttimezone,$timezoneoffset|div:3600}
	</div>
	<br />
	{/check}

	<div class="boxhighlight" id="periodsummary">
		<div class="innerbox">
			<div style="float: right">
				<a id="periodchangelink" href="#" onclick="edit_period(); return false">{="Change reporting period"}</a>
			</div>
			{="Statistics for reporting period:"}
			{if $periodtype=="relative"}
				{="Last %s%s%s day(s)","<strong>",$period,"</strong>"}
			{else}
				{="From %s%s%s to %s%s%s","<strong>",$periodfrom|unixtimestamp:locale:date,"</strong>","<strong>",$periodto|unixtimestamp:locale:date,"</strong>"}
			{/if}
		</div>
	</div>
	<div class="boxhighlight hide" id="periodchooser">
		<div class="innerbox">
			{="Detailed statistics can be reported for any portion of the last 60 days.  (Limited statistics are available for prior dates on the Historical tab.)"}<br /><br />
	
			<form method="post" action="{$pageself}">
				{="Select a reporting period"}: <br />
				
				<input type="radio" name="periodtype" value="relative" {if $periodtype=="relative"}checked="checked" {/if}/> {="Last %s%s%s day(s)","<input type='text' name='period' size='3' maxlength='2' value='",$period,"' />"}<br />
				<input type="radio" name="periodtype" value="absolute" {if $periodtype=="absolute"}checked="checked" {/if}/> {="From %s%s%s to %s%s%s","",$periodfrom|dateselect:periodfrom:unix:format=locale:minyear=2006:maxyear=this,"","",$periodto|dateselect:periodto:unix:format=locale:minyear=2006:maxyear=this,""}<br />
				
				<input type="submit" name="go" value="{="Go"}" />
			</form>
		</div>
	</div>
	<div class="boxhighlight hide" id="historicalchooser">
		<div class="innerbox">
			<form method="post" action="{$pageself}">
				<input type="hidden" name="tab" value="historical" />
				{="Historical statistics for"}: {$activedate|dateselect:date:unix:format=locale:minyear=2006} <input type="submit" name="go" value="{="Go"}" />
			</form>
		</div>
	</div>

	<br />

	{$statistics_tabset}
	
</div>
